<?php
/**
* Template Name: Landing Page
*
* @package AMP
* @subpackage AMP
* @since AMP 1.0
*/

get_header();
?>
	<figure class="ampstart-image-fullpage-hero m-0 p-relative">
    <amp-img width="404" height="720" alt="<?php the_field('bannerText'); ?>" layout="responsive" src="<?php the_field('bannerImage'); ?>" media="(max-width: 415px)"></amp-img>
    <amp-img height="500" alt="<?php the_field('bannerText'); ?>" layout="fixed-height" src="<?php the_field('bannerImage'); ?>" media="(min-width: 416px)"></amp-img>
    <figcaption class="p-absolute right-0 left-0 mb-3 bottom-0 flex-centered">
    	<div class="container grid-lg">
    		<div class="columns">
    			<div class="column caption col-sm-12 col-md-10 col-lg-8 col-xl-7 col-7 mx-auto text-center">
					<p id="title" class="m-0">The <span class="highlight">help</span> you need<br> when you need it most</p>
					<p id="subTitle" class="mb-2">Over 20 years of experience</p>
	        	<a id="btnContact" href="<?php the_field('button1Url'); ?>" class="btn btn-lg btn-primary mr-1 mt-1"><?php the_field('button1Text'); ?></a><a id="btnContact" href="<?php the_field('button2Url'); ?>" class="btn btn-lg mt-1"><?php the_field('button2Text'); ?></a>
	        </div>
        </div>
			</div>
    </figcaption>
	</figure>
	<div id="primary" class="content-area">
		<div id="aboutUs" class="py-3">
			<div class="container grid-xl">
				<div class="columns flex-centered">
    				<div class="column col-6 col-xs-12 col-sm-12 col-md-12">
    					<?php the_field('overviewText'); ?>
					</div>
					<div class="column col-6 col-xs-12 col-sm-12 col-md-12 my-1">
						<amp-youtube
							data-videoid="D41Cs-MJ454"
							layout="responsive"
							width="16" height="9">
						</amp-youtube>
    				</div>
    			</div>
			</div>
		</div>
		<div class="divider m-0"></div>
		<div id="CTA" class="py-1  bg-white">
			<div class="container">
				<div class="columns flex-centered">
					<div class="column col-12 text-center">
						Download our Free Guide: What to do after an Accident <a class="btn btn-sm btn-primary" href="https://www.standavislaw.com/wp-content/themes/sdavs-responsive/pdf/what-to-do-after-an-auto-accident.pdf" target="_blank">Download</a>
					</div>
				</div>
			</div>
		</div>
		<div class="divider m-0"></div>
		<div id="attorneys" class="py-3 bg-gray">
			<div class="container grid-xl">
				<div class="columns flex-centered">
					<div id="stanImg" class="column col-xs-12 col-sm-12 col-md-12 col-lg-6 col-xl-4 col-4">
						<amp-img alt="Stanley A. Davis"
							class="mx-auto"
							src="https://previewsitesmediasmacksiteserver.com/standavislaw/wp-content/uploads/2019/05/stan-davis.png"
							width="4"
							height="5"
							layout="responsive">
						</amp-img>
					</div>
					<div class="column col-xs-12 col-sm-12 col-md-12 col-lg-6 col-xl-8 col-8">
						<p><?php the_field('aboutContent'); ?></p>
						<?php if(have_rows('attorney')) :
						while( have_rows('attorney') ): the_row();
						?>
							<div class="column col-4 col-sm-6 col-xs-12 my-1 text-center">
								<div class="card">
									<div class="card-image">
										<amp-img
										src="<?php the_sub_field('attorneyImg'); ?>"
										width="1"
										height="1"
										layout="responsive">
										</amp-img>
									</div>
									<div class="card-body">
										<h3><?php the_sub_field('attorneyName'); ?></h3>
										<h4><?php the_sub_field('designation'); ?></h4>
										<p><?php the_sub_field('attorneyIntro'); ?></p>
										<a class="btn" href="<?php the_sub_field('attorney_url'); ?>">Read More</a>
									</div>
								</div>
							</div>
						<?php endwhile;
						endif; ?>
					</div>
				</div>
			</div>
		</div>
		<div class="divider m-0"></div>
		<div id="practiceAreas" class="py-3">
			<div class="container grid-xl">
		        <div class="columns">
		        	<div class="column col-12">
		        		<h3 class="text-center">Practice Areas</h3>
					</div>
					<?php if(have_rows('practiceAreas')) :
		              	while( have_rows('practiceAreas') ): the_row();
		          	?>
						<div class="column col-3 col-xs-12 col-sm-6 col-md-6 col-lg-4 text-center practiceArea pb-1">
							<a href="<?php the_sub_field('url'); ?>">
								<div class="innerContainer pb-1">
				                    <amp-img
				                    src="<?php the_sub_field('picture'); ?>"
				                    class="practiceAreaImage"
				                    width="16"
				                    height="9"
				                    layout="responsive">
				                    </amp-img>
				                    <h3><?php the_sub_field('name'); ?></h3>
									<p class="text-gray"><?php the_sub_field('introText'); ?></p>
									<a href="<?php the_sub_field('url'); ?>" class="btn btn-primary btn-sm">Read More</a>
				                </div>
			                </a>
		                </div>
					<?php endwhile;
		            endif; ?>
		          	<div class="column col-12 text-center mt-2">
		          		<a href="nashville-personal-injury-lawyer/" class="btn btn-lg">View All</a>
		          	</div>
				</div>
			</div>
		</div>
		<div class="divider"></div>
		<div id="verdictsAndSettlement" class="py-3">
			<div class="container grid-xl">
				<div class="columns">
					<div class="column col-12">
						<h3 class="text-center">Verdicts and Settlements</h3>
					</div>
					<?php if(have_rows('verdictsAndSettlements')) :
						while( have_rows('verdictsAndSettlements') ): the_row(); ?>
							<div class="column col-xs-12 col-sm-12 col-md-6 col-3 mb-1">
								<a href="<?php the_sub_field('url'); ?>">
									<div class="verdictandSettlement text-center p-1">
									<h3 class="amount">$<?php the_sub_field('amount'); ?></h3>
									<h4 class="title text-gray text-uppercase"><?php the_sub_field('title'); ?></h4>
									<span class="description text-gray"><?php the_sub_field('description'); ?></span>
									</div>
								</a>
							</div>
						<?php endwhile;
					endif;?>
					<div class="column col-12 text-center">
						<a href="successful-cases-verdicts-settlements/" class="btn btn-lg">View All</a>
					</div>
				</div>
			</div>
		</div>
		<div class="divider m-0"></div>
		<div id="contactUs" class="py-3 bg-gray">
			<div class="container grid-md">
				<div class="columns">
					<div class="column col-12">
						<h3 class="text-center under">Free Consultation</h3>
					</div>
					<div id="contactFormImage" class="col-xs-12 col-sm-12 col-md-12 col-6">
					</div>
					<div class="column bg-primary col-xs-12 col-sm-12 col-md-12 col-6">
						<?php echo do_shortcode('[amp_contact_form]'); ?>
					</div>
				</div>
			</div>
		</div>
		<div id="testimonials" class="py-3">
			<div class="container grid-xl">
				<div class="columns">
					<div class="column col-12">
						<h3 class="text-center">Testimonials</h3>
					</div>
			
					<div class="column col-xs-12 col-sm-12 col-md-6 col-4 mb-1">
							<a href="https://previewsitesmediasmacksiteserver.com/standavislaw/testimonial/successful-results-for-victims-of-nashville-car-accidents/"><amp-img src="https://previewsitesmediasmacksiteserver.com/standavislaw/wp-content/uploads/2019/06/1.jpg" width="350"
									height="200" alt="<?php echo $image['alt']; ?>"></amp-img></a>
						</div>
						<div class="column col-xs-12 col-sm-12 col-md-6 col-4 mb-1">
							<a href="https://previewsitesmediasmacksiteserver.com/standavislaw/testimonial/client-recommend-attorney-davis-for-car-accident-injuries/"><amp-img src="https://previewsitesmediasmacksiteserver.com/standavislaw/wp-content/uploads/2019/06/2.jpg" width="350"
									height="200" alt="<?php echo $image['alt']; ?>"></amp-img></a>
						</div>
						<div class="column col-xs-12 col-sm-12 col-md-6 col-4 mb-1">
							<a href="https://previewsitesmediasmacksiteserver.com/standavislaw/testimonial/her-story-nashville-woman-survives-drunk-driving-accident/"><amp-img src="https://previewsitesmediasmacksiteserver.com/standavislaw/wp-content/uploads/2019/06/3.jpg" width="350"
									height="200" alt="<?php echo $image['alt']; ?>"></amp-img></a>
						</div>
					<div class="column col-12 text-center">
					    <a href="<?php the_field('testimonialUrl'); ?>" class="btn btn-primary mt-3">View All</a>
					</div>
				</div>
			</div>
		</div>
		<div id="badges" class="py-2 bg-white">
			<div class="container grid-xl">
				<div class="columns">
					<div class="column col-12">
						<amp-carousel height="75"
						  layout="fixed-height"
						  controls
						  type="carousel"
							class="text-center mx-auto">
							<?php if(have_rows('badges')) :
							while( have_rows('badges') ): the_row(); ?>
							  	<amp-img src="<?php the_sub_field('badgeImg'); ?>"
							    width="200"
								height="75"
							    alt="<?php the_sub_field('badgeAltTag'); ?>"></amp-img>
							<?php endwhile;
							endif;?>
						</amp-carousel>
					</div>
				</div>
			</div>
		</div>
		</main><!-- #main -->
	</div><!-- #primary -->
<?php

get_footer();
