<?php
/**
* Template Name: Blog Grid
*
* @package AMP
* @subpackage AMP
* @since AMP 1.0
*/
get_header();
?>

<div class="ap--main ap-t-template" id="main-wrap">
  <div class="container grid-lg">
    <div class="columns">
		<div class="column col-sm-12">
			<div class="breadcrumb">
				<?php
				if ( function_exists('yoast_breadcrumb') ) {
					yoast_breadcrumb( '<ul class="breadcrumb">','</ul>' );
				}
				else breadcrumb();
				?>
			</div>
			<h1>PERSONAL INJURY LAWYER BLOG ON NASHVILLE ACCIDENTS AND INJURY</h1>
		</div>
	  </div>
    <section class="columns blog-grid">
    <div class="column col-9 col-xs-12 col-sm-12 pb-1">
      <?php
  			$paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
  			$args = array(
  				'posts_per_page'    => 7,
  				'post_type'         => 'post',
				'cat'				=> -1,
  				'paged'             => $paged
  			);
  			$the_query = new WP_Query( $args );
  			if ( $the_query->have_posts() ) :
  				while ( $the_query->have_posts() ) :
  					$the_query->the_post();
		$featured_img_url = get_the_post_thumbnail_url(get_the_ID(),'full');
  					?>
            <div>
              <div class="imageContainer single">
				  <?php if( !empty( $featured_img_url ) ): ?>
        				  <div class="alignright" style="width: 150px;">
        					  <amp-img alt="Stanley A. Davis"
                    	class="mx-auto"
                    	alt="I-40 Accident Lawyer"
                    	src="<?php echo $featured_img_url; ?>"
                    	width="1"
                    	height="1"
                    	layout="responsive">
                    </amp-img>
        				  </div>
                <?php endif; ?>
                <h3 class="overlay-title2"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
                <div class="metabox">By <?php the_author_posts_link(); ?> on <?php the_time('F jS, Y'); ?>  in <?php the_category(', '); ?> <?php edit_post_link(__('{Edit}'), ''); ?></div>
                <div class="excerpt">
                  <?php the_excerpt(); ?>
                </div>
              </div>
            </div>
            <?php
  				endwhile;
          ?>
          <div class="page_nav">
            <?php amp_theme_pagination($the_query); ?>
          </div>
          </div>
          <?php
  			endif;
      ?>
      <div class="col-3 col-xs-12 col-sm-12 mb-1">
        <div class="widget inner-boxx">
				<h3 class="widget-title">Recent Posts</h3>
          <div class="rec-post mb-1">
<?php $catquery = new WP_Query( 'posts_per_page=5' ); ?>
<ul>
 
<?php while($catquery->have_posts()) : $catquery->the_post(); ?>
 
<li><a href="<?php the_permalink() ?>" rel="bookmark"><?php the_title(); ?></a></li>
<?php endwhile;
    wp_reset_postdata();
?>
            </ul>
          </div>
        </div>


<div class="widget inner-boxx mb-1">
        <h3 class="widget-title mt0">Archives</h3>
        <div class="rec-post">
			
<?php
global $wpdb;
$limit = 0;
$year_prev = null;
$months = $wpdb->get_results("SELECT DISTINCT MONTH( post_date ) AS month ,  YEAR( post_date ) AS year, COUNT( id ) as post_count FROM $wpdb->posts WHERE post_status = 'publish' and post_date <= now( ) and post_type = 'post' GROUP BY month , year ORDER BY post_date DESC");
foreach($months as $month) :
    $year_current = $month->year;
    if ($year_current != $year_prev){
        if ($year_prev != null){?>
         
        <?php } ?>
     
    <ul><li class="archive-year"><a href="<?php bloginfo('url') ?>/<?php echo $month->year; ?>/"><?php echo $month->year; ?></a></li></ul>
     
    <?php } ?>
			
<!-- SHOWING MONTHS commented  <li><a href="<?php bloginfo('url') ?>/<?php echo $month->year; ?>/<?php echo date("m", mktime(0, 0, 0, $month->month, 1, $month->year)) ?>"><span class="archive-month"><?php echo date_i18n("F", mktime(0, 0, 0, $month->month, 1, $month->year)) ?></span></a></li> -->
<?php $year_prev = $year_current;
 
if(++$limit >= 18) { break; }
 
endforeach; ?>
</div>
</div>
<div class="widget inner-boxx mb-1">
  <div class="rec-post">
	  	  <div class="widget-title">
		  	Categories
		  </div>
	  <div class="dropdown-list">
<select class="form-select" name="cat" onChange="window.document.location.href=this.options[this.selectedIndex].value;"> 
                       <option value=""><?php echo esc_attr_e( 'Blog Categories', 'textdomain' ); ?></option> 
                    <?php 
                    $args = array(
                               'orderby' => 'ID',
                               'order'=> 'ASC',
                               'hide_empty' => 0,
                            );

                    $categories = get_categories($args); 
                    foreach ( $categories as $category ) {
                        $term_link = get_category_link($category->term_id );
                        $term_link = esc_url( $term_link );
                        echo '<option value="'.$term_link.'">'.$category->cat_name.'</option>';
                    }
                    ?>
                </select>
		  
		  
		  <?php
// 	  			$categories = wp_list_categories(array('title_li' => ''));
// 	  			$categories = wp_dropdown_categories(array('title_li' => '', 'class' => ' form-select'));
// 				echo $categories;
	?>	
	  </div>

  </div>
</div>



        <?php dynamic_sidebar('sidebar-1'); ?>
      </div>
    </section>
  </div>
</div>
<?php get_footer(); ?>
