<?php
/**
* Template Name: Attorneys
*
* @package AMP
* @subpackage AMP
* @since AMP 1.0
*/

get_header();
?>
	<?php if (has_post_thumbnail( $post->ID ) ): ?>
	  	<?php $image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'single-post-thumbnail' ); ?>
	  	<div id="heading" style="background-image: url('<?php echo $image[0]; ?>')">
	  	</div>
	<?php endif; ?>
	<div id="primary" class="content-area">
		<div class="container grid-xl">
			<div class="columns">
				<div class="col-12">
					<?php
						if ( function_exists('yoast_breadcrumb') ) {
						  yoast_breadcrumb( '<ul class="breadcrumb">','</ul>' );
						}
						else breadcrumb();
					?>
				</div>
				<div class="column col-9">
					<main id="main" class="site-main">
						<?php
						while ( have_posts() ) :
							the_post();

							get_template_part( 'template-parts/content', 'page' );

							// If comments are open or we have at least one comment, load up the comment template.
							if ( comments_open() || get_comments_number() ) :
								comments_template();
							endif;

						endwhile; // End of the loop.
						?>
						<div class="container pb-4">
							<div class="columns">
								<div class="column col-6 text-center">
									<div class="card">
									  	<div class="card-image">
									    	<amp-img 
												src="wp-content/uploads/2019/04/hunters-race-408744-unsplash-e1556496110458.jpg"
												width="1"
												height="1"
												layout="responsive">
											</amp-img>
									  	</div>
									  	<div class="card-header">
									    	<h4 class="mb-0">John Doe</h4>
									    	<div class="card-subtitle text-gray">Attorney</div>
									  	</div>
									  	<div class="card-body">
									    	Vestibulum dolor ligula, dictum sit amet mattis ultricies, auctor sed sapien.
									  	</div>
									  	<div class="card-footer">
									    	<a href="/about/attorneys/john-doe/" class="btn">Learn More</a>
									  	</div>
									</div>
								</div>
								<div class="column col-6 text-center">
									<div class="card">
									  	<div class="card-image">
									    	<amp-img 
												src="wp-content/uploads/2019/04/adult-asia-attractive-937483-e1556507481215.jpg"
												width="1"
												height="1"
												layout="responsive">
											</amp-img>
									  	</div>
									  	<div class="card-header">
									    	<h4 class="mb-0">Jane Doe</h4>
									    	<div class="card-subtitle text-gray">Attorney</div>
									  	</div>
									  	<div class="card-body">
									    	Vestibulum dolor ligula, dictum sit amet mattis ultricies, auctor sed sapien.
									  	</div>
									  	<div class="card-footer">
									    	<a href="/about/attorneys/jane-doe/" class="btn">Learn More</a>
									  	</div>
									</div>
								</div>
							</div>
						</div>
					</main><!-- #main -->
			</div><!-- #primary -->
			<div class="col-3 col-xs-12 col-sm-12 sidebar">
				<?php echo wpb_list_child_pages(); ?>
				<?php dynamic_sidebar( 'sidebar' ); ?>
			</div>
		</div>
	</div>

<?php

get_footer();