<div id="exit-pop-up" class="modal">
	<a href="#close" class="modal-overlay" aria-label="Close"></a>
	<div class="container grid-md ">
		<div class="card p-relative">
			<a id="exit-pop-up-close" href="#close" class="btn btn-clear float-right" aria-label="Close"></a>
			<div class="card-body">
				<div class="left">
				</div>
				<div class="right">
					<div>
						<h3>Before You Go</h3>
						<span class="h1 text-primary">Get a Free SEO Audit</span>
						<?php echo do_shortcode('[wpforms id="9951"]');?>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
<style>


#exit-pop-up .wrapper {
	/*background: #252b33;*/
	background: #948E99; 
	background: -webkit-linear-gradient(to left, #252b33 , #2E1437);
	background: linear-gradient(to left, #252b33 , #2E1437);
	position: relative;
	margin: 0 auto;
	text-align: center;
	-moz-border-radius: 3px;
	box-shadow: 0px 1px 10px rgba(0,0,0,0.5);
	width: 98%
}
#exit-pop-up-close {
	position: absolute;
	left: 100%;
	margin: 7px 0 0 -30px;
	width: 20px;
	height: 20px;
	color: #000;
	opacity:0.5;
	cursor: pointer;
	transition: .2s
}

#exit-pop-up-close::before {
	content: "×";
	font: 400 26px/1em 'Roboto Slab', serif;
}

#exit-pop-up-close:hover {
	opacity:1;
}

@media screen and (min-width: 800px){
	#exit-pop-up .wrapper {
		width: 800px;
		margin: 7% auto;
	}
}
#exit-pop-up .card-body {
    padding: 0px;
    margin: 0px;
}
#exit-pop-up .left, #exit-pop-up .right {
    width: 49%;
    display: table-cell;
}
#exit-pop-up .left {
    background-image: url(https://www.mediasmack.com/wp-content/uploads/2020/09/bigstock-Seo-Mistake-Digital-Marketing-377709052-e1600957646932.jpg);
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
	min-height: 500px;
}
#exit-pop-up .right {
	text-align: center;
	vertical-align: middle;
	padding: 2rem;
}
#exit-pop-up .right h3 {
	font-weight: bold;
}
#exit-pop-up .right .display {
	font-size: 4rem;
	font-weight: bold;
	color: #f37820;
}
@media screen and (max-width: 800px){
	#exit-pop-up .left {
		display: none;
	}
}
</style>
<script>
window.bioEp = {
  // Private variables
  bgEl: {},
  popupEl: {},
  closeBtnEl: {},
  shown: false,
  overflowDefault: "visible",

  // Popup options
  html: "",
  css: "",
  fonts: [],
  delay: 7,
  showOnDelay: false,
  cookieExp: 30,

  // Object for handling cookies, taken from QuirksMode
  // https://www.quirksmode.org/js/cookies.html
  cookieManager: {
    // Create a cookie
    create: function(name, value, days) {
      var expires = "";

      if (days) {
        var date = new Date();
        date.setTime(date.getTime() + (days * 24 * 60 * 60 * 1000));
        expires = "; expires=" + date.toGMTString();
      }

      document.cookie = name + "=" + value + expires + "; path=/";
    },

    // Get the value of a cookie
    get: function(name) {
      var nameEQ = name + "=";
      var ca = document.cookie.split(";");

      for (var i = 0; i < ca.length; i++) {
        var c = ca[i];
        while (c.charAt(0) == " ") c = c.substring(1, c.length);
        if (c.indexOf(nameEQ) === 0) return c.substring(nameEQ.length, c.length);
      }

      return null;
    },

    // Delete a cookie
    erase: function(name) {
      this.create(name, "", -1);
    }
  },

  // Handle the bioep_shown cookie
  // If present and true, return true
  // If not present or false, create and return false
  checkCookie: function() {
    // Handle cookie reset
    if (this.cookieExp <= 0) {
      this.cookieManager.erase("bioep_shown");
      return false;
    }

    // If cookie is set to true
    if (this.cookieManager.get("bioep_shown") == "true")
      return true;

    // Otherwise, create the cookie and return false
    this.cookieManager.create("bioep_shown", "true", this.cookieExp);

    return false;
  },

  // Add font stylesheets and CSS for the popup
  addCSS: function() {
    // Add font stylesheets
    for (var i = 0; i < this.fonts.length; i++) {
      var font = document.createElement("link");
      font.href = this.fonts[i];
      font.type = "text/css";
      font.rel = "stylesheet";
      font.rel = "stylesheet";
      document.head.appendChild(font);
    }

  },

  // Add the popup to the page
  addPopup: function() {
    // Add the background div
    this.bgEl = document.createElement("div");
    document.body.appendChild(this.bgEl);

    // Add the popup
    if (document.getElementById("exit-pop-up"))
      this.popupEl = document.getElementById("exit-pop-up");
    else {
      this.popupEl = document.createElement("div");
      this.popupEl.id = "exit-pop-up";
      this.popupEl.innerHTML = this.html;
      document.body.appendChild(this.popupEl);
    }
  },

  // Show the popup
  showPopup: function() {
    if (this.shown) return;

    this.popupEl.className = "modal active";
   

    // Save body overflow value and hide scrollbars
    this.overflowDefault = document.body.style.overflow;
    document.body.style.overflow = "hidden";

    this.shown = true;
  },
  // Hide the popup
  hidePopup: function() {
    this.popupEl.className = "modal";

    document.body.style.overflow = this.overflowDefault;
  },
  // Event listener initialisation for all browsers
  addEvent: function(obj, event, callback) {
    if (obj.addEventListener)
      obj.addEventListener(event, callback, false);
    else if (obj.attachEvent)
      obj.attachEvent("on" + event, callback);
  },

  // Load event listeners for the popup
  loadEvents: function() {
    // Track mouseout event on document
    this.addEvent(document, "mouseout", function(e) {
      e = e ? e : window.event;
      var from = e.relatedTarget || e.toElement;

      // Reliable, works on mouse exiting window and user switching active program
      if (!from || from.nodeName === "HTML")
        bioEp.showPopup();
    });

    // Handle the popup close button
    this.closebtn = document.getElementById("exit-pop-up-close");
    this.addEvent(this.closebtn, "click", function() {
      bioEp.hidePopup();
    });
  },

  // Set user defined options for the popup
  setOptions: function(opts) {
    this.html = (typeof opts.html === 'undefined') ? this.html : opts.html;
    this.css = (typeof opts.css === 'undefined') ? this.css : opts.css;
    this.fonts = (typeof opts.fonts === 'undefined') ? this.fonts : opts.fonts;
    this.delay = (typeof opts.delay === 'undefined') ? this.delay : opts.delay;
    this.showOnDelay = (typeof opts.showOnDelay === 'undefined') ? this.showOnDelay : opts.showOnDelay;
    this.cookieExp = (typeof opts.cookieExp === 'undefined') ? this.cookieExp : opts.cookieExp;
  },

  // Ensure the DOM has loaded
  domReady: function(callback) {
    (document.readyState === "interactive" || document.readyState === "complete") ? callback(): this.addEvent(document, "DOMContentLoaded", callback);
  },

  // Initialize
  init: function(opts) {
    // Handle options
    if (typeof opts !== 'undefined')
      this.setOptions(opts);

    // Add CSS here to make sure user HTML is hidden regardless of cookie
    this.addCSS();

    // Once the DOM has fully loaded
    this.domReady(function() {
      // Handle the cookie
      if (bioEp.checkCookie()) return;

      // Add the popup
      bioEp.addPopup();

      // Load events
      setTimeout(function() {
        bioEp.loadEvents();

        if (bioEp.showOnDelay)
          bioEp.showPopup();
      }, bioEp.delay * 2000); // delay time
    });
  }
}

bioEp.init({
              cookieExp: 0
          });
</script>