<?php
// Child Theme Shortcodes
if( class_exists('ACF') ){
$shortcodesChild = file_exists(get_template_directory() . '/template-parts/'. get_field('template', 'option') . '/custom-shortcodes.php');
if($shortcodesChild){
    include get_template_directory() . '/template-parts/'. get_field('template', 'option') . '/custom-shortcodes.php';
};
}
// Default - Formatted Phone Number
function phoneDisplay() {
    $phone = get_field('client_phone','option');
    $display = preg_replace("/^1?(\d{3})(\d{3})(\d{4})$/", "($1) $2-$3", $phone);
    return $display;
}
add_shortcode('phoneDisplay', 'phoneDisplay');

//  Default - Formatted Phone Number with link to number
function phone() {
    $phone = get_field('client_phone','option');
    $display = preg_replace("/^1?(\d{3})(\d{3})(\d{4})$/", "($1) $2-$3", $phone);
    return '<a href="tel:' . $phone . '">' . $display . '</a>';
}

//  Default - Formatted Phone Number in button with link to number
function phoneButton() {
    $phone = get_field('client_phone','option');
    $display = preg_replace("/^1?(\d{3})(\d{3})(\d{4})$/", "($1) $2-$3", $phone);
    return '<a class="btn" href="tel:' . $phone . '">' . $display . '</a>';
}
add_shortcode('phoneButton', 'phoneButton');

//  Dynamic - Formatted Phone Number
function phoneBuildDynamic($number) {
    $display = preg_replace("/^1?(\d{3})(\d{3})(\d{4})$/", "($1) $2-$3", $number);
    return $display;
}
add_shortcode('phoneBuildDynamic', 'phoneBuildDynamic');

//  Dyanmic - Formatted Phone Number with link to number 
function phoneBuild($number) {
    $display = preg_replace("/^1?(\d{3})(\d{3})(\d{4})$/", "($1) $2-$3", $number);
    return '<a href="tel:' . $number . '">' . $display . '</a>';
}
add_shortcode('phone', 'phone');

// Email with link to email
function email() {
    $email = get_field('client_email','option');
    return '<a href="mailto:' . $email . '" target="_blank">' . $email . '</a>';
}
add_shortcode('email', 'email');

// Email in button with link to email
function emailButton() {
    $email = get_field('client_email','option');
    return '<a class="btn" href="mailto:' . $email . '" target="_blank">' . $email . '</a>';
}
add_shortcode('emailButton', 'emailButton');

//  Advanced Formatted Email with link to email
function emailBuild($email) {
    return '<a href="mailto:' . $email . '" target="_blank">' . $email . '</a>';
}
add_shortcode('emailBuild', 'emailBuild');

// Address
function address() {
    $directionsURL = get_field('directions_url','option');
    if(get_field('street2','option')){
        $addressLine2 = get_field('street2','option') ."<br>";
    }
    return '<a href="' . $directionsURL . '" target="_blank">' . get_field('street','option') . "<br>" . $addressLine2 . get_field('city','option') . ", " . get_field('state','option') . " " . get_field('zip_code','option') . '</a>';
}
add_shortcode('address', 'address');

// Address in button with link to directions.
function addressButton() {
    $directionsURL = get_field('directions_url','option');
    if(get_field('street2','option')){
        $addressLine2 = get_field('street2','option') ."<br>";
    }
    return '<a href="' . $directionsURL . '" target="_blank" class="btn">' . get_field('street','option') . "<br>" . $addressLine2 . get_field('city','option') . ", " . get_field('state','option') . " " . get_field('zip_code','option') . '</a>';
}
add_shortcode('addressButton', 'addressButton');