<?php
/**
 * The header for Kin
 *
 * This is the template that displays all of the <head>>
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package amp
 */
if( !class_exists('ACF') ){
	include get_template_directory() . '/setup/1.php';
	exit;
}
if( !get_field('template', 'option') and is_front_page()){
	include get_template_directory() . '/setup/2.php';
	exit;
}
else;
$favicon = get_field('favicon', 'option');
$icons = get_field('icons', 'option');
?>
<!doctype html>
<html <?php language_attributes(); ?>>

<head>
	<meta charset="utf-8">
	<!-- GLOBAL DATA POINTS -->
	<link rel="shortcut icon" href="<?php echo $favicon['url'];?>">

	<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no" />
	<?php the_field('customHeaderCode'); ?>
	<?php wp_head(); ?>
	<?php if(get_field('google_tag_manager','option'))
			the_field('google_tag_manager', 'option') ;
	?>
    <?php if( $icons ): ?>
        <?php foreach( $icons as $icon ): ?>
            <link rel="stylesheet" href="<?php echo get_template_directory_uri();?>/fonts/<?=$icon;?>/style.css">
        <?php endforeach; ?>
    <?php endif; ?>
	<style>
		/* Style.css */
		<?php include 'style.php';
		?>
		/* Template CSS NOT SETUP*/
		/* Theme Options CSS */
		<?php the_field('global_css', 'option');
		?>
		/* Page CSS */
		<?php the_field('page_css');
		?>

	</style>
    <?php the_field('global_before_head_close','option');?>
	<?php the_field('before_head_close');?>
</head>

<body data-spy="scroll" data-target="#toc" <?php body_class(); ?>>
	<!-- GOOGLE TAG MANAGER NOSCRIPT (GTM) -->
	<?php if(get_field('google_tag_manager_noscript','option'))
			the_field('google_tag_manager_noscript', 'option') ;
	?>
	<div id="page" class="site">
		<!-- HEADER -->
		<?php 
		$file = get_template_directory() . '/template-parts/'. get_field('template', 'option') . '/header.php';

		if(file_exists($file)){
			include $file;
		};?>
		<!-- CONTENT -->
		<div id="content" class="site-content">