<?php

/**
 *
 * Page template
 *
 * Checks pagename in WP query_var.
 * Looks for template based on pagename.
 * Falls back to standard get_template_part.
 *
 * Modified by Tofino from CreativeDotDesign
 * https://github.com/creativedotdesign/tofino
 * 
 */


get_header();

$template = personify_get_page_name();

if (locate_template('template-parts/'. get_field('template', 'option') . '/pages/content-' . $template . '.php') != '') {
  get_template_part('template-parts/'. get_field('template', 'option') . '/pages/content', $template); // e.g. page-about.php
} else {
  get_template_part('template-parts/'. get_field('template', 'option') . '/page', $template);
}

get_footer();
