<?php if (has_post_thumbnail( $post->ID ) ): ?>
	<?php $image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'single-post-thumbnail' ); ?>
	<div id="heading" style="background-image: url('<?php echo $image[0]; ?>')">
	</div>
<?php endif; ?>
<div id="primary" class="content-area">
	<section class="py-layout">
		<div class="container grid-xl">
			<div class="columns">
				<div class="column col-12">
					<?php if(!is_front_page()): ?>
						<?php get_breadcrumb(); ?>
					<?php endif; ?>
				</div>
				<div id="searchPosts" class="column col-12">
					<h1 class="page-title screen-reader-text text-center"><?php the_archive_title();?> <?php single_post_title(); ?></h1>
				</div>
				<div class="column col-6 col-md-12 col-mx-auto large">
					<?php the_archive_description( '<div class="archive-description">', '</div>' );?>
				</div>
			</div>
		</div>
	</section>
	<section class="bg-gray-light py-layout">
		<div class="container grid-xl">
			<div class="column col-12">
				<div class="columns">
					<div class="column col-auto col-xs-12 h3 text-center">
						Posts
					</div>
					<div class="column col col-xs-12">
						<div id="post-filters" class="p-relative">
							<div id="advancedSearch" class="columns col-gapless">
								<div class="column col-12 show-xs">
									<div class="divider"></div>
								</div>
								<div class="column col-auto col-ml-auto col-xs-12">
									<div class="dropdown d-block text-center">
										<a href="#" class="btn dropdown-toggle small" tabindex="0">
											Categories <i class="fas fa-caret-down"></i>
										</a>
										<ul class="menu">
											<?php $category_ids = get_all_category_ids(); ?>
											<?php
													$args = array(
													'orderby' => 'slug',
													'parent' => 0
													);
													$categories = get_categories( $args );
													foreach ( $categories as $category ) {
													echo '<li class="menu-item small"> <a href="' . get_category_link( $category->term_id ) . '" rel="bookmark">' . $category->name . '</a></li>';
													}
													?>
										</ul>
									</div>
								</div>
								<div class="divider-vert hide-xs"></div>
								<div class="column col-12 show-xs">
									<div class="divider"></div>
								</div>
								<div class="column col-auto col-xs-12">
									<div class="dropdown d-block text-center">
										<a href="#" class="dropdown-toggle small btn" tabindex="0">
											Archives <i class="fas fa-caret-down ml-auto"></i>
										</a>
										<ul class="menu">
											<?php
													$args = array(
													'before' => '<li class="menu-item small">',
													'after' => '</li>',
													);
													echo wp_get_archives($args);
													?>
										</ul>
									</div>
								</div>
								<div class="divider-vert hide-xs"></div>
								<div class="column col-12 show-xs">
									<div class="divider"></div>
								</div>
								<div class="column col-auto col-xs-12 text-center">
									<a class="btn btn btn-primary small" href="<?php echo site_url() . "/blog";?>">All Posts</a>
								</div>
							</div>
						</div>
					</div>
				</div>
				<div class="divider"></div>
			</div>
			<div class="column col-12">
				<main id="main" class="site-main">
					<div class="columns">
						<?php
						if ( have_posts() ) :?>
							<?php foreach( $posts as $post ): 
							setup_postdata( $post ); ?>
									<div class="column col-3 col-xl-4 col-lg-6 col-sm-12 my-layout">
									<?php get_template_part( '', get_post_type());
									get_template_part( 'template-parts/posts', get_post_type() );
									?>
								</div>
							<?php endforeach; ?>
							<div class="column col-12 text-center my-layout">
								<?php avery_pagination(); ?>
								<?php wp_reset_postdata(); ?>
							</div>
						<?php else :
							get_template_part( 'template-parts/content', 'none' );
						endif;
						?>
					</div>
				</main><!-- #main -->
			</div>
		</div>
	</section>
</div> <!-- #primary -->