<div id="main-container" class="content-area " >
    <?php if (has_post_thumbnail( $post->ID ) ): ?>
        <div id="featuredImage">
            <?php 
            $image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'header-banner' );
            $thumbnail_id = get_post_thumbnail_id( $post->ID );
            $alt = get_post_meta($thumbnail_id, '_wp_attachment_image_alt', true); 
            ?>
            <div class="fixed-container">
                <amp-img 
                alt="<?php echo $alt; ?>"
                class="contain"
                data-amp-auto-lightbox-disable
                layout="fill"
                src="<?php echo $image[0]; ?>"></amp-img>
                <div id="featuredImageText" class="container grid-xl flex-centered">
                    <div class="text-center text-light column col-12">
                        <span class="h1 display">
                            <?php the_title();?>
                        </span>
                        <?php get_breadcrumb(); ?>
                    </div>
                </div>
            </div>
        </div>
    <?php endif; ?>
    <div class="container grid-xl p-relative">
        <div class="columns">
            <div class="column col-12 mb-layout">
                <article>
                    <div class="columns">
                        <div class="column col-6 col-md-12 py-layout">
                            <div class="card bg-white">
                                <div class="card-header text-center">
                                    <div class="card-title text-bold large">
                                        Message
                                    </div>
                                </div>
                                <div class="card-body">
                                    <?php 
                                        $sidebarForm = get_field('sidebarFormDefault', 'option');
                                        echo do_shortcode($sidebarForm);
                                    ?>
                                </div>
                            </div>
                        </div>
                        <div class="column col-5 col-md-12 py-layout col-ml-auto flex-centered">
                            <main id="main" class="site-main">
                                <?php the_content();?>
                            </main><!-- #main -->
                        </div>
                    </div>
                </article>
            </div>
        </div>
    </div>
    <div id="locations" class="bg-gray-light">
        <div class="container grid-xl py-layout">
            <div class="container grid-xl">
                <div class="column col-12">
                    <div class="columns">
                        <div class="column col-auto col-xs-12 h2 text-center">
                            <?php the_field('locationsNamePlural', 'option');?>
                        </div>
                    </div>
                    <div class="divider"></div>
                </div>
                <div class="columns">
                    <?php
                    global $post;
                
                    $results = get_posts( array(
                        'numberposts'		=> 4,
                        'post_type'			=> 'locations',
                        'orderby'			=> 'date',
                        'order'				=> 'DESC'
                    ) );
                
                    if ( $results ) {
                        foreach ( $results as $post ) : 
                            setup_postdata( $post );?>
                            <div class="column col-6 col-lg-12 mt-layout">
                            <?php include get_template_directory().'/template-parts/' . get_field('template', 'option') . '/location-preview.php' ;?>
                            </div>
                        <?php endforeach;
                        wp_reset_postdata();
                    } else {
                        get_template_part( 'template-parts/content', 'none' );
                    }; ?>
                </div>
            </div>
        </div>
    </div>
</div>