<script async custom-element="amp-accordion" src="https://cdn.ampproject.org/v0/amp-accordion-0.1.js"></script>
<script>
// This will capture hash changes while on the page
window.addEventListener("hashchange", offsetAnchor);
</script>
<style>
amp-accordion[highlight]{
	animation:blinkingText 0.8s;
	animation-delay: 1s;
	animation-duration: 1s;
}

@keyframes blinkingText{
	0%{		opacity: 100;	}
	25%{		opacity: 0;	}
	50%{		opacity: 100;	}
	75%{		opacity: 0;	}
	100%{		opacity: 100;	}
}
.faq > section {
	transition: box-shadow 0.2s ease-in-out;
}
.faq > section[expanded] {
    background: #ffffff !important;
    border: .05rem solid #e1e4e8;
    border-radius: .1rem;
    display: flex;
    display: -ms-flexbox;
    -ms-flex-direction: column;
    flex-direction: column;
    box-shadow: 0 1px 3px 0 rgba(0, 0, 0, 0.1), 0 1px 2px 0 rgba(0, 0, 0, 0.06);
    -webkit-box-shadow: 0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06);
}
amp-accordion[highlight]:before {
    content: '';
    display: block;
    height: 200px;
    margin-top: -200px;
    visibility: hidden;
}
</style>
<div id="main-container" class="content-area">
	<section>
		<div class="container grid-xl">
			<div class="columns">
				<div class="column col-12">
					<?php if(!is_front_page()): ?>
						<?php get_breadcrumb(); ?>
					<?php endif; ?>
				</div>
			</div>
		</div>
	</section>
	<section>
		<div class="container grid-xl p-relative">
			<div class="columns">
				<div class="column col-12 my-layout">
					<article>
						<div class="columns">
							<?php if (has_post_thumbnail( $post->ID ) ): ?>
								<div id="featuredImage" class="column col-12 ">
									<?php 
									$image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'header-banner' );
									$thumbnail_id = get_post_thumbnail_id( $post->ID );
									$alt = get_post_meta($thumbnail_id, '_wp_attachment_image_alt', true); 
									?>
									<div class="fixed-container">
										<amp-img 
											alt="<?php echo $alt; ?>"
											class="contain"
											layout="fill"
											src="<?php echo $image[0]; ?>"></amp-img>
									</div>
								</div>
							<?php endif; ?>
							<div class="column col-12 col-xl-12 ">
								<main id="main" class="site-main">
									<div class="columns">
										<div class="column col-6 col-md-12 col-mx-auto large">
											<?php the_content();?>
										</div>
									</div>
								</main>
							</div>
						</div>
					</article>
				</div>
			</div>
		</div>
	</section>
	<section id="faqs" class="bg-gray-light">
		<div class="container grid-xl">
			<div class="columns">
				<div class="column col-8 col-md-12 my-layout col-mx-auto">
					<div class="columns">
						<?php
						global $post;
						$category = get_the_category();
						echo $category[0];
						$faqs = get_posts( array(
							'numberposts'		=> -1,
							'post_type'			=> 'faqs',
							'order'				=> 'DESC',
						) );
					
						if ( $faqs ) {
							foreach ( $faqs as $post ) : 
								setup_postdata( $post );?>
								<div class="column col-12">
									<?php include get_template_directory() . '/template-parts/'. get_field('template', 'option') . '/faq.php';?>
								</div>
							<?php endforeach;
							wp_reset_postdata();
						} else {
							get_template_part( 'template-parts/content', 'none' );
						}; ?>
					</div>
				</div>
			</div>
		</div>
	</section>
	<section class="py-layout-xl">
		<div class="container grid-xl">
			<div class="columns">
				<div class="column col text-center">
					<h2>Still have a question?</h2>
					<a class="btn" href="<?php echo get_template_page_url('contact.php');?>">Contact Us</a>
				</div>
			</div>
		</div>
	</section>
</div>