<?php
/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package amp
 */

?>
<!doctype html>
<html ⚡ lang="en">

<head>
	<meta charset="utf-8">
	<link rel="shortcut icon" href="<?php the_field('favicon', 'option'); ?>">
	<script async src="https://cdn.ampproject.org/v0.js"></script>
	<meta name="viewport" content="width=device-width,minimum-scale=1,initial-scale=1">
	<link href="https://fonts.googleapis.com/css2?family=Barlow:ital,wght@0,500;0,600;1,500&display=swap" rel="stylesheet">
	<?php if(get_field('ampAnalytics', 'option')): ?>
	<script async custom-element="amp-analytics" src="https://cdn.ampproject.org/v0/amp-analytics-0.1.js"></script>
	<?php endif; ?>
	<script async custom-element="amp-carousel" src="https://cdn.ampproject.org/v0/amp-carousel-0.2.js"></script>
	<?php if(get_field('ampRecaptchaInput', 'option')): ?>
	<script async custom-element="amp-recaptcha-input" src="https://cdn.ampproject.org/v0/amp-recaptcha-input-0.1.js">
	</script>
	<?php endif; ?>
	<script async custom-element="amp-sidebar" src="https://cdn.ampproject.org/v0/amp-sidebar-0.1.js"></script>
	<?php if(get_field('ampYoutube', 'option')): ?>
	<script async custom-element="amp-youtube" src="https://cdn.ampproject.org/v0/amp-youtube-0.1.js"></script>
	<?php endif; ?>
	<script async custom-template="amp-mustache" src="https://cdn.ampproject.org/v0/amp-mustache-0.2.js"></script>
	<script async custom-element="amp-fit-text" src="https://cdn.ampproject.org/v0/amp-fit-text-0.1.js"></script>
	<style amp-custom>
		/* Style.css */
		<?php include 'style.php';
		?>
		/* Template CSS NOT SETUP*/
		/* Theme Options CSS */
		<?php the_field('customCSS', 'option');
		?>
		/* Page CSS */
		<?php the_field('customCSS');
		?>

	</style>
	<?php the_field('customHeaderCode'); ?>
	<?php wp_head(); ?>
	
	<? if(is_front_page()){ ?>
  <link href="<?php echo get_home_url();?>/wp-content/themes/AMP/css/home.css" rel="stylesheet" type="text/css">
	<? } ?>
</head>
<svg id="fader"></svg>
	<script>
		function fadeInPage() {
			if (!window.AnimationEvent) { return; }
		var fader = document.getElementById('fader');
			document.addEventListener('DOMContentLoaded', function() {
				    if (!window.AnimationEvent) { return; }
    fader.classList.add('fade-out');
				    var anchors = document.getElementsByTagName('a');
    
    for (var idx=0; idx<anchors.length; idx+=1) {
		        if (anchors[idx].hostname !== window.location.hostname ||
            anchors[idx].pathname === window.location.pathname) {
            continue;
        }
		anchors[idx].addEventListener('click', function(event) {
            var fader = document.getElementById('fader'),
                anchor = event.currentTarget;
            
            var listener = function() {
                window.location = anchor.href;
                fader.removeEventListener('animationend', listener);
            };
            fader.addEventListener('animationend', listener);
            
            event.preventDefault();
					            fader.classList.add('fade-in');
        });
    }
});
			window.addEventListener('pageshow', function (event) {
  if (!event.persisted) {
    return;
  }
  var fader = document.getElementById('fader');
  fader.classList.remove('fade-in');
});
}
            fadeInPage();
        </script>
<body <?php body_class(); ?>>
	<!-- GOOGLE TAG MANAGER (GTM) -->
	<?php if(get_field('googleTagManagerNoscript','option'))
			the_field('googleTagManagerNoscript', 'option') ;
	  ?>
	<!-- NGAGE -->
	<?php if(get_field('ngageToggle','option')) {
      the_field('ngage','option');
    };?>
	<div id="page" class="site">
		<!-- HEADER -->
		<?php 
include get_template_directory() . '/template-parts/'. get_field('template', 'option') . '/header.php'; ?>
		<!-- CONTENT -->
		<div id="content" class="site-content">
