<style>
	.card.result-total {
		height: 100%;
		justify-content: center;
		transition: 1s;
	}

	div[highlight]{
		animation:blinkingText 0.8s;
		animation-delay: 2s;
		animation-duration: 1s;
	}

	@keyframes blinkingText{
		0%{		opacity: 100;	}
		25%{		opacity: 0;	}
		50%{		opacity: 100;	}
		75%{		opacity: 0;	}
		100%{		opacity: 100;	}
	}
</style>
<div id="main-container" class="content-area">
	<section>
		<div class="container grid-xl">
			<div class="columns">
				<div class="column col-12">
					<?php if(!is_front_page()): ?>
						<?php get_breadcrumb(); ?>
					<?php endif; ?>
				</div>
			</div>
		</div>
	</section>
	<?php if (has_post_thumbnail( $post->ID ) ): ?>
		<div id="featuredImage">
			<?php 
			$image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'header-banner' );
			$thumbnail_id = get_post_thumbnail_id( $post->ID );
			$alt = get_post_meta($thumbnail_id, '_wp_attachment_image_alt', true); 
			?>
			<div class="fixed-container">
				<amp-img 
					alt="<?php echo $alt; ?>"
					class="contain"
					layout="fill"
					src="<?php echo $image[0]; ?>"></amp-img>
			</div>
		</div>
	<?php endif; ?>
	<section>
		<div class="container grid-xl p-relative">
			<div class="columns">
				<div class="column col-12 my-layout">
					<article>
						<div class="columns">
							<div class="column col-12 col-xl-12 ">
								<main id="main" class="site-main">
									<div class="columns">
										<div class="column col-6 col-md-12 col-mx-auto large">
											<?php the_content();?>
										</div>
									</div>
								</main>
							</div>
						</div>
					</article>
				</div>
			</div>
		</div>
	</section>
	<section class="bg-gray-light py-layout">
		<div class="container grid-xl">
			<div class="columns">
				<div class="column col-6 col-md-12 my-layout">
					<div class="card result-total bg-white">
						<div class="card-header text-center">
							<div class="card-title text-bold text-center">
								<div class="over h2">
									Over
								</div>
								<div class="amount h1 display mb-0">
									<?php
										$total = 0;
										$posts = get_posts(array(
											'posts_per_page'	=> -1,
											'post_type'			=> 'results'
										));
										if( $posts ): ?>
											<?php foreach( $posts as $post ): 
												setup_postdata( $post );
												?>
												<?php $total += get_field('result') ; ?>
											<?php endforeach; ?>
											<?php wp_reset_postdata(); ?>
										<?php endif; 
										$new_total = $total + get_field('resultsAdded', 'option'); 
										?>
									$<?php 
										$num = $new_total;
										if($num>1000) {

											$x = round($num);
											$x_number_format = number_format($x);
											$x_array = explode(',', $x_number_format);
											$x_parts = array('K', 'M', 'B', 'T');
											$x_count_parts = count($x_array) - 1;
											$x_display = $x;
											$x_display = $x_array[0] . ((int) $x_array[1][0] !== 0 ? '.' . $x_array[1][0] : '');
											$x_display .= $x_parts[$x_count_parts - 1];
									
											echo $x_display;
									
									}?>
								</div>
								<div class="recovered h2 mb-layout">
									in case results
								</div>
							</div>
						</div>
					</div>
				</div>
				<?php
				global $post;
			
				$results = get_posts( array(
					'numberposts'		=> -1,
					'post_type'			=> 'results',
					'meta_key'			=> 'result',
					'orderby'			=> 'meta_value_num',
					'order'				=> 'DESC'
				) );
			
				if ( $results ) {
					foreach ( $results as $post ) : 
						setup_postdata( $post );?>
						<div class="column col-6 col-md-12 my-layout">
							<?php include get_template_directory() . '/template-parts/'. get_field('template', 'option') . '/result.php';?>
						</div>
					<?php endforeach;
					wp_reset_postdata();
				} else {
					get_template_part( 'template-parts/content', 'none' );
				}; ?>
			</div>
		</div>
	</section>
</div>
