<?php
/**
 * Template part for displaying services
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package amp
 */

?>
<style>
.card.card-service {
    height: 100%;
}
.card.card-service .card-title {
    top: 0px;
    position: absolute;
    width: 100%;
    height: 100%;
    z-index: 1;
}
.card.card-service .card-image:after {
    content: '';
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    background: linear-gradient(to bottom, #00000000, #000000);
}
.card.card-service .card-box a {
    display: inline-flex;
}
.card .card-box a.title {
    display: block;
}
</style>
<div class="card card-service bg-white">
    <div class="p-relative card-image">
        <a href="<?php the_permalink(); ?>">
            <?php if ( has_post_thumbnail() ):?>
                <amp-img 
                src="<?php the_post_thumbnail_url('featured_image_small'); ?>"
                alt="<?php
                    $thumbnail_id = get_post_thumbnail_id( $post->ID );
                    $alt = get_post_meta($thumbnail_id, '_wp_attachment_image_alt', true);
                    if($alt){echo $alt;} else{ the_title();} ?>" 
                width="16"
                height="9" layout="responsive">
                </amp-img>
            <?php else :?>
                <amp-img 
                src="https://via.placeholder.com/426x240/cccccc/424242?text=<?php echo get_bloginfo('name');?>"
                alt="<?php the_title(); ?>" 
                width="16"
                height="9" 
                layout="responsive">
                </amp-img>
            <?php endif; ?>
        </a>
        <div class="card-title text-center flex-centered">
            <div class="card-box">
                <a class="title" href="<?php the_permalink(); ?>">
                    <span class="text-light text-bold large"><?php the_title() ;?></span>
                </a>
                <a class="btn mt-2" href="<?php the_permalink(); ?>">Read More</a>
            </div>
        </div>
    </div>
    <?php
        $args = array(
            'post_type'      => 'services',
            'posts_per_page' => -1,
            'post_parent'    => $post->ID,
            'order'          => 'ASC',
            'orderby'        => 'menu_order'
        );
        $parent = new WP_Query( $args );
        if ( $parent->have_posts() ) : ?>
            <div class="card-body">
                <?php while ( $parent->have_posts() ) : $parent->the_post(); ?>
                    <div id="parent-<?php the_ID(); ?>" class="parent-page">
                        <a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>"><?php the_title(); ?></a>
                        <div class="divider"></div>
                    </div>
                <?php endwhile; ?>
            </div>
        <?php endif; 
    wp_reset_postdata(); ?>
</div>