<style>
div#testimonialPreview {
    position: sticky;
    top: 150px;
}
.amp-carousel-button {
    display: none;
}
</style>
<div id="main-container" class="content-area">
	<?php if (has_post_thumbnail( $post->ID ) ): ?>
        <div id="featuredImage">
            <?php 
            $image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'header-banner' );
            $thumbnail_id = get_post_thumbnail_id( $post->ID );
            $alt = get_post_meta($thumbnail_id, '_wp_attachment_image_alt', true); 
            ?>
            <div class="fixed-container">
                <amp-img 
                alt="<?php echo $alt; ?>"
                class="contain"
                data-amp-auto-lightbox-disable
                layout="fill"
                src="<?php echo $image[0]; ?>"></amp-img>
                <div id="featuredImageText" class="container grid-xl flex-centered">
                    <div class="text-center text-light column col-12">
                        <span class="h1 display">
                            <?php the_title();?>
                        </span>
                        <?php get_breadcrumb(); ?>
                    </div>
                </div>
            </div>
        </div>
    <?php endif; ?>
	<div class="container grid-xl mt-layout">
		<div class="columns">
			<article class="column col-12 col-mx-auto">
				<div class="columns">
					<div class="column col-9 col-md-12">
						<main id="main" class="site-main">
							<?php
							if( have_rows('details') ):?>
								<div id="details" class="mb-layout">
									<h2>How We Work</h2>
									<div class="columns">
										<?php 
										$counter = 0;
										while( have_rows('details') ) : the_row();
										$name = get_sub_field('name');
										$icon = get_sub_field('icon');
										$description = get_sub_field('description');?>
											<div class="column col-4 col-lg-6 col-sm 12">
												<a class="btn btn-gray btn-block btn-lg mb-layout" href="<?php echo '#modal-' . $counter ;?>"><?php echo $icon ;?> <?php echo $name ;?></a>
												<div class="modal" id="modal-<?php echo $counter;?>">
													<a href="#close" class="modal-overlay" aria-label="Close"></a>
													<div class="modal-container">
														<div class="modal-header">
														<a href="#close" class="btn btn-clear float-right" aria-label="Close"></a>
														<div class="modal-title h5"><?php echo $name ;?></div>
														</div>
														<div class="modal-body">
															<div class="content">
																<?php echo $description;?>
															</div>
														</div>
													</div>
												</div>
											</div>
										<?php 
										$counter++;
										endwhile;?>
									</div>
								</div>
							<?php endif;?>
							<?php
							while ( have_posts() ) :
								the_post();

								get_template_part( 'template-parts/content', 'page' );

								// If comments are open or we have at least one comment, load up the comment template.
								if ( comments_open() || get_comments_number() ) :
									comments_template();
								endif;

							endwhile; // End of the loop.
							?>
						</main><!-- #main -->
					</div>
					<div class="sidebar column col-3 col-md-12 mb-layout">
						<div class="card bg-white">
							<div class="card-header text-center">
								<div class="card-title text-bold large">
									Free Consultation
								</div>
							</div>
							<div class="card-body">
								<?php 
									$sidebarForm = get_field('sidebarFormDefault', 'option');
									echo do_shortcode($sidebarForm);
								?>
							</div>
						</div>
						<div id="testimonialPreview" class="sticky my-layout">
							<amp-carousel
							height="550px"
							layout="fixed-height"
							type="slides"
							role="region"
							aria-label="Basic carousel"
							loop
							autoplay
							controls
							delay="8000"
							>
								<?php
								global $post;
								$testimonails = get_posts( array(
									'numberposts'		=> 4,
									'post_type'			=> 'testimonials',
									'order'				=> 'DESC',
									'meta_key'			=> 'videoID',
									'meta_value'		=> ' ',
								) );
							
								if ( $testimonails ) {
									foreach ( $testimonails as $post ) : 
										setup_postdata( $post ); ?>
											<div class="fixed-height-container">
												<?php include get_template_directory().'/template-parts/' . get_field('template', 'option') . '/testimonial.php' ;?>
											</div>
									<?php endforeach;
									wp_reset_postdata();
								} else {
									get_template_part( 'template-parts/content', 'none' );
								}; ?>
							</amp-carousel>
						</div>
					</div>
				</div>
			</div>
		</div><!-- #primary -->
	</div>
</div>