<section>
	<div class="container grid-xl">
		<div class="columns">
			<div class="column col-12">
				<?php if(!is_front_page()): ?>
				<?php get_breadcrumb(); ?>
				<?php endif; ?>
			</div>
		</div>
	</div>
</section>
<div class="container grid-xl p-relative">
	<div class="columns">
		<div class="column col-12 pb-layout-xl">
			<article>
				<div class="columns">
                    <div class="column col-3 col-lg-4 col-sm-12">
                        <div class="card text-center p-sticky">
                            <div class="card-image">
                                <?php 
                                    $image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'medium' );
                                    $thumbnail_id = get_post_thumbnail_id( $post->ID );
                                    $alt = get_post_meta($thumbnail_id, '_wp_attachment_image_alt', true)
                                ;?>
                                <amp-img
                                    alt="<?php echo $alt; ?>"
                                    class="contain"
                                    height="<?php echo $image[2]; ?>"
                                    layout="responsive"
                                    src="<?php echo $image[0]; ?>"
                                    width="<?php echo $image[1]; ?>">
                                </amp-img>
                            </div>
                            <div class="card-body">
                                <div class="m-0 h1">
                                    <?php the_field('teamMemberFirstName');?> <?php the_field('teamMemberMiddleName');?> <?php the_field('teamMemberLastName');?>
                                </div>
                                <?php
                                    $label =  get_field('teamMemberPosition');
                                    if($label)
                                :?>
                                <span class="label label-rounded"> <?php echo $label ;?> </span>
                                <?php endif;?>
                            </div>
                            <?php  
                            if ( have_rows('teamMembersocialMedia')):?>
                                <div class="card-footer">
                                    <div id="socialMedia" class="pb-0 mt-layout">
                                        <div class="column col-12 flex-centered">
                                            <?php while(have_rows('teamMembersocialMedia')) : the_row();
                                            $field = get_sub_field('teamMemberSocialMediaPlatform');
                                            ?>
                                                <div class="column m-layout d-inline large">
                                                    <a class="large text-gray" href="<?php the_sub_field('teamMemberSocialMediaURL')?>" target="_blank">
                                                        <i class="color <?php echo $field['value'];?> pr-2"></i>
                                                    </a>
                                                </div>
                                            <?php endwhile;?>
                                        </div>
                                    </div>
                                </div>
                            <?php endif; ?>
                        </div>
                    </div>
					<div class="column col-9 col-lg-8 col-sm-12 ">
						<main id="main" class="site-main">
							<?php the_content();?>
						</main><!-- #main -->
                        <?php  
                        if ( have_rows('teamMemberPublications')):?>
                        <div class="divider"></div>
                            <div id="publications" class="pb-0 mt-layout">
                                <h2>Publications</h2>
                                <?php while(have_rows('teamMemberPublications')) : the_row();
                                ?>
                                    <div class="m-layout  d-inline">
                                        <strong><?php the_sub_field('teamMemberPublicationsName')?></strong><br>
                                        <?php the_sub_field('teamMemberPublicationsDescription')?>
                                    </div>
                                <?php endwhile;?>
                            </div>
                        <?php endif; ?>
                        <?php  
                        if ( have_rows('teamMemberSpeakingEngagements')):?>
                            <div class="divider"></div>
                            <div id="speakingEngagements" class="pb-0 mt-layout">
                                <h2>Speaking Engagements</h2>
                                <?php while(have_rows('teamMemberSpeakingEngagements')) : the_row();
                                ?>
                                    <div class="m-layout  d-inline">
                                        <strong><?php the_sub_field('teamMemberSpeakingEngagementsName')?></strong><br>
                                        <?php the_sub_field('teamMemberSpeakingEngagementsDescription')?>
                                    </div>
                                <?php endwhile;?>
                            </div>
                        <?php endif; ?>
					</div>
				</div>
			</article>
		</div>
	</div>
</div>
<?php

get_footer();
