<?php
/**
 * Template part for displaying testimonials
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package amp
 */

?>
<style>
    .card.testimonial {
        border: 1px solid #e1e8ed;
        border-radius: 5px;
        overflow: hidden;
        }
    .card.testimonial .card-header {
        display: flex;
    }
    .card.testimonial .card-body {
        padding-left: 16px;
        padding-right: 16px;
        padding-top: 16px;
        padding-bottom: 16px;
        overflow: hidden;
    }
    .card.testimonial .name {
        font-weight: bold;
    }
    .card.testimonial .card-image img, .card.testimonial .card-image amp-img {
        border-radius: 100%;
        height: 36px;
        object-fit: cover;
        width: 36px;
    }
    .card.testimonial .location {
        font-size: 1.5rem;
        margin:auto;
    }
    .testimonial.card .transcript p:first-of-type {
        margin-top: 0px;
    }

/* Read More */
.testimonial.card input, .testimonial.card .read-more-hidden {
    display: none;
}
.testimonial.card input[type=checkbox]:checked ~ .read-more-hidden  {
   display: inline;
}
.testimonial.card input[type=checkbox]:checked, .testimonial.card input[type=checkbox]:checked ~ span {
   display: none;
}
.testimonial.card .read-more {
    width: fit-content;
    margin: auto;
}
</style>
<div class="testimonial card bg-white mb-layout">
    <div class="card-header text-center">
        <div class="location">
            <?php 
            $location = get_field('location');
            if( !empty( $location ) ): ?>
                <i class="<?php the_field('location');?>"></i>
            <?php endif; ?>
        </div>
    </div>
    <?php if(get_field('videoID')):?>
        <div class="card-image">
            <div class="video-responsive">
            <iframe src="https://www.youtube.com/embed/<?php the_field('videoID'); ?>?rel=0" width="auto" height="auto" frameborder="0" allowfullscreen></iframe>
            </div>
        </div>
    <?php endif;?>
    <?php 
    if( '' !== get_post()->post_content ):?>
        <div class="card-body text-justify">
            <input type="checkbox" id="toggle-<?php echo get_the_ID();?>">
            <?php
            $content = get_the_content();
            if(strlen($content) >= 250):?>
                <?php echo substr($content, 0, 250);?>
                <span class="read-more-hidden"><?php echo substr($content, 250, -1);?></span><span class="read-more">...<label class="btn btn-sm btn-link text-center text-bold" for="toggle-<?php echo get_the_ID();?>"> Read More <i class="fas fa-angle-right"></i></label>
                </span><?php edit_post_link(__('Edit')); ?>
            <?php else:?>
                <?php echo $content;?>
            <?php endif;?>
        </div>
    <?php endif;?>
    <div class="card-footer">
        <div class="cite text-center">
            <div class="name large">
                <?php the_field('fullName');?>
            </div>
            <?php if(get_field('affiliation')): ?>
                <div class="company small">
                    <a class="text-gray" href="<?php the_field('affiliationWebsite');?>" target="_blank"><?php the_field('affiliation');?></a>
                </div>
            <?php endif ;?>
        </div>
    </div>
</div>