<?php
	$featuredImage = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'header-banner' );
	$thumbnail_id = get_post_thumbnail_id( $post->ID );
	$alt = get_post_meta($thumbnail_id, '_wp_attachment_image_alt', true);
    $ctaType = get_field('cta_type', 'option');
;?>
<style>
.card-award {
	width: 60%;
	margin: auto;
	filter: gray; /* IE6-9 */
  -webkit-filter: grayscale(100%);
  transition: .3s;
}
.card-award:hover {
	filter: none; /* IE6-9 */
  -webkit-filter: grayscale(0%);
}
.modal-award-img {
	width: 80%;
}
</style>
<main>
	<div class="container">
		<div class="row">
			<div class="col my-4">
				<?php if(!is_front_page()): ?>
				<?php get_breadcrumb(); ?>
				<?php endif; ?>
			</div>
		</div>
	</div>
	<?php if ($featuredImage): ?>
        <div class="container-fluid">
            <div class="row mb-5">
                <div id="featuredImage" class="col-12 position-relative p-0">
                    <img alt="<?php echo $alt; ?>" class="img-fluid" src="<?php echo $featuredImage[0]; ?>"
                        style="height:100%;width:100%;object-fit:cover; filter: brightness(70%)">
                    <div id="featured-image-text">
                        <span class="display-3 text-white fw-bold text-center"><?php the_title();?></span>
                    </div>
                </div>
            </div>
        </div>
	<?php endif; ?>
	<article>
		<div class="container">
			<div class="row g-3 justify-content-center">
				<div class="col-12 col-lg-10 col-xl-6">
					<article>
						<?php the_content();?>
					</article>
				</div>
			</div>
			<div class="row g-3 align-items-center p-3">
				<?php
				global $post;
				$awards = get_posts( array(
					'numberposts'		=> -1,
					'post_type'			=> 'awards',
					'order'				=> 'DESC',
				) );

				if ( $awards ) {
					foreach ( $awards as $post ) : 
					setup_postdata( $post );?>
				<div class="col-6 col-md-6 col-lg-4 col-xl-3">
					<?php include get_template_directory() . '/template-parts/'. get_field('template', 'option') . '/inc/award.php';?>
				</div>
				<?php endforeach;
					wp_reset_postdata();
				} else {
					get_template_part( 'template-parts/content', 'none' );
				}; ?>
			</div>
		</div>
	</article>
</main>