<?php
/**
 * Template Name: Single
 * The template for displaying the Single Posts.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package amp
 */

get_header();
$featuredImage = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'header-banner' );
$ctaType = get_field('cta_type', 'option');
$service_name = get_field('services_name_plural', 'option');
?>
<style>
	#newsletter-card {
		overflow: hidden;
		position: relative;
	}

	#newsletter-cta {
		height: 500px;
		width: 500px;
		position: absolute;
		left: -300px;
		bottom: -350px;
		border-radius: 100%;
		transform: rotate(180deg);
	}

	#newsletter-privacy-policy,
	#newsletter-card .card-body {
		z-index: 1;
	}
</style>
<main>
	<div class="container">
		<div class="row">
			<div class="col my-4">
				<?php if(!is_front_page()): ?>
				<?php get_breadcrumb(); ?>
				<?php endif; ?>
			</div>
		</div>
	</div>
	<?php if ($featuredImage): ?>
        <div class="container-fluid mb-5">
            <div class="row">
                <div id="featuredImage" class="col-12 position-relative p-0">
                    <img alt="<?php echo $alt; ?>" class="img-fluid" src="<?php echo $featuredImage[0]; ?>"
                        style="height:100%;width:100%;object-fit:cover; filter: brightness(70%)">
                    <div id="featured-image-text" class="row">
						<div class="col-12 text-center">
							<div class="display-3 text-white fw-bold"><?php the_title();?></div>
						</div>
                    </div>
                </div>
            </div>
        </div>
	<?php endif; ?>
	<?php 
	// CONTENT BLOCK V.0.1
	$args=array(
		'orderby' => 'menu_order',
		'post_type' => 'services',
		'posts_per_page' => -1,
	);
	$services = get_posts( $args );
	if($services) :?>
		<div class="container">
			<div class="row g-4">
				<div class="col-12 col-lg-9 order-lg-2">
					<article>
						<?php the_content();?>
					</article>
				</div>
				<div class="col-12 col-lg-3 order-lg-1">
					<div class="row">
						<?php include 'inc/sidebar-auto.php';?>
						<?php if($ctaType):?>
							<?php include 'inc/cta/' . $ctaType . '.php';?>
						<?php endif ;?>
					</div>
				</div>
			</div>
		</div>
	<?php else:?>
		<div class="container">
			<div class="row justify-content-center p-3">
				<div class="col-12 col-lg-8 col-xl-6">
					<article>
						<?php the_content();?>
					</article>
				</div>
			</div>
		</div>
	<?php endif;?>
</main>
<div id="more-services">
	<div class="container grid-xl mb-5">
		<div class="row g-4">
			<div class="col-12">
				<?php 
					$categories = get_the_category();
					$category_id = $categories[0]->cat_ID;
					$category_name = get_cat_name($category_id);
					$category_link = get_category_link($category_id);
					$posts = get_posts(array(
						'category'          => $category_id,
						'exclude'           => get_the_ID(),
						'orderby' => 'rand',
                        'order'    => 'ASC',
						'posts_per_page'	=> 4,
						'post_type'			=> 'services',
                        'post_parent'       => 0,
					));
					if( $posts ): 
				?>
				<h2>More <?php 
					echo $service_name
				;?></h2>
			</div>
			<?php foreach( $posts as $post ): 
			setup_postdata( $post ); ?>
			<?php include get_template_directory() . '/template-parts/'. get_field('template', 'option') . '/inc/services.php';?>
			<?php endforeach; ?>
			<?php wp_reset_postdata(); ?>
			<?php endif; ?>
		</div>
	</div><!-- #primary -->
</div>
<?php

get_footer();
