<?php
    $featuredImage = get_field('contact_archive_featured_image', 'option');
    $content = get_field('contact_archive_content', 'option');
    $liveChat = get_field('components_live_chat', 'option');
    $contact_form = get_field('contact_form', 'option');
    $fax = get_field('client_fax','option');
    $locations = get_field('locations', 'option');
;?>
<style>
#phone a {
    color: #eee;
}
</style>
<main>
	<div class="container">
		<div class="row">
			<div class="col my-4">
				<?php if(!is_front_page()): ?>
				<?php get_breadcrumb(); ?>
				<?php endif; ?>
			</div>
		</div>
	</div>
    <div class="container-fluid ">
        <div class="row d-flex g-4 align-items-center">
            <div class="col-12 col-md-6 align-items-center d-flex" style="background-image:linear-gradient(rgba(0, 0, 0, 0.75), rgba(0, 0, 0, 0.75)), url('<?php echo esc_url($featuredImage['sizes']['header-banner']);?>'); height: 100vh; background-position: bottom; background-repeat: no-repeat; background-size: cover;">
            <div class="row mx-5">
                    <div class="col-12 mb-5">
                        <div class="row">
                            <div class="col-auto">
                                <span class="icon-phone me-1 text-white"></span>
                            </div>
                            <div class="col">
                                <div class="text-light small fw-bold">
                                    Call
                                </div>
                                <div id="phone" class="mb-layout fs-5">
                                    <?php echo do_shortcode('[phone]') ;?>
                                </div>
                                <?php if($fax):?>
                                    <div id="fax" class="text-gray small text-muted">
                                        Fax: <?php the_field('fax','option');?>
                                    </div>
                                <?php endif;?>
                            </div>
                        </div>
                    </div>
                <?php if($locations):?>
                    <?php while(have_rows('locations', 'option')): the_row();
                        $street= get_sub_field('street');
                        $street_2= get_sub_field('street_2');
                        $city = get_sub_field('city');
                        $state = get_sub_field('state');
                        $zip_code= get_sub_field('zip_code');
                        $directions_url= get_sub_field('directions_url');
                    ?>
                    <div class="col-12 mb-3">
                        <div class="row">
                            <div class="col-auto">
                                <span class="icon-map-marker me-1 text-white"></span>
                            </div>
                            <div class="col fs-5">
                                <div class="text-light small fw-bold">
                                    Address
                                </div>
                                <a class="text-white" href="<?php echo $directions_url ?>"
                                target="_blank"><?php echo $street;?><br />
                                <?php echo $street_2;?><br />
                                <?php echo $city;?>, <?php echo $state;?>
                                <?php echo $zip_code;?></a>
                            </div>
                        </div>
                    </div>
                    <?php endwhile;?>
                <?php endif;?>
            </div>

            </div>
            <div class="col-12 col-md-6 my-5">
                <article class="mb-5">
                    <?php echo $content;?>
                </article>
                <div class="fw-bold text-center">
                    Message
                </div>
                <?php echo do_shortcode($contact_form);?>
            </div>
        </div>
    </div>
</main>
