<?php
    $featuredImage = get_field('jobs_archive_featured_image', 'option');
    $content = get_field('jobs_archive_content', 'option');
    $faqForm = get_field('jobs_form', 'option');
;?>
<main>
	<div class="container">
		<div class="row">
			<div class="col my-4">
				<?php if(!is_front_page()): ?>
				<?php get_breadcrumb(); ?>
				<?php endif; ?>
			</div>
		</div>
	</div>

	<?php if ($featuredImage): ?>
	<div class="container-fluid">
		<div class="row">
			<div id="featuredImage" class="col-12 position-relative p-0">
				<img alt="<?php echo $featuredImage['alt']; ?>" class="mx-auto card-img-top" layout="fill"
					src="<?php echo esc_url($featuredImage['sizes']['header-banner']); ?>"
					style="height:100%;width:100%;object-fit:cover; filter: brightness(70%)">
				<div id="featured-image-text">
					<div class="display-3 text-white fw-bold text-center"><?php the_archive_title();?></div>
				</div>
			</div>
		</div>
	</div>
	<?php endif; ?>
    <div id="jobs" class="py-5">
        <?php if($content):?>
            <div class="container">
                <div class="row g-3 justify-content-center">
                    <div class="col-12 col-lg-8 col-xl-6">
                        <article class="mb-5">
                            <?php echo $content;?>
                        </article>
                    </div>
                </div>
            </div>
            <hr>
        <?php endif;?>
        <div class="container">
            <div class="row g-3 justify-content-center">
                <?php
                //for each category, show 5 posts
                $tag_args = array(
                    'orderby' => 'name',
                    'order' => 'ASC',
                    'taxonomy' => 'team',
                );
                $tags= get_tags($tag_args);
                foreach($tags as $tag):?>
                    <div id="<?php echo $tag->slug;?>" class="col-12 mb-5">
                        <div class="row align-items-center mb-3">
                            <div class="col">
                                <h3 class="card-title"><?php echo $tag->name ;?></h3>
                                <p class="text-muted"><?php echo $tag->description ;?></p>
                            </div>
                            <div class="col-auto d-none d-md-block">
                                <div class="card bg-primary border-0 text-white">
                                    <div class="card-body">
                                        <?php echo $tag->count ;?> Jobs
                                    </div>
                                </div>
                            </div>
                        </div>
                        <?php 
                        $args = array(
                            'post_type' => 'jobs',
                            'numberposts' => -1,
                            'tax_query' => array(
                                array(
                                    'taxonomy' => 'team',
                                    'field' => 'slug',
                                    'terms' => $tag->slug,
                                    'include_children' => false
                                )
                            )
                        );
                        $loop = new WP_Query( $args );?>
                        <div id="list-<?php echo $post_name ;?>" class="list-group">
                            <?php while ( $loop->have_posts() ) : $loop->the_post(); 
                            $post_name = $tag->slug . $post->post_name;?>
                                <a id="<?php echo get_post_field('post_name');?>" href="<?php the_permalink();?>" class="list-group-item list-group-item-action p-4">
                                    <span class="row align-items-center">
                                        <span class="col">
                                            <span class="h4">
                                                <?php the_title(); ?>
                                            </span>
                                            <br>
                                            <span class="text-muted">
                                                <?php the_field('job_type');?>
                                            </span>
                                        </span>
                                        <span class="col-auto">
                                            <?php the_field('location');?> 
                                        </span>
                                    </span>
                                </a>
                            <?php endwhile; ?>
                        </div>
                    </div>
                <?php endforeach ;?>
            </div>
        </div>
    </div>
    
</main>
