<?php
/**
 * Template Name: Archive Team
 * The template for displaying the Archive Team
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package amp
 */

$featuredImage = get_field('team_archive_featured_image', 'option');
$ctaType = get_field('cta_type', 'option');
$content = get_field('team_archive_content', 'option');
$brand = get_template_page_url('brand.php');
$favicon = get_field('favicon', 'option');
if($excludePages){
	$exclude = implode(",", $excludePages);
};
$pressCatID = get_cat_ID('press');
?>
<main>
	<div class="container">
		<div class="row">
			<div class="col my-4">
				<?php if(!is_front_page()): ?>
				<?php get_breadcrumb(); ?>
				<?php endif; ?>
			</div>
		</div>
	</div>
	<?php if ($featuredImage): ?>
		<div class="container-fluid">
			<div class="row">
				<div id="featuredImage" class="col-12 position-relative p-0">
					<img alt="<?php echo $featuredImage['alt']; ?>" class="mx-auto card-img-top" layout="fill"
						src="<?php echo esc_url($featuredImage['sizes']['header-banner']); ?>" style="height:100%;width:100%;object-fit:cover; filter: brightness(70%)">
					<div id="featured-image-text">
						<div class="display-3 text-white fw-bold text-center"><?php the_archive_title();?></div>
					</div>
				</div>
			</div>
		</div>
	<?php endif; ?>
	<article>
		<?php if($content):?>
			<div class="container">
				<div class="row g-3 justify-content-center">
					<div class="col-12 col-lg-8 col-xl-6">
						<article class="mb-5">
							<?php echo $content;?>
						</article>
					</div>
				</div>
			</div>
		<?php endif;?>
		<div id="team">
			<div class="container">
				<div class="row d-flex g-4 py-5 justify-content-center">
					<?php
					global $post;
				
					$posts = get_posts( array(
						'numberposts'		=> -1,
						'post_type'			=> 'team',
						'orderby'			=> 'date',
						'order'				=> 'DESC'
					) );
				
					if ( $posts ) {
						foreach ( $posts as $post ) : 
							setup_postdata( $post );?>
						<?php include get_template_directory() . '/template-parts/'. get_field('template', 'option') . '/inc/team.php';?>
					<?php endforeach;
						wp_reset_postdata();
					} else {
						get_template_part( 'template-parts/content', 'none' );
					}; ?>
				</div>
			</div>
		</div>
		<?php wp_reset_postdata(); ?>
		</div>
	</article>
</main>
<?php

get_footer();
