<?php
/**
 * Template Name: Archive Testimonials
 * The template for displaying the Archive Testimonials
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package amp
 */

    $featuredImage = get_field('testimonials_archive_featured_image', 'option');
    $content = get_field('testimonials_archive_content', 'option');
    $google_api = get_field('google_api', 'option');
    $google_places_id = get_field('google_places_id', 'option');
    $ctaType = get_field('cta_type', 'option');
    
    /* GET GOOGLE REVIEWS */
    $api_key = $google_api;  // insert the api key

    /* To get placeId :           
    https://maps.googleapis.com/maps/api/place/textsearch/json?key=yourKey&query=guru+technolabs
    placeId will be somewhere in output. :P
    */

    $placeid = $google_places_id;  // insert the place id 

    $parameters = "key=$api_key&placeid=$placeid";

    $url = "https://maps.googleapis.com/maps/api/place/details/json?$parameters";

    $cookie="cookies.txt";

            /*****  Using Curl to fetch the data  *****/

            $ch = curl_init();
            curl_setopt ($ch, CURLOPT_URL, $url);
            curl_setopt ($ch, CURLOPT_USERAGENT, "Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.1.6) Gecko/20070725 Firefox/2.0.0.6");
            curl_setopt ($ch, CURLOPT_TIMEOUT, 60);
            curl_setopt ($ch, CURLOPT_FOLLOWLOCATION, 0);
            curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
            curl_setopt ($ch, CURLOPT_RETURNTRANSFER, 1);
            curl_setopt ($ch, CURLOPT_COOKIEJAR, $cookie);
            $result = curl_exec ($ch);
            curl_close($ch);

            /*****  Decode the received json data into php array  *****/

            $res = json_decode($result,true);
            

            $reviews = ($res['result']['reviews']);
;?>

<main>
	<div class="container">
		<div class="row">
			<div class="col my-4">
				<?php if(!is_front_page()): ?>
				<?php get_breadcrumb(); ?>
				<?php endif; ?>
			</div>
		</div>
	</div>
	<?php if ($featuredImage): ?>
        <div class="container-fluid">
            <div class="row">
                <div id="featuredImage" class="col-12 position-relative p-0">
                    <img alt="<?php echo $featuredImage['alt']; ?>" class="mx-auto card-img-top" layout="fill"
                        src="<?php echo esc_url($featuredImage['sizes']['header-banner']); ?>"
                        style="height:100%;width:100%;object-fit:cover; filter: brightness(70%)">
                    <div id="featured-image-text">
                        <div class="display-3 text-white fw-bold text-center"><?php the_archive_title();?></div>
                    </div>
                </div>
            </div>
        </div>
	<?php endif; ?>
    <div id="testimonials" class="py-5">
    	<article>
            <div class="container">
                <div class="row">
                    <div class="col-12 col-lg-9 order-lg-2">
                        <div class="row g-4">
                            <?php if($content):?>
                                <div class="col-12">
                                    <article>
                                        <?php echo $content;?>
                                    </article>
                                </div>
                            <?php endif;?>
                            <?php if($google_places_id):?>
                                <?php foreach ($reviews as $review) {              
                                    /*** condition for filter the reviews ***/
                                    if(($review["rating"])>4){
                                    $dt = new DateTime("@".$review["time"]);   
                                    $photolink = ($review["profile_photo_url"]);
                                    ?>
                                        <div class="col-12">
                                            <div class="card">
                                                <div class="card-body">
                                                    "<?php
                                                    echo "{$review["text"]}";?>"
                                                </div>
                                                <div class="card-footer bg-white text-end border-top-0">
                                                    <img class="circle avatar-lg" src="<?php echo $photolink; ?>" alt="profile image">
                                                        <span class="fw-bold "><?php echo $review["author_name"];?></span>
                                                </div>
                                            </div>
                                        </div>
                                    <?php  
                                    }

                                } ?>
                            <?php endif ;?>
                            <?php if ( have_posts() ) :?>
                                <?php foreach( $posts as $post ): setup_postdata( $post ); ?>
                                    <?php include get_template_directory() . '/template-parts/'. get_field('template', 'option') . '/inc/testimonial.php';?>
                                    <?php endforeach; ?>
                                <?php wp_reset_postdata(); ?>
                            <?php else :
                                include get_template_directory() . '/template-parts/'. get_field('template', 'option') . '/content-none.php';
                            endif;?>
                        </div>
                    </div>
                    <div class="col-12 col-lg-3 order-lg-1">
                        <div class="row">
                            <?php if($ctaType):?>
                                <?php include 'inc/cta/' . $ctaType . '.php';?>
                            <?php endif ;?>
                        </div>
                    </div>
                </div>
            </div>
        </article>
    </div>
</main>