<?php
/**
 * Template part for displaying a message that posts cannot be found
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package amp
 */

?>
<div class="column col-12">
	<section class="no-results not-found">
		<div class="page-header">
			<h1 class="page-title"><?php esc_html_e( 'Nothing Found', 'amp' ); ?></h1>
		</div><!-- .page-header -->

		<div class="page-content">
			<?php
			if ( is_home() && current_user_can( 'publish_posts' ) ) :

				printf(
					'<p>' . wp_kses(
						/* translators: 1: link to WP admin new post page. */
						__( 'Ready to publish your first post? <a href="%1$s">Get started here</a>.', 'amp' ),
						array(
							'a' => array(
								'href' => array(),
							),
						)
					) . '</p>',
					esc_url( admin_url( 'post-new.php' ) )
				);

			elseif ( is_search() ) :
				?>

				<div class="large mb-layout">Your search <strong><?php echo get_search_query() ;?></strong> did not match any pages or posts.</div><ul><li>Make sure that all words are spelled correctly.</li><li>Try different keywords.</li><li>Try more general keywords.</li><li>Try fewer keywords.</li></ul><p class="large">Still can't find what you're looking for? 	<a href="<?php echo get_post_type_archive_link("contact")?>">Contact Us</a></p>
				<?php

			else :
				?>

				<p><?php esc_html_e( 'It seems we can&rsquo;t find what you&rsquo;re looking for. Perhaps searching can help.', 'amp' ); ?></p>
				<?php

			endif;
			?>
		</div><!-- .page-content -->
	</section><!-- .no-results -->
</div>
