<?php
/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package amp
 */

$logoDark = get_field('logo_dark', 'option');
$footerText = get_field('footer_text', 'option');
$liveChat = get_field('components_live_chat', 'option');
$privacy = get_template_page_url('privacy-policy.php');
$terms = get_template_page_url('terms.php');
$cookie = get_template_page_url('cookie-policy.php');
$sitemap = get_template_page_url('sitemap.php');
$agencyCredit = get_field('agency_credit','option');
$locations = get_field('locations','option');
$count = count($locations);
?>
<style>
    #footer-logo {
        max-width: 200px;
    }

    footer a {
        color: var(--gray-color-light);
    }

    footer a:hover {
        color: var(--gray-color-light-hover);
    }

    .footerMenu {
        list-style: none;
        padding: 0px
    }

    @media(max-width:767px) {
        .addr-box {
            border-bottom: 1px var(--gray-color-light) dotted;
            margin-bottom: 20px;
            padding: 20px 0
        }

        .addr-box hr {
            display: none
        }
    }
</style>
</div><!-- #content -->
<footer class="site-footer bg-dark">
    <div id="footer-top" class="py-5">
        <div class="container grid-xl">
            <div class="row gx-3">
                <div class="col-12 col-md-6 col-lg-3 mb-4">
                    <a href="<?php echo esc_url( home_url( '/' ) ); ?>">
                        <?php if( !empty( $logoDark ) ): ?>
                        <img id="footer-logo" class="pb-3" alt="<?php bloginfo('name'); ?>"
                            src="<?php echo esc_url($logoDark['url']); ?>" layout="fill" width="100%">
                        <?php else: ?>
                        <a class="site-title navbar-item large" href="/" rel="home"><?php bloginfo('name'); ?></a>
                        <?php endif ; ?>
                    </a>
                    <?php if($footerText != "0"):?>
                    <p class="text-light">
                        <?php echo $footerText;?>
                    </p>
                    <?php else:?>
                    <p class="text-light">
                        <?php the_field ('footer_text_custom','option');?>
                    </p>
                    <?php endif;?>
                </div>

                <!-- vijay edited  -->
                <?php if ( have_rows('locations', 'option')): ?>
                <?php if($count == 2){ ?>
                <div class="col-12 col-md-6 col-lg-6 mb-4 row">
                    <div class="row">
                        <div class="col-12">
                            <p class="text-light text-uppercase text-center">
                                <span class="fw-bold lead">Contact</span>
                            </p>
                        </div>
                    </div>
                    <?php } ?>
                    <?php while(have_rows('locations', 'option')): the_row();
                    $street= get_sub_field('street');
                    $street_2= get_sub_field('street_2');
                    $city = get_sub_field('city');
                    $state = get_sub_field('state');
                    $zip_code= get_sub_field('zip_code');
                    $directions_url= get_sub_field('directions_url');
                    ?>
                    <?php if($count == 2){ ?>
                    <div class="col-12 col-md-6 col-lg-6 mb-6">
                        <?php } else{  ?>
                        <div class="col-12 col-md-6 col-lg-3 mb-4">
                            <?php } ?>
                            <?php if($count == 1){ ?>
                            <div class="row">
                                <div class="col-12">
                                    <h4 class="text-light text-uppercase">
                                        <span class="fw-bold lead">Contact</span>
                                    </h4>
                                </div>
                            </div>
                            <?php } ?>
                            <div class="row align-items-center">
                                <div class="col-12 addr-box">
                                    <div class="row">
                                        <div class="col-auto text-center text-light">
                                            <span class="icon-phone me-1"></span>
                                        </div>
                                        <div class="col">
                                            <?php echo do_shortcode('[phone]') ;?>
                                        </div>
                                        <div class="col-12">
                                            <hr class="my-3">
                                            <div class="row">
                                                <div class="col-auto text-center text-light">
                                                    <span class="icon-map-marker me-2"></span>
                                                </div>
                                                <div class="col">
                                                    <a href="<?php echo $directions_url ?>"
                                                        target="_blank"><?php echo $street;?><br />
                                                        <?php echo $street_2;?><br />
                                                        <?php echo $city;?>, <?php echo $state;?>
                                                        <?php echo $zip_code;?></a>
                                                </div>
                                            </div>
                                        </div>
                                        <?php if($liveChat):?>
                                        <div class="col-12">
                                            <hr class="my-3">
                                            <div class="row">
                                                <div class="col-auto text-center text-light">
                                                    <span class="icon-comments"></span>
                                                </div>
                                                <div class="col">
                                                    <a class="btn btn-sm btn-success mt-2" href="#"> Live Chat</a>
                                                </div>
                                            </div>
                                        </div>
                                        <?php endif ;?>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <?php endwhile;?>
                        <?php if($count == 2){ ?>
                    </div>
                    <?php } ?>
                    <?php if($count == 1){ ?>
                    <div class="col-12 col-md-6 col-lg-3 mb-4">
                        <p class="text-light text-uppercase">
                            <span class="fw-bold lead">Useful Links</span>
                        </p>
                        <?php
						wp_nav_menu( array(
							'theme_location'    => 'primary',
							'container'         => '',
							'menu_class'        => 'footerMenu',
							'depth'				=> 1,
						) );
					?>
                    </div>
                    <?php } ?>
                    <?php endif;?>

                    <div class="col-12 col-md-6 col-lg-3 mb-4">
                        <p class="text-light text-uppercase">
                            <span class="fw-bold lead">Social</span>
                        </p>
                        <div id="socialMedia" class="mb-4">
                            <?php  
                        if ( have_rows('social_media', 'option')):?>
                            <?php while(have_rows('social_media', 'option')) : the_row();
                            $field = get_sub_field('account');
                            ?>
                            <a class="btn btn-dark text-light" href="<?php the_sub_field('url')?>" target="_blank">
                                <span class="<?php echo $field['value'];?> pr-2"></span>
                            </a>
                            <?php endwhile;?>
                            <?php endif; ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div id="footer-bottom" class="p-3">
            <div class="container grid-xl">
                <div class="row gx-5 align-items-center">
                    <div class="col text-light small">
                        © <?php echo date("Y"); ?> <?php the_field('name','option'); ?> All Right Reserved.
                        | <a href="<?php echo $privacy ?>">Privacy Policy</a> |
                        <a href="<?php echo $cookie ?>">Cookie Policy</a> |
                        <a href="<?php echo $terms ?>">Terms</a> |
                        <a href="<?php echo $sitemap ?>">Sitemap</a>
                    </div>
                    <div class="col-auto text-end">
                        <?php if($agencyCredit != "none" ):?>
                        <?php include get_template_directory() . '/components/help-desk/help-desk.php' ;?>
                        <?php endif;?>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- Search Modal -->
    <div class="modal modal-small fade" id="searchModal" tabindex="-1" role="dialog"
        aria-labelledby="#searchModal" aria-hidden="true">
        <div class="modal-dialog modal-sm" role="document">
            <div class="modal-content">
                <div class="container p-2">
                    <form role="search" method="get" class="form search-form " action="<?php echo home_url( '/' ); ?>">
                        <div class="input-group">
                            <input name="s" type="text" class="form-control form-control-lg"
                                placeholder="Search the site">
                            <span class="input-group-btn">
                                <button type="submit" value="" name="search" id="search" class="btn btn-primary btn-lg" type="button">
                                    <span class="icon-search" aria-hidden="true"></span>&nbsp;</button>
                            </span>
                        </div>
                    </form>
                    <small class="text-light">Hit enter to search or ESC to close</small>
                </div>
            </div>
        </div>
    </div>
</footer>

<script>
    // Get Header Height
    // NOTES
    // Need this script down in the footer. If moved to the header issues start happening. This script is the reason the Layout Shift is happening. 
    var h = document.getElementById('header').clientHeight;
    document.getElementById("content").style.margin = h + 'px 0px 0px 0px';
</script>
<!-- #page -->
</body>

</html>