<?php
	$logo = get_field('logo', 'option');
	$logo_dark = get_field('logo_dark', 'option');
	$icon = get_field('icon', 'option');
	
	$hero_button_1 = get_field('hero_button_1');
	$hero_button_1_url = get_field('hero_button_1_url');
	$hero_button_2 = get_field('hero_button_2');
	$hero_button_2_url = get_field('hero_button_2_url');
	$hero_form = get_field('hero_form');
    $hero_form_header = get_field('hero_form_header');


	$about_lead = get_field('about_lead');	
	$about_header = get_field('about_header');
	$about_content = get_field('about_content');

	$services_lead = get_field('services_lead');	
	$services_header = get_field('services_header');
	$services_content = get_field('services_content');
	$services_count = get_field('services_count');
	$services = get_field('services');
	$services_button = get_field('services_button');
	$services_button_url = get_field('services_button_url');
	
	$team_lead = get_field('team_lead');	
	$team_header = get_field('team_header');
	$team_content = get_field('team_content');
	$team_button = get_field('team_button');
	$team_button_url = get_field('team_button_url');

	$testimonials_lead = get_field('testimonials_lead');	
	$testimonials_header = get_field('testimonials_header');
	$testimonials_content = get_field('testimonials_content');
	$testimonials = get_field('testimonials');
	$testimonials_button = get_field('testimonials_button');
	$testimonials_button_url = get_field('testimonials_button_url');

    $blog_lead = get_field('blog_lead');	
	$blog_header = get_field('blog_header');
	$blog_content = get_field('blog_content');
	$blog_button = get_field('blog_button');
	$blog_button_url = get_field('blog_button_url');

	?>

<style>

	/* Hero */
	<?php 
	$hero_background_image=get_field('hero_background_image');
	if($hero_background_image):?>
		<?php 
		$hero_background_image=$hero_background_image['url'];
		?>
	<?php else:?>
		<?php 
		$hero_background_image=get_template_directory_uri().'/inc/img/placeholder.png';
		?>
	<?php endif;?>

	@media only screen and (max-width: <?php echo get_field('responsiveMD', 'option'); ?>px) {
		.hero-body {
			text-align: center;
		}

		div#heroCTA {
			justify-content: center;
		}
	}
	.hero {
		height: 90vh;
	}
	#hero-img {
		position: absolute;
		z-index: -1;
		width: 50%;
		right: 0px;
		height: 100%;
	}
	#hero-img img {
		clip-path: polygon(15% 0%, 100% 0%, 100% 100%, 15% 100%, 0% 50%);
		height: 100%;
	}
	#hero-form .card {
		max-width: 400px;
	}
	div#scroll-down {
		font-size: 2rem;
		text-align: center;
		width: 50px;
		padding: 25px;
		position: absolute;
		right: 0px;
		left: 0;
		bottom: 0px;
		margin-left: auto;
		margin-right: auto;
		-webkit-animation: ca3_fade_move_down 2s ease-in-out infinite;
		-moz-animation:    ca3_fade_move_down 2s ease-in-out infinite;
		animation:         ca3_fade_move_down 2s ease-in-out infinite;
		animation-direction: alternate;
	}
	div#scroll-down span {
		color: #fff;
	}
	div#scroll-down span:hover {
		opacity: 100% !important;
	}
	
    /* animated scroll arrow animation */
    @-webkit-keyframes ca3_fade_move_down {
    0%   { -webkit-transform:translate(0,-10px); opacity: .5;  }
    50%  { opacity: .75;  }
    100% { -webkit-transform:translate(0,10px); opacity: 1; }
    }
    @-moz-keyframes ca3_fade_move_down {
    0%   { -moz-transform:translate(0,-10px); opacity: .5;  }
    50%  { opacity: .75;  }
    100% { -moz-transform:translate(0,10px); opacity: 1; }
    }
    @keyframes ca3_fade_move_down {
    0%   { transform:translate(0,-10px); opacity: .5;  }
    50%  { opacity: .75;  }
    100% { transform:translate(0,10px); opacity: 1; }
    }
	/* Team */
	a.btn.btn-outline-primary.btn-lg.active:after {
		content: '';
		position: absolute;
		left: 0;
		right: 0;
		bottom: -10px;
		margin: 0 auto;
		width: 0;
		height: 0;
		border-top: 10px solid var(--primary-color);
		border-left: 10px solid transparent;
		border-right: 10px solid transparent;
	}

	/* Testimonials */
	#testimonials .carousel-indicators button {
		width: 25px;
		margin: 0px 3px;
		height: 3px;
		border: 0px;
		background-color: #ccc;
	}
	#testimonials .carousel-indicators button.active {
		background-color: #fff;
	}
    .shadow-sm #primaryMenu li > .nav-link {
        color: inherit;
    }

</style>
<div class="hero position-relative">
	<div class="d-none d-lg-block">
		<img src="<?php echo $icon;?>">
	</div>
	<div id="hero-img" class="d-none d-lg-block">
		<img src="<?php echo $hero_background_image;?>">
	</div>
	<div class="container col-12">
		<div class="row align-items-center g-lg-5 py-5" style="min-height:90vh">
			<div class="col-lg-6 text-center text-lg-start">
				<h1 class="display-4 fw-bold lh-1 mb-3"><?php the_field('hero_title') ;?></h1>
				<p class="col-lg-10 fs-4"><?php the_field('hero_body') ;?></p>
				<div class="row g-3">
					<div class="col-12 text-center text-lg-start">
						<?php if($hero_button_1):?>
						<a class="btn btn-lg btn-primary d-inline-block mb-3"
							href="<?php the_field('hero_button_1_url');?>"><?php the_field('hero_button_1');?></a>
						<?php endif;?>
						<?php if($hero_button_2):?>
						<a class="btn btn-lg btn-gray d-inline-block mb-3"
							href="<?php the_field('hero_button_2_url');?>"><?php the_field('hero_button_2');?></a>
						<?php endif;?>
					</div>
				</div>
			</div>
			<div id="hero-form" class="col-md-10 mx-auto col-lg-6">
				<div class="card mx-auto ms-lg-auto me-lg-0">
					<div class="card-body p-5">
                        <div class="card-title text-center">
                            <span class="lead fw-bold">
                                <?php echo $hero_form_header ;?>
                            </span>
                        </div>
						<?php echo do_shortcode($hero_form);?>
					</div>
				</div>
			</div>
			<?php if(get_field('module_awards', 'option')) :?>
					<div class="col-12 col-lg-6">
						<div class="row justify-content-center align-items-center g-3">
							<?php
							global $post;

							$posts = get_posts( array(
								'numberposts'		=> 3,
								'post_type'			=> 'awards',
								'orderby'			=> 'menu_order',
								'order'				=> 'DESC',
							) );?>

							<?php foreach ( $posts as $post ) : 
							setup_postdata( $post );?>
								<div class="col-3 col-lg mx-auto">
									<?php include get_template_directory() . '/template-parts/'. get_field('template', 'option') . '/inc/award.php';?>
								</div>
							<?php endforeach;
								wp_reset_postdata();?>
								<div class="col text-center">
									<a class="btn btn-sm btn-light" href="#">View All</a>
								</div>
						</div>
					</div>
			<?php endif;?>
			<div id="scroll-down" class="d-none d-lg-block">
				<a href="#primary">
					<span class="icon-chevron-down"></span>
				</a>
			</div>
		</div>
	</div>
</div>
<main id="primary" class="content-area">
	<hr>
	<div id="about" class="py-5">
		<div class="container">
			<div class="row justify-content-center">
				<div class="col-12 col-md-6 text-center text-md-start">
					<?php if($about_lead):?>
						<span class="text-muted small text-uppercase fw-bold">
							<?php echo $about_lead;?>
						</span>
					<?php endif;?>
					<h2 class="pb-4">
						<?php echo $about_header;?>
					</h2>
				</div>
				<div class="col-12 col-md-6 text-center text-md-start">
					<?php if($about_content):?>
						<?php echo $about_content;?>
					<?php endif;?>
					<a class="btn btn-primary mt-4"
						href="<?php the_field('about_button_url');?>"><?php the_field('about_button');?>
					</a>
				</div>
			</div>
		</div>
	</div>
	<hr>
	<?php if(get_field('module_services', 'option')) :?>
	<div id="services" class="py-5">
		<div class="container">
			<div class="row">
				<div class="column col-12 text-center">
					<?php if($services_lead):?>
						<span class="text-muted text-uppercase fw-bold small">
							<?php echo $services_lead;?>
						</span>
					<?php endif;?>
					<h2 class="pb-4">
						<?php echo $services_header;?>
					</h2>
					<?php if($services_content):?>
					<div class="pb-4">
						<?php echo $services_content;?>
					</div>
					<?php endif;?>
					<div class="row g-3 justify-content-center">
						<?php
							$services = get_field('services');?>
						<?php foreach( $services as $post ): 
							setup_postdata($post); ?>
						        <?php include get_template_directory() . '/template-parts/'. get_field('template', 'option') . '/inc/services.php';?>
						<?php endforeach; ?>
						<?php wp_reset_postdata(); ?>
						<div class="col-12">
							<a class="btn btn-primary mt-4"
								href="<?php the_field('services_button_url');?>"><?php the_field('services_button');?></a>
						</div>
						</a>
					</div>
				</div>
			</div>
		</div>
	</div>
	<?php endif;?>
	<hr>
	<?php if(get_field('module_team', 'option')) :?>
		<div id="team" class="py-5">
			<div class="container">
				<div class="row">
					<div class="column col-12 text-center">
						<?php if($team_lead):?>
							<span class="text-muted text-uppercase fw-bold small">
								<?php echo $team_lead;?>
							</span>
						<?php endif;?>
						<h2 class="pb-4">
							<?php echo $team_header;?>
						</h2>
						<?php if($team_content):?>
						<div class="pb-4">
							<?php echo $team_content;?>
						</div>
						<?php endif;?>
						<!-- CUSTOM ELEMENT - TEAM 
						Uses team tags to pull team members. Not Dynamic. Will need to automate nav li creation and tab content -->
						<div class="row justify-content-center">
							<?php
								global $post;

								$team = get_posts( array(
									'numberposts'		=> 4,
									'post_type'			=> 'team',
									'orderby'			=> 'menu_order',
									'order'				=> 'DESC',
								) );?>

							<?php foreach ( $team as $post ) : 
									setup_postdata( $post );?>
							<?php include get_template_directory() . '/template-parts/'. get_field('template', 'option') . '/inc/team.php';?>
							<?php endforeach;
									wp_reset_postdata();?>
							<div class="col-12">
								<a class="btn btn-primary mt-4"
									href="<?php the_field('team_button_url');?>"><?php the_field('team_button');?>
								</a>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	<?php endif;?>
	<?php if(get_field('module_testimonials', 'option')) :?>
	<div id="testimonials" class="py-5 bg-gray-dark">
		<div class="container">
			<div class="row">
				<div class="column col-12 text-center">
					<?php if($testimonials_lead):?>
							<span class="text-uppercase fw-bold small text-light">
								<?php echo $testimonials_lead;?>
							</span>
						<?php endif;?>
						<h2 class="pb-4 text-white">
							<?php echo $testimonials_header;?>
						</h2>
						<?php if($testimonials_content):?>
						<div class="pb-4 text-light">
							<?php echo $testimonials_content;?>
						</div>
						<?php endif;?>
					<div class="row justify-content-center">
						<div class="col-12 col-md-10 col-lg-6">
							<div id="carousel-testimonials" class="carousel slide w-100" data-bs-ride="carousel"
							data-bs-interval="0">
								<div class="carousel-indicators">
									<?php 
									$counter_indicator = 0;
									foreach( $testimonials as $post ): ?>
										<button <?php if($counter_indicator == 0):?>class="active"<?php endif;?> type="button" data-bs-target="#carousel-testimonials" data-bs-slide-to="<?php echo $counter_indicator;?>" ></button>
									<?php 
									$counter_indicator++;
									endforeach; ?>
								</div>
								<div class="carousel-inner pb-5">
									<?php 
									$counter_slide = 0;
									foreach( $testimonials as $post ): 
									setup_postdata($post);
									$quote = get_field('quote');
									$length = 250; 
									?>
										<div class="carousel-item text-center <?php if($counter_slide == 0):?>active<?php endif;?>">
											<div class="lead text-white pb-4"><span class="display-3" style="line-height: 0px;
    vertical-align: middle;">"</span><?php 
												  if(strlen($quote)<=$length)
												  {
													echo $quote;
												  }
												  else
												  {
													$y=substr($quote,0,$length) . '...';
													echo $y;
												  }
												  ; ?><span class="display-3" style="line-height: 0px;
                                                  vertical-align: bottom;">"</span></div>
											<div class="text-white">
												<?php the_field('name');?>
												<?php 
												$url_text = get_field('url_text');
												if($url_text):?>
													<div class="text-light small"><?php echo $url_text;?>
													</div>
												<?php endif;?>
													
											</div>
										</div>
									<?php 
									$counter_slide++;
									endforeach; ?>
								</div>
							<?php 
								// Reset the global post object so that the rest of the page works correctly.
								wp_reset_postdata(); ?>
							</div>
						</div>
						<div class="col-12">
							<a class="btn btn-light mt-4"
								href="<?php the_field('testimonials_button_url');?>"><?php the_field('testimonials_button');?>
							</a>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
	<?php endif;?>
    <?php if(get_field('module_blog', 'option')) :?>
	<div id="blog" class="py-5">
		<div class="container">
			<div class="row">
				<div class="column col-12 text-center">
					<span class="fw-bold text-uppercase text-muted">
						<?php echo $blog_lead;?>
					</span>
					<h2 class="pb-4 text-uppercase text-primary">
						<?php echo $blog_header;?>
					</h2>
					<?php if($blog_content):?>
					<div class="pb-4 text-light">
						<?php echo $blog_content;?>
					</div>
					<?php endif;?>
                    <div class="row">
                        <?php
                        global $post;

                        $posts = get_posts( array(
                            'numberposts'		=> 3,
                            'post_type'			=> 'post',
                            'orderby'			=> 'date',
                            'order'				=> 'DESC',
                        ) );?>

                        <?php foreach ( $posts as $post ) : 
                                setup_postdata( $post );?>
                        <?php include get_template_directory() . '/template-parts/'. get_field('template', 'option') . '/inc/posts.php';?>
                        <?php endforeach;
                            wp_reset_postdata();?>
                    </div>
                    <div class="col-12">
                        <a class="btn btn-primary mt-4"
                            href="<?php echo get_permalink( get_option( 'page_for_posts' ) ); ?>">Blog
                        </a>
                    </div>
				</div>
			</div>
		</div>
	</div>
	<?php endif;?>
</main><!-- #main -->
</div><!-- #primary -->

<!-- Carousel -->
<script src = "https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta2/dist/js/bootstrap.bundle.min.js" integrity = "sha384-b5kHyXgcpbZJO/tY9Ul7kGkf1S0CWuKcCD38l8YkeH8z8QjE0GmW1gYU5S9FOnJ0"
	crossorigin = "anonymous" ></script>
