<?php
/**
 * Template Name: Press
 * The template for displaying the Press
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package amp
 */

get_header();

$brand = get_template_page_url('brand.php');
$excludePages = get_field('pages_to_exclude');
$favicon = get_field('favicon', 'option');
if($excludePages){
	$exclude = implode(",", $excludePages);
};
$pressCatID = get_cat_ID('press');
$liveChat = get_field('components_live_chat',
 'option');
?>
<style>
</style>
<main>
	<div class="container">
		<div class="row">
			<div class="col my-4">
				<?php if(!is_front_page()): ?>
				<?php get_breadcrumb(); ?>
				<?php endif; ?>
			</div>
		</div>
	</div>
	<article id="press">
		<div id="heading" class="bg-light py-5">
			<div class="container">
				<div class="row d-flex mb-5">
					<div class="col-12">
						<span class="text-center">
							<h1 class="display-1">Press</h1>
							<p class="lead text-muted">
								News, Reporters and Press
							</p>
						</span>
					</div>
				</div>
			</div>
		</div>
		<?php include 'inc/cta/contact-lg.php';?>

		<?php if(get_category($pressCatID)->category_count > 0):?>
		<div id="recent-posts">
			<div class="container">
				<div class="row d-flex g-4 py-5">
					<div class="col-12">
						<h2>Recent Press Releases</h2>
					</div>
					<?php
					global $post;
				
					$posts = get_posts( array(
						'category' => $pressCatID,
						'numberposts'		=> 3,
						'post_type'			=> 'post',
						'orderby'			=> 'date',
						'order'				=> 'DESC'
					) );
				
					if ( $posts ) {
						foreach ( $posts as $post ) : 
							setup_postdata( $post );?>
					<div class="col-12 col-sm-6 my-layout">
						<?php include get_template_directory() . '/template-parts/'. get_field('template', 'option') . '/inc/posts-press.php';?>
					</div>
					<?php endforeach;
						wp_reset_postdata();
					} else {
						get_template_part( 'template-parts/content', 'none' );
					}; ?>
					<div class="col-12 text-end">
						<a href="<?php echo get_category_link($pressCatID);?>" class="btn btn">View All <i
								class="fas fa-arrow-right"></i></a>
					</div>
				</div>
			</div>
		</div>
		<?php endif ;?>
		<div id="branding" class="bg-gradient-primary-secondary-light position-relative overflow-hidden">
			<div class="container">
				<div class="row d-flex g-4 py-5 align-items-center">
					<div class="col">
						<h2 id="branding-title">Brand Resources</h2>
						<p class="lead text-muted">Colors, Logos, Fonts and More...</p>
					</div>
					<div class="col-auto">
						<a class="btn btn-primary" href="<?php echo $brand ;?>">View Branding <i class="fas fa-arrow-right"></i></a>
					</div>
				</div>
			</div>
		</div>
		<?php wp_reset_postdata(); ?>
		</div>
	</article>
</main>
<?php

get_footer();
