<?php
/**
 * Template Name: Single Team
 * The template for displaying the Single Teams.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package amp
 */

get_header();
$featuredImage = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'header-banner' );
$ctaType = get_field('cta_type', 'option');
$phone = get_field('phone');
$email = get_field('email');
$socialMedia = get_field('social_media');
$services = get_field('services');

$awards_name_plural = get_field('awards_name_plural', 'option');
$attorney_awards = get_field('attorney_awards');
?>

<?php 
// RECENT AWARDS

;?>
<main>
	<div class="container">
		<div class="row">
			<div class="col my-4">
				<?php if(!is_front_page()): ?>
				<?php get_breadcrumb(); ?>
				<?php endif; ?>
			</div>
		</div>
	</div>
	<div class="container">
		<div class="row g-4">
			<div class="col-12 text-md-start">
				<a class="btn btn-sm" href="<?php echo get_post_type_archive_link("team")?>#team"><span class="icon-arrow-left me-2"></span> <strong class="text-uppercase">Back to <?php the_field('team_name_plural','option');?></strong></a>
			</div>
			<div class="col-12 col-md-4 col-lg-3">
				<div id="<?php echo $post->post_name;?>" class="card card-team sticky-top bg-white">
					<?php if ( has_post_thumbnail() ):?>
							<img class="card-img-top" src="<?php the_post_thumbnail_url('medium'); ?>" alt="<?php
								$thumbnail_id = get_post_thumbnail_id( $post->ID );
								$alt = get_post_meta($thumbnail_id, '_wp_attachment_image_alt', true);
								if($alt){echo $alt;} else{ the_title();} ?>">
					<?php endif; ?>
					<ul class="list-group list-group-flush text-center">
						<?php if($phone):?>
							<li class="list-group-item"><?php echo phoneBuild($phone);?></li>
						<?php endif;?>
						<?php if($email):?>
							<li class="list-group-item"><?php echo emailBuild($email);?></li>
						<?php endif;?>
						<?php if($socialMedia):?>
							<li class="list-group-item">
							<?php while(have_rows('social_media')) : the_row();
							$field = get_sub_field('account');
							?>
								<a class="btn text-muted" href="<?php the_sub_field('url')?>"
									target="_blank">
									<span class="<?php echo $field['value'];?> pr-2"></span>
								</a>
							<?php endwhile;?>
							</li>
						<?php endif;?>		
					</ul>
				</div>
				<?php if($attorney_awards):?>
					<div class="card mt-4">
						<div class="card-body">
							<div class="card-title fw-bold text-center">
								Recent <?php echo $awards_name_plural;?>
							</div>
							<div class="row g-4">
								<?php foreach( $attorney_awards as $post ): 
									setup_postdata($post); ?>
										<div class="col-12 text-center">
											<?php include get_template_directory() . '/template-parts/'. get_field('template', 'option') . '/inc/award.php';?>
										</div>
								<?php endforeach; ?>
								<?php wp_reset_postdata(); ?>
								<div class="col-12 text-center">
									<a class="btn btn-gray" href="<?php echo get_post_type_archive_link("awards")?>">View All</a>
								</div>
							</div>
						</div>
					</div>
				<?php endif;?>
			</div>
			<div class="col-12 col-md-8 col-lg-9">
				<article>
					<h1><?php echo get_field('first_name') . ' ' . get_field('last_name');?></h1>
					<div class="text-muted lead mb-4"><?php echo get_field('position');?></div>
					<?php the_content();?>
				</article>
			</div>
		</div>
	</div>
</main>
<?php

get_footer();
