<?php
    $featuredImage = get_field('press_archive_featured_image', 'option');
    $ctaType = get_field('cta_type', 'option');
	$content = get_field('press_archive_content', 'option');
	$iconLight = get_field('icon_light', 'option');
;?>
<style>
.card-award {
	width: 60%;
	margin: auto;
	filter: gray; /* IE6-9 */
  -webkit-filter: grayscale(100%);
  transition: .3s;
}
.card-award:hover {
	filter: none; /* IE6-9 */
  -webkit-filter: grayscale(0%);
}
.modal-award-img {
	width: 80%;
}
.brand-circle {
    width: 30px !important;
    height: 5px !important;
	margin: 0px 10px;
    display: inline-flex;
}
.brand-circle:first-of-type {
	margin-left: 0px;
}
</style>
<?php
/**
 * Template Name: Press
 * The template for displaying the Press
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package amp
 */

get_header();

$brand = get_template_page_url('brand.php');
$excludePages = get_field('pages_to_exclude');
$favicon = get_field('favicon', 'option');
if($excludePages){
	$exclude = implode(",", $excludePages);
};
$pressCatID = get_cat_ID('press');
?>
<style>
</style>
<main>
	<div class="container">
		<div class="row">
			<div class="col my-4">
				<?php if(!is_front_page()): ?>
				<?php get_breadcrumb(); ?>
				<?php endif; ?>
			</div>
		</div>
	</div>
	<?php if ($featuredImage): ?>
		<div class="container-fluid">
			<div class="row">
				<div id="featuredImage" class="col-12 position-relative p-0">
					<img alt="<?php echo $featuredImage['alt']; ?>" class="mx-auto card-img-top" layout="fill"
						src="<?php echo esc_url($featuredImage['sizes']['header-banner']); ?>" style="height:100%;width:100%;object-fit:cover; filter: brightness(70%)">
					<div id="featured-image-text">
						<div class="display-3 text-white fw-bold text-center"><?php the_archive_title();?></div>
					</div>
				</div>
			</div>
		</div>
	<?php endif; ?>
	<article id="press">
		<div class="container">
			<div class="row g-3 justify-content-center">
                <div class="col-12 col-lg-8 col-xl-6">
                    <article class="mb-5">
                        <?php echo $content;?>
                    </article>
                </div>
            </div>
		</div>
		<?php if(get_category($pressCatID)->category_count > 0):?>
		<div id="recent-posts">
			<div class="container">
				<div class="row d-flex g-4 py-5 justify-content-center">
					<div class="col-12 text-center">
						<h2>Recent Press Releases</h2>
					</div>
					<?php
					global $post;
				
					$posts = get_posts( array(
						'numberposts'		=> 6,
						'post_type'			=> 'press',
						'orderby'			=> 'date',
						'order'				=> 'DESC'
					) );
				
					if ( $posts ) {
						foreach ( $posts as $post ) : 
							setup_postdata( $post );?>
						<?php include get_template_directory() . '/template-parts/'. get_field('template', 'option') . '/inc/press.php';?>
					<?php endforeach;
						wp_reset_postdata();
					} else {
						get_template_part( 'template-parts/content', 'none' );
					}; ?>
				</div>
			</div>
		</div>
		<?php endif ;?>
		<div id="branding" class="bg-light">
			<div class="container position-relative">
				<div class="row d-flex g-4 py-5 align-items-center text-center text-sm-start">
					<div class="col-12 col-sm">
						<div class="brand-circle bg-primary-hover"></div>
						<div class="brand-circle bg-primary"></div>
						<div class="brand-circle bg-secondary-hover"></div>
						<div class="brand-circle bg-secondary"></div>
						<h2 id="branding-title">Brand Resources</h2>
						<p class="lead text-muted">Colors, Logos, Fonts and More...</p>
					</div>
					<div class="col-12 col-sm-auto">
						<a class="btn btn-primary" href="<?php echo $brand ;?>">View Branding <i class="fas fa-arrow-right"></i></a>
					</div>
				</div>
			</div>
		</div>
		<?php wp_reset_postdata(); ?>
		</div>
	</article>
</main>
<?php

get_footer();
