<?php
    $featured_image = get_field('services_archive_featured_image', 'option');
    $content = get_field('services_archive_content', 'option');
    $faqForm = get_field('services_form', 'option');
;?>
<main>
    <div class="container">
        <div class="row">
            <div class="col my-4">
                <?php if(!is_front_page()): ?>
                    <?php
                    if ( function_exists('yoast_breadcrumb') ) {
                    yoast_breadcrumb( '<p id="breadcrumbs">','</p>' );
                    }
                    ?>
                <?php endif; ?>
            </div>
        </div>
    </div>

    <?php if ($featuredImage): ?>
    <div class="container-fluid">
        <div class="row">
            <div id="featuredImage" class="col-12 position-relative p-0">
                <img alt="<?php echo $featuredImage['alt']; ?>" class="mx-auto card-img-top" layout="fill" src="<?php echo esc_url($featuredImage['sizes']['header-banner']); ?>" style="height:100%;width:100%;object-fit:cover; filter: brightness(70%)">
                <div id="featured-image-text">
                    <div class="display-3 text-white fw-bold text-center"><?php the_archive_title();?></div>
                </div>
            </div>
        </div>
    </div>
    <?php endif; ?>
    <div id="projects" class="py-5">
        <?php if($content):?>
        <div class="container">
            <div class="row g-3 justify-content-center">
                <div class="col-12 col-lg-8 col-xl-6">
                    <article class="mb-5">
                        <?php echo $content;?>
                    </article>
                </div>
            </div>
        </div>
        <?php endif;?>
        <div class="container">
            <div class="row d-flex g-4 justify-content-center my-4">
                <?php
                    global $post;

                    $services = get_posts( array(
                        'numberposts'		=> -1,
                        'post_type'			=> 'services',
                        'orderby'			=> 'menu_order',
                        'order'				=> 'DESC',
                        'post_parent'       => 0,
                    ) );?>

                <?php foreach ( $services as $post ) : 
                    
                    setup_postdata( $post );?>

                <?php include get_template_directory() . '/template-parts/'. get_field('template', 'option') . '/inc/services-excerpt.php';?>

                <?php endforeach;
                        wp_reset_postdata();?>

            </div>

        </div>

    </div>

</main>