<?php

/**
 * Template Name: Archive
 * The template for displaying the Archive pages.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package amp
 */

get_header();

?>
<style>
</style>
<main>
	<article class="bg-primary-light">
		<div id="search-results" class="pb-5">
			<div class="cat-header bg-primary text-white py-5">
                <div class="container">
                    <div class="row">
                        <div class="col my-4 small text-muted">
                            <div class="breadcrumb align-items-center m-0 text-primary-contrast">
                                <a class="breadcrumb-item text-primary-contrast" href="<?=get_post_type_archive_link( 'post' );?>">Blog</a><?php
                                    $category = get_the_category();
                                    $first_category = $category[0];
                                    echo sprintf( '<a class="breadcrumb-item text-primary-contrast" href="%s">%s</a>', get_category_link( $first_category ), $first_category->name );
                                    ?></a>
                            </div>
                        </div>
                    </div>
                </div>
				<div class="container pb-5">
					<div class="row d-flex g-4 justify-content-center">
						<div class="col-12 text-left">
							<h1 class="page-title screen-reader-text text-primary-contrast"><?php the_archive_title(); ?> <?php single_post_title(); ?></h1>
							<?php if(get_the_archive_description( )){ ?> 
								<div class="col-md-6"><span class="fs-6"><?php the_archive_description(); ?></span></div>
							<?php } ?>

						</div>
					</div>
				</div>
			</div> <!-- /.cat-header -->


			<div class="container ">
				<!-- 
				// LB: Putting a pin in the category drop down for now	
				
				<div class="row d-flex g-4 justify-content-center">
					<div class="col-12">
						<div class="row justify-content-center">
							<div class="col-auto">
								<div class="dropdown">
									<button class="btn  btn-sm dropdown-toggle" id="dropdownCategories" aria-expanded="false" data-toggle="dropdown" href="#" tabindex="0" type="button">
										Categories
									</button>
									<ul class="dropdown-menu" aria-labelledby="dropdownCategories">
										<?php $category_ids = get_all_category_ids(); ?>
										<?php
										$args = array(
											'orderby' => 'slug',
											'parent' => 0
										);
										$categories = get_categories($args);
										foreach ($categories as $category) {
											echo '<li> <a class="dropdown-item" href="' . get_category_link($category->term_id) . '" rel="bookmark">' . $category->name . '</a></li>';
										}
										?>
									</ul>
								</div>
							</div>
							<div class="col-auto">
								<a class="btn btn-sm btn-dark small" href="<?php echo get_permalink(get_option('page_for_posts')); ?>">All Posts</a>
							</div>
						</div>
					</div>
				</div> -->
				<div class="row d-flex g-4 justify-content-start" id="sticky-posts">
					<?php
					if (have_posts()) : $i = 0; ?>
						<?php foreach ($posts as $post) :
							// LB: test for first two sticky posts, then display the rest of them normally
							$i++;
							setup_postdata($post); 
							
							if($i < 3) {
								include get_template_directory() . '/template-parts/' . get_field('template', 'option') . '/inc/posts-md.php';
							} 
							
							else {
								include get_template_directory() . '/template-parts/' . get_field('template', 'option') . '/inc/posts.php';
							}
							?>
						<?php endforeach; ?>
						<?php wp_reset_postdata(); ?>
					<?php else :
						include get_template_directory() . '/template-parts/' . get_field('template', 'option') . '/content-none.php';
					endif; ?>
				</div>
				<div class="row d-flex g-4">
					<div class="col-auto mx-auto">
						<?php bootstrap_pagination(); ?>
					</div>
				</div>
			</div>
		</div>
	</article>
</main>
<?php

get_footer();
