<?php
/**
 * Rich Text Block Template.
 *
 * @param   array $block The block settings and attributes.
 * @param   string $content The block inner HTML (empty).
 * @param   bool $is_preview True during backend preview render.
 * @param   int $post_id The post ID the block is rendering content against.
 *          This is either the post ID currently being displayed inside a query loop,
 *          or the post ID of the post hosting this block.
 * @param   array $context The context provided to the block by the post or it's parent block.
 */

 // WordPress Classes
$class_name = 'rich-text';
if (!empty($block['class_name'])) {
    $class_name .= ' ' . $block['class_name'];
}

if (!empty($block['align'])) {
    $class_name .= ' align' . $block['align'];
}

// Support custom "anchor" values.
$anchor = '';
if ( ! empty( $block['anchor'] ) ) {
    $anchor = 'id="' . esc_attr( $block['anchor'] ) . '" ';
}

// General (NOT WORKING PROPERLY)
$ID = get_field('id');
$class = get_field('class');

// Content
$content = get_field('content');


// Style
$color = get_field('color');
$background_image = get_field('background_image');
$background_image_array = get_field('background_image');
$background_position = get_field('background_position');
$background_size = get_field('background_size');
$background_image_ID = $background_image_array['ID'];
$background_image = wp_get_attachment_image_src($background_image_ID, 'large');

$size_xs = get_field('size_xs');
$size_sm = get_field('size_sm');
$size_md = get_field('size_md');
$size_lg = get_field('size_lg');
$size_xl = get_field('size_xl');

//CTA
$cta_type = get_field('cta_type');
$custom = get_field('custom');

?>
<style>
</style>
<div class="<?=$class_name;?> <?=$class;?> position-relative bg-<?=$color;?>-light" style="background-image: url('<?=$background_image[0];?>'); background-position: <?=$background_position;?>; background-repeat: no-repeat; background-size: <?=$background_size;?>">
    <div class="container">
        <div class="row justify-content-center">
            <div class="<?= $size_xs . ' ' . $size_sm . ' ' . $size_md . ' ' . $size_lg . ' ' . $size_xl;?> my-5 mx-auto">
                <article>
                    <?php if($content):?>
                        <p class="col-lg-10 fs-5 text-light <?php if(!$image):?>mx-auto<?php endif;?>"><?=$content;?></p>
                    <?php endif;?>
                </article>
            </div>
        </div>
    </div>
    <?=$custom;?>
</div>