<?php
/**
 * Template Name: Press
 * The template for displaying the Press
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package amp
 */

get_header();
$logo = get_field('logo', 'option');
$logoLight = get_field('logo_light', 'option');
$logoDark = get_field('logo_dark', 'option');
$icon = get_field('icon', 'option');
$iconLight = get_field('icon_light', 'option');
$iconDark = get_field('icon_dark', 'option');
?>
<style>
	.btn-download {
		position: absolute;
		bottom: 10px;
		right: 10px;
		transition: .3s;
		opacity: 0;
	}
	.card:hover .btn-download {
		display: block;
		opacity: 100%
	}
</style>
<main>
	<div class="container">
		<div class="row">
			<div class="col my-4">
				<?php if(!is_front_page()): ?>
				<?php get_breadcrumb(); ?>
				<?php endif; ?>
			</div>
		</div>
	</div>
	<article id="press">
		<div id="heading" class="position-relative overflow-hidden py-5 bg-gradient-primary-secondary-light">
			<div class="container my-5">
				<div class="row d-flex">
					<div class="col-12">
						<span class="text-center">
							<h1 class="display-1">Brand</h1>
							<p class="lead text-muted">
								Colors, Icons, Fonts and More
							</p>
						</span>
					</div>
				</div>
			</div>
		</div>
		<div id="logo">
			<div class="container">
				<div class="row py-5 g-4">
					<div class="col-12">
						<h2>Logo</h2>
					</div>
					<div class="col-12 col-md-4">
						<small class="text-muted text-uppercase">Default</small>
						<div class="card py-5 bg-white">
							<img alt="<?php bloginfo('name'); ?>" class="mx-auto card-img-top" layout="fill" src="<?php echo esc_url($logo['url']); ?>">
							<a href="<?php echo esc_url($logo['url']); ?>" class="btn btn btn-download btn-light" Download><span class="icon-arrow-down"></span></a>
						</div>
					</div>
					<div class="col-12 col-md-4">
						<small class="text-muted text-uppercase">Light</small>
						<div class="card py-5 bg-white">
							<img alt="<?php bloginfo('name'); ?>" class="mx-auto card-img-top" layout="fill" src="<?php echo esc_url($logoLight['url']); ?>">
							<a href="<?php echo esc_url($logoLight['url']); ?>" class="btn btn btn-download btn-light" Download><span class="icon-arrow-down"></span></a>
						</div>
					</div>
					<div class="col-12 col-md-4">
						<small class="text-muted text-uppercase">Dark</small>
						<div class="card py-5 bg-dark">
							<img alt="<?php bloginfo('name'); ?>" class="mx-auto card-img-top" layout="fill" src="<?php echo esc_url($logoDark['url']); ?>">
							<a href="<?php echo esc_url($logoDark['url']); ?>" class="btn btn btn-download btn-light" Download><span class="icon-arrow-down"></span></a>
						</div>
					</div>
				</div>
			</div>
		</div>
		<hr>
		<div id="icon">
			<div class="container">
				<div class="row py-5 g-4">
					<div class="col-12">
						<h2>Icon</h2>
					</div>
					<div class="col-12 col-md-4">
						<small class="text-muted text-uppercase">Default</small>
						<div class="card bg-white">
							<img class="mx-auto card-img-top" layout="fill" src="<?php echo esc_url($icon['url']); ?>">
							<a href="<?php echo esc_url($icon['url']); ?>" class="btn btn btn-download btn-light" Download><span class="icon-arrow-down"></span></a>
						</div>
					</div>
					<div class="col-12 col-md-4">
						<small class="text-muted text-uppercase">Light</small>
						<div class="card bg-white">
							<img class="mx-auto card-img-top" layout="fill" src="<?php echo esc_url($iconLight['url']); ?>">
							<a href="<?php echo esc_url($iconLight['url']); ?>" class="btn btn btn-download btn-light" Download><span class="icon-arrow-down"></span></a>
						</div>
					</div>
					<div class="col-12 col-md-4">
						<small class="text-muted text-uppercase">Dark</small>
						<div class="card bg-dark">
							<img class="mx-auto card-img-top" layout="fill" src="<?php echo esc_url($iconDark['url']); ?>">
							<a href="<?php echo esc_url($iconDark['url']); ?>" class="btn btn btn-download btn-light" Download><span class="icon-arrow-down"></span></a>
						</div>
					</div>
				</div>
			</div>
		</div>
		<hr>
		<div id="logo">
			<div class="container">
				<div class="row py-5 g-4">
					<div class="col-12">
						<h2>Color</h2>
					</div>
					<div class="col-12 col-sm-6">
						<small class="text-muted text-uppercase">Primary</small>
						<div class="card">
							<div class="card-body text-center">
								<div class="py-5" style="background-color: var(--primary-color-light)"></div>
								<div class="py-5" style="background-color: var(--primary-color-light-hover)"></div>
								<div class="py-5" style="background-color: var(--primary-color)"></div>
								<div class="py-5" style="background-color: var(--primary-color-hover)"></div>
								<div class="py-5" style="background-color: var(--primary-color-dark-hover)"></div>
								<div class="py-5" style="background-color: var(--primary-color-dark)"></div>
							</div>
						</div>
					</div>
					<div class="col-12 col-sm-6">
						<small class="text-muted text-uppercase">Secondary</small>
						<div class="card">
							<div class="card-body text-center">
								<div class="py-5" style="background-color: var(--secondary-color-light)"></div>
								<div class="py-5" style="background-color: var(--secondary-color-light-hover)"></div>
								<div class="py-5" style="background-color: var(--secondary-color)"></div>
								<div class="py-5" style="background-color: var(--secondary-color-hover)"></div>
								<div class="py-5" style="background-color: var(--secondary-color-dark-hover)"></div>
								<div class="py-5" style="background-color: var(--secondary-color-dark)"></div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
		<hr>
		<div id="logo">
			<div class="container">
				<div class="row py-5 g-4 ">
					<div class="col-12">
						<h2>Typography</h2>
					</div>
					<div class="col-12 col-md-6">
						<small class="text-muted text-uppercase d-block">Display</small>
						<div class="row display-1 g-4 justify-content-around">
							<div class="col-auto">
								Aa
							</div>
							<div class="col-auto">
								Bb
							</div>
							<div class="col-auto">
								Cc
							</div>
							<div class="col-auto">
								Dd
							</div>
							<div class="col-auto">
								Ee
							</div>
							<div class="col-auto">
								Ff
							</div>
							<div class="col-auto">
								Gg
							</div>
							<div class="col-auto">
								Hh
							</div>
							<div class="col-auto">
								Ii
							</div>
							<div class="col-auto">
								Jj
							</div>
							<div class="col-auto">
								Kk
							</div>
							<div class="col-auto">
								Ll
							</div>
							<div class="col-auto">
								Mm
							</div>
							<div class="col-auto">
								Nn
							</div>
							<div class="col-auto">
								Oo
							</div>
							<div class="col-auto">
								Pp
							</div>
							<div class="col-auto">
								Qq
							</div>
							<div class="col-auto">
								Rr
							</div>
							<div class="col-auto">
								Ss
							</div>
							<div class="col-auto">
								Tt
							</div>
							<div class="col-auto">
								Uu
							</div>
							<div class="col-auto">
								Vv
							</div>
							<div class="col-auto">
								Ww
							</div>
							<div class="col-auto">
								Xx
							</div>
							<div class="col-auto">
								Yy
							</div>
							<div class="col-auto">
								Zz
							</div>
						</div>
					</div>
					<div class="col-12 col-md-6">
						<div class="text-muted d-block text-uppercase small">
							Heading 1
						</div>
						<div class="h1 pb-4">
							The quick brown fox jumps over the lazy dog.
						</div>
						<div class="text-muted d-block text-uppercase small">
							Heading 2
						</div>
						<div class="h2 pb-4">
							The quick brown fox jumps over the lazy dog.
						</div>
						<div class="text-muted d-block text-uppercase small">
							Heading 3
						</div>
						<div class="h3 pb-4">
							The quick brown fox jumps over the lazy dog.
						</div>
						<div class="text-muted d-block text-uppercase small">
							Heading 4
						</div>
						<div class="h4 pb-4">
							The quick brown fox jumps over the lazy dog.
						</div>
						<div class="text-muted d-block text-uppercase small">Body</div>
						<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut
							labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco
							laboris nisi ut aliquip ex ea commodo consequat.</p>
					</div>
				</div>
			</div>
		</div>
	</article>
</main>
<?php

get_footer();
