<?php
/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package amp
 */

 // Option Page
$logoDark = get_field('logo_dark', 'option');
$footerText = get_field('footer_text', 'option');
    if($footerText == 'custom'){
        $footerText = get_field ('footer_text_custom','option'); 
    };
$liveChat = get_field('components_live_chat', 'option');
$privacy = get_template_page_url('privacy-policy.php');
$cookie = get_template_page_url('cookie-policy.php');
$sitemap = get_template_page_url('sitemap.php');
$agencyCredit = get_field('agency_credit','option');
$locations = get_field('locations','option');

$module_legal = get_field('module_legal', 'option');
if($module_legal){
    $module_legal_archive_link = get_post_type_archive_link('legal');
    $module_legal_archive_title = get_field('legal_archive_h1', 'option');
};

$color_theme = get_field('color_theme', 'option');
?>
<style>
    #footer-logo {
        max-width: 200px;
    }

    #footer-top a {
        color: #808080;
    }

    #footer-top a:hover {
        color: black;
    }

    #footer-bottom a {
        color: #808080;
    }

    #footer-bottom a:hover {
        color: #eeeeee;
    }

    .footerMenu {
        list-style: none;
        padding: 0px
    }

    @media(max-width:767px) {
        .addr-box {
            border-bottom: 1px var(--gray-color-light) dotted;
            margin-bottom: 20px;
            padding: 20px 0
        }

        .addr-box hr {
            display: none
        }
    }
</style>
</div><!-- #content -->
<footer class="site-footer">
    <div id="footer-top" class="py-5 border-top">
        <div class="container">
            <div class="row g-4 lh-lg">
                <div class="col-12 col-md-3 py-2">
                    <a href="<?php echo esc_url( home_url( '/' ) ); ?>">
                        <?php
                        $logo = get_field('logo', 'option');
                        $logo_url = $logo['sizes']['medium'];
                        if( !empty( $logo ) ): ?>
                        <div class="fixed-container">
                            <img id="img-fluid" alt="<?php bloginfo('name'); ?>" class="contain" layout="fill" style="max-width:300px"
                                src="<?php echo esc_url($logo_url); ?>">
                        </div>
                        <?php endif ; ?>
                    </a>
                    <div class="my-4">Building connections that click</div>
                    <div id="socialMedia">
                        <?php  
                        if ( have_rows('social_media', 'option')):?>
                            <?php while(have_rows('social_media', 'option')) : the_row();
                        $field = get_sub_field('account');
                        ?>
                        <a class="p-2 text-light" href="<?php the_sub_field('url')?>" target="_blank">
                            <span class="<?php echo $field['value'];?>"></span>
                        </a>
                        <?php endwhile;?>
                        <?php endif; ?>
                    </div>
                </div>
                <div class="col-12 col-md-9">
                    <div class="row">
                        <hr class="d-block d-md-none">
                        <div class="col-12 col-md col-lg-3 py-2">
                            <a href="/products/" class="text-dark fw-bold d-block lh-lg mb-2 fs-5">Products</a>
                            <span class="lh-sm">
                                <a href="/products/professional/">MC Professional</a><br>
                                <a href="/products/trade/">MC Trade</a><br>
                                <a href="/membership-software-pricing/">Pricing</a><br>
                            </span>
                        </div>
                        <hr class="d-block d-md-none">
                        <div class="col-12 col-md col-lg-3 py-2">
                            <a href="/who-we-serve/" class="text-dark fw-bold d-block lh-lg mb-2 fs-5">Solution Types</a>
                            <span class="lh-sm">
                                <a href="/membership-management/">Membership Management</a><br>
                                <a href="/association-management/">Association Management</a><br>
                            </span>
                        </div>
                        <hr class="d-block d-md-none">
                        <div class="col-12 col-md col-lg-3 py-2">
                            <a href="#" class="text-dark fw-bold d-block lh-lg mb-2 fs-5">Help</a>
                            <span class="lh-sm">
                                <a href="/association-software-support/">Support</a><br>
                                <a href="/implementation/">Implementation</a><br>
                                <a href="https://help.memberclicks.com/hc/en-us" target="_blank">MC Pro Articles</a><br>
                                <a href="https://atlas.memberclicks.com/hc/en-us" target="_blank">MC Trade Articles</a>
                            </span>
                        </div>
                        <hr class="d-block d-md-none">
                        <div class="col-12 col-md col-lg-3 py-2">
                            <a href="/about-us/" class="text-dark fw-bold d-block lh-lg mb-2 fs-5">Company</a>
                            <span class="lh-sm">
                                <a href="/about-us/">About Us</a><br>
                                <a href="/contact/">Contact Us</a><br>
                                <a href="https://personifycorp.com/about-us/leadership/" target="_blank">Leadership</a><br>
                                <a href="https://personifycorp.com/about-us/careers/" target="_blank">Careers</a>

                            </span>
                        </div>
                        <hr class="d-block d-md-none">
                        <div class="col-12 col-md col-lg-3 py-2">
                            <a href="/products/#members" class="text-dark fw-bold d-block lh-lg mb-2 fs-5">Add Ons</a>
                            <span class="lh-sm">
                                <a href="/add-ons/job-board/">Job Board</a><br>
                                <a href="/add-ons/classroom/">Classroom LMS</a><br>
                                <a href="/add-ons/community/">CommUnity</a><br>
                                <a href="/add-ons/conference-app/">Conference App</a>
                            </span>
                        </div>
                        <hr class="d-block d-md-none">
                        <div class="col-12 col-md col-lg-3 py-2">
                            <a href="#" class="text-dark fw-bold d-block lh-lg mb-2 fs-5 text-truncate">Organization</a>
                            <span class="lh-sm">
                                <a href="/professional-associations/">Professional Associations</a><br>
                                <a href="/trade/">Trade Associations</a><br>
                                <a href="/chambers/">Chambers of Commerce</a><br>
                                <a href="/association-management/">Association Management Companies</a>
                            </span>
                        </div>
                        <hr class="d-block d-md-none">
                        <div class="col-12 col-md col-lg-3 py-2">
                            <a href="/resources/" class="text-dark fw-bold d-block lh-lg mb-2 fs-5">Resources</a>
                            <span class="lh-sm">
                                <a href="/blog/">Blog</a><br>
                                <a href="/resources/?resource_type=guides">Guides</a><br>
                                <a href="/resources/?resource_type=case-studies">Case Studies</a><br>
                                <a href="/resources/?resource_type=webinars">Webinars & Events</a>
                            </span>
                        </div>
                        <hr class="d-block d-md-none">
                        <div class="col-12 col-md col-lg-3 py-2">
                            <a href="#" class="text-dark fw-bold d-block lh-lg mb-2 fs-5">Partner Brands</a>
                            <span class="lh-sm">
                                <a href="https://personifycorp.com/" target="_blank">Personify</a><br>
                                <a href="http://wildapricot.com/" target="_blank">WildApricot</a><br>
                                <a href="https://personifycorp.com/products/threesixty/" target="_blank">ThreeSixty</a><br>
                                <a href="https://personifycorp.com/products/a2z-events/" target="_blank">A2Z Events</a>
                            </span>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div id="footer-bottom" class="p-3 bg-<?=$color;?>">
        <div class="container">
            <div class="row align-items-center">
                <div class="col-12 col-md text-light">
                    <!-- Modal Trigger -->
                    <a href="#"data-toggle="modal" data-target="#attribution">©</a> <?php echo date("Y"); ?> <?php the_field('client_name','option'); ?> All Right Reserved.
                    <!-- Modal -->
                    <div class="modal fade" id="attribution" tabindex="-1" role="dialog"
                        aria-labelledby="attributionLabel" aria-hidden="true">
                        <div class="modal-dialog" role="document">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <h5 class="modal-title" id="exampleModalLabel">Attributions
                                    </h5>
                                    <a type="button" class="close btn fs-4" data-dismiss="modal" aria-label="Close">
                                        <span aria-hidden="true">&times;</span>
                                    </a>
                                </div>
                                <div class="modal-body">
                                <b>Icons</b><br>
                                <a class="text-muted" href="https://icomoon.io/app/#/select/library" title="internet icons">Some of the icons used on this site are provided by Icomoon.io and it's designers.</a>
                                <hr>
                                </div>
                            </div>
                        </div>
                    </div>
                    | <a href="" data-href="#moove_gdpr_cookie_modal" tabindex="1" style="bottom: 20px; left: 20px;" class="" aria-label="Change cookie settings">Cookie Settings</a>
                    <?php if($module_legal):?> |
                        <a href="<?=$module_legal_archive_link ;?>"><?=$module_legal_archive_title;?></a>
                    <?php endif;?>
                </div>
                <div class="col-auto text-end">
                    <a href="/pci">
                        <img src="https://wildapricotdev.wpengine.com/wp-content/uploads/2022/11/pci-dss-compliant-logo.png">
                    </a>
                    <?php if($agencyCredit != "none" ):?>
                    <?php include get_template_directory() . '/components/help-desk/help-desk.php' ;?>
                    <?php endif;?>
                </div>
            </div>
        </div>
    </div>
    <!-- Search Modal -->
    <div class="modal fade" id="searchModal" tabindex="-1" role="dialog"
        aria-labelledby="#searchModal" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="container p-2">
                    <form role="search" method="get" class="form search-form " action="<?php echo home_url( '/' ); ?>">
                        <div class="input-group">
                            <input name="s" type="text" class="form-control form-control-lg"
                                placeholder="Search">
                                <button type="submit" value="" name="search" id="search" class="btn btn-primary btn-lg" type="button">
                                    <span class="icon-search" aria-hidden="true"></span>&nbsp;
                                </button>
                        </div>
                    </form>
                    <small class="text-light">Hit enter to search or ESC to close</small>
                </div>
            </div>
        </div>
    </div>
</footer>

<script>
	/* Scroll calcs == menu + progress and template bars */
	(function() {
		// First check for progress bar, otherwise calculate header height
		if (document.getElementById('progress')) {
			var h = document.getElementById('header').clientHeight - document.getElementById('progress').clientHeight;

		} else {
			var h = document.getElementById('header').clientHeight;
		}

		var doc = document.documentElement;
		var w = window;

		var prevScroll = w.scrollY || doc.scrollTop;
		var curScroll;
		var direction = 0;
		var prevDirection = 0;

		var header = document.getElementById('header');

		var checkScroll = function() {

			/*
			 ** Find the direction of scroll
			 ** 0 - initial, 1 - up, 2 - down
			 */

			curScroll = w.scrollY || doc.scrollTop;
			if (curScroll > prevScroll) {
				//scrolled up
				direction = 2;
			} else if (curScroll < prevScroll) {
				//scrolled down
				direction = 1;
			}

			if (direction !== prevDirection) {
				toggleHeader(direction, curScroll);
			}

			// update the progress bar
			if (document.getElementById('progress')) {
				updateProgress(curScroll);
			}


			// update the Timeline Bar
			if (document.getElementById('our-story')) {
				updateTimeline(curScroll);
			}

			prevScroll = curScroll;

		};

		var toggleHeader = function(direction, curScroll) {
			if (direction === 2 && curScroll > 52) {

				//replace 52 with the height of your header in px
				document.getElementById("header").style.top = '-' + h + 'px';
				prevDirection = direction;
			} else if (direction === 1) {
				document.getElementById("header").style.top = '0px';
				prevDirection = direction;
			}
		};

		// progress bar calculations
		if (document.getElementById('progress')) {

			function updateProgress(curScroll) {
				var bar = document.querySelector(".progress-bar");
				var t = document.querySelector('article');
				var b = document.getElementById('more-posts');

				if (curScroll > t.offsetTop && curScroll < (b.offsetTop - w.innerHeight)) {
					var curPercentage = Math.round(((curScroll - t.offsetTop) / (t.offsetHeight - w.innerHeight)) * 100);
					if (curPercentage < 1) {
						curPercentage = 1;
					}
					if (curPercentage > 100) {
						curPercentage = 100;
					}
					bar.style.width = curPercentage + "%";
					bar.ariaValueNow = curPercentage;
				} else if (curScroll < t.offsetTop) {
					bar.style.width = "1%";
					bar.ariaValueNow = 1;
				}
			}
		}
       
		// Scrollbar on About Us page
		if (document.getElementById('our-story')) {
			function updateTimeline(curScroll,timelineCount) {
                var timeline = document.querySelectorAll(".timeline");
                
                for(let i = 0; i < timeline.length; i++){
                    if(timeline[i].offsetTop < (curScroll + (w.innerHeight / 2)) && i > 0){
                        timeline[i - 1].dataset.state = "past";
                        timeline[i].dataset.state = "active";
                    }
                    else if (i == 0){
                        timeline[i].dataset.state = "active";
                    }
                    else {
                        timeline[i].dataset.state = "inactive";
                    }
                }
                
			}
		}

		window.addEventListener('scroll', checkScroll);

	})();
</script>

<?php wp_footer(); ?>
<!-- #page -->
<?=$test;?>
</body>

</html>