<?php
// Pull $args from get_template_part
$cta_prefix = $args['cta_prefix'];
$sourceID = $args['sourceID']; 

// Get all the fields
$cta_title = get_field($cta_prefix . 'cta_title', $sourceID);
$cta_copy = get_field($cta_prefix . 'cta_copy', $sourceID);
$cta_link = get_field($cta_prefix . 'cta_link', $sourceID);
$color_scheme = get_field($cta_prefix . 'cta_color_scheme', $sourceID);
$text_color = get_field($cta_prefix . 'cta_text_color', $sourceID);
$cta_background_image = get_field($cta_prefix . 'cta_background_image', $sourceID);
$cta_background_position = get_field($cta_prefix . 'cta_background_position', $sourceID);
$cta_background_size = get_field($cta_prefix . 'cta_background_size', $sourceID);
$cta_background_repeat = get_field($cta_prefix . 'cta_background_repeat', $sourceID);
$cta_mobile_image = get_field($cta_prefix . 'cta_mobile_image', $sourceID);


// Get Color scheme settings
if ($color_scheme == 'customColors') {
    $customCSS = 'background-color:' . get_field($cta_prefix . 'cta_background_color', $sourceID) . '; color:' . get_field($cta_prefix . 'cta_text_color', $sourceID) . '; ';
    if($text_color){
        $buttonStyles = 'style="color:' . get_field($cta_prefix . 'cta_text_color', $sourceID) . ';"';
    }
} else {
    $customCSS = 'background-color:var(--' . get_field($cta_prefix . 'cta_color_scheme', $sourceID) . '-color); color:#fff; ';
}

// Get Background Image
if($cta_background_image){
    $customCSS .= ' background-image:url(' . $cta_background_image['url'] . '); ';
    $customCSS .= ' background-position:' . $cta_background_position . ';';
    $customCSS .= ' background-size:' . $cta_background_size . ';';
    $customCSS .= ' background-repeat:' . $cta_background_repeat . ';';

}

// Set link target
if ($cta_link['target'] == "_blank") {
    $target = 'target="_blank"';
} else {
    $target = ''; // avoiding unset var
}

// NEW NEW NEW NEW NEW NEW NEW NEW NEW NEW NEW NEW NEW NEW
// Content
$type = get_field('primary_cta_template_type');
$image_source = get_field('primary_cta_template_image_source');
    if($image_source == 'custom '){
        $image = get_field('primary_cta_template_image');
    } elseif($image_source == 'featured_image'){
        $image = get_the_post_thumbnail(get_the_ID(), 'card-post', array('class' => 'rounded img-fluid'));
    }elseif($image_source == 'off') {
    };
$content = get_field('primary_cta_template_content');

// Style
$color = get_field('primary_cta_template_color');
$background_image = get_field('primary_cta_template_background_image');
$background_position = get_field('primary_cta_template_background_position');
$background_size = get_field('primary_cta_template_background_size');
?>
<?php if($type == 'simple'):
    // Type Specific Fields
    $buttons = get_field('primary_cta_template_buttons');
    $title_source = get_field('primary_cta_template_title_source');
    if($title_source == 'custom'){
        $title = get_field('primary_cta_template_title');
    } elseif($title_source == 'page_title'){
        $title = get_the_title();
    } elseif($title_source == 'off'){

    };
    ?>
    <div class="card overflow-hidden bg-<?=$color;?>-light text-<?=$color;?>-contrast">
        <?php if($image):?>
            <?=$image?>
        <?php elseif($image == null) :?>
        <?php else:?>
            <img class="card-img-top"
            src="https://via.placeholder.com/500x333/cccccc/424242?text=<?php echo get_bloginfo('name');?>"
            alt="<?php the_title(); ?>">
        <?php endif; ?>
        <?php if($title or $content or $buttons):?>
            <div class="card-body">
                <?php if($title):?>
                    <h3 class="fs-5 text-center"><?=$title;?></h3>
                <?php endif;?>
                <?php if($content):?>
                    <?=$content;?>
                <?php endif;?>
                <?php if($buttons):?>
                    <div class="row g-3">
                        <div class="col-12 text-center">
                            <?php if($buttons):?>
                                <?php foreach( $buttons as $post ): 
                                $button = $post['button'];
                                $color = $post['color'];?>
                                    <a class="btn btn-lg btn-<?=$color;?> d-inline-block mb-3" href="<?=$button['url'];?>"><?=$button['title'];?></a>
                                <?php endforeach;?>
                            <?php endif;?>
                        </div>
                    </div>
                <?php endif;?>
            </div>
        <?php endif;?>
    </div>
<?php elseif($type == 'download'):
    // Type Specific Fields
    $file = get_field('primary_cta_template_file');
    $gated = get_field('primary_cta_template_gated');
    $form_source = get_field('primary_cta_template_form_source');
    $form = get_field('primary_cta_template_form');
    $title_source = get_field('primary_cta_template_title_source');
    if($title_source == 'custom'){
        $title = get_field('primary_cta_template_title');
    } elseif($title_source == 'page_title'){
        $title = get_the_title();
    } elseif($title_source == 'file_title'){
        $title = $file['title'];
    } elseif($title_source == 'off'){

    };
    ?>
    <div class="card shadow bg-<?=$color;?>-light text-<?=$color;?>-contrast">
        <?php if($image):?>
            <?=$image?>
        <?php elseif($image == null) :?>
        <?php else:?>
            <img class="card-img-top"
            src="https://via.placeholder.com/500x333/cccccc/424242?text=<?php echo get_bloginfo('name');?>"
            alt="<?php the_title(); ?>">
        <?php endif; ?>
        <?php if($title or $content or $buttons):?>
            <div class="card-body">
                <?php if($title):?>
                    <h3 class="fs-5 text-center"><?=$title;?></h3>
                <?php endif;?>
                <?php if($content):?>
                    <?=$content;?>
                <?php endif;?>
            </div>
        <?php endif;?>
        <?php if($form_source == 'marketo'):
            // Source Specific Fields
            $marketo_form_id = get_field('primary_cta_template_marketo_form_id');
            $marketo_on_form_submission = get_field('primary_cta_template_marketo_on_form_submission');
                if($marketo_on_form_submission == 'redirect'){
                    $marketo_redirect = get_field('primary_cta_template_marketo_redirect');
                    $marketo_message = 'One moment while we redirect you';
                }elseif( $marketo_on_form_submission == 'modal'){
                    $marketo_redirect = get_permalink() . '#downloadModal';
                    $marketo_message = '<a class="text-center btn btn-lg btn-' . $color .'" href="' . $file['url'] .'" target="_blank">Click here to Download</a>';
                }elseif($marketo_on_form_submission == 'message'){
                    $marketo_message = get_field('primary_cta_template_marketo_message');
                }            
                ;?>
            <style>
                button.mktoButton {
                    display: inline-block;
                    font-weight: bold;
                    line-height: 1;
                    text-align: center;
                    text-decoration: none;
                    vertical-align: middle;
                    cursor: pointer;
                    -webkit-user-select: none;
                    -moz-user-select: none;
                    user-select: none;
                    border: 2px solid transparent;
                    border-radius: 10px;
                    padding: 10px 15px;
                    font-size: 1rem;
                    transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
                    color: #fff;
                    background-color: var(--primary-color);
                    border-color: var(--primary-color);
                }
                button.mktoButton:hover {
                    color: #fff;
                    background-color: var(--primary-color-hover);
                    border-color: var(--primary-color-hover);
                }
            </style>
            <div class="card-body">
                <script src="//go.personifycorp.com/js/forms2/js/forms2.min.js"></script>
                <form id="mktoForm_<?php echo $marketo_form_id; ?>"></form>
                <script>
                MktoForms2.loadForm("//go.personifycorp.com", "659-YYM-976", <?php echo $marketo_form_id; ?>, function(form){
                    form.onSuccess(function(values, followUpUrl) {
                    <?php 
                    if($marketo_on_form_submission == 'redirect' or $marketo_on_form_submission == 'modal'): ?>
                    location.href = "<?=$marketo_redirect;?>";
                    <?php endif;?>
                    <?php if($marketo_on_form_submission == 'message' or $marketo_on_form_submission == 'modal'): ?>
                        form.getFormElem().hide(); 
                        document.getElementById('confirmform').style.display = 'block';
                    <?php endif; ?>
                    return false;
                    });
                });
                </script>
                <?php if($marketo_on_form_submission == 'message' or $marketo_on_form_submission == 'modal'): ?>
                    <div id="confirmform" style="display:none;"><p><strong><?=$marketo_message;?></strong></p></div>
                <?php endif;?>
            </div>
        <?php endif;?>
    </div>
</div>
<?php endif;?>