<?php
// Templated CTA for Blog Pages Only
$cta_prefix = '';
echo "hayyy";
echo $args['cta_type'];
// Set if this is local, from page_for_posts, or coming from options
$blog_ID = get_option( 'page_for_posts' );

$cta_title = get_field($cta_prefix . 'cta_title', $blog_ID);
$cta_copy = get_field($cta_prefix . 'cta_copy', $blog_ID);
$cta_link = get_field($cta_prefix . 'cta_link', $blog_ID);
$color_scheme = get_field($cta_prefix . 'cta_color_scheme', $blog_ID);
$text_color = get_field($cta_prefix . 'cta_text_color', $blog_ID);
$cta_background_image = get_field($cta_prefix . 'cta_background_image', $blog_ID);
$cta_background_position = get_field($cta_prefix . 'cta_background_position', $blog_ID);
$cta_background_size = get_field($cta_prefix . 'cta_background_size', $blog_ID);
$cta_background_repeat = get_field($cta_prefix . 'cta_background_repeat', $blog_ID);
$cta_mobile_image = get_field($cta_prefix . 'cta_mobile_image', $blog_ID);


// Get Color scheme settings
if ($color_scheme == 'customColors') {
    $customCSS = 'background-color:' . get_field($cta_prefix . 'cta_background_color', $blog_ID) . '; color:' . get_field($cta_prefix . 'cta_text_color', $blog_ID) . '; ';
    if($text_color){
        $buttonStyles = 'style="color:' . get_field($cta_prefix . 'cta_text_color', $blog_ID) . ';"';
    }
} else {
    $customCSS = 'background-color:var(--' . get_field($cta_prefix . 'cta_color_scheme', $blog_ID) . '-color); color:#fff; ';
}

// Get Background Image
if($cta_background_image){
    $customCSS .= ' background-image:url(' . $cta_background_image['url'] . '); ';
    $customCSS .= ' background-position:' . $cta_background_position . ';';
    $customCSS .= ' background-size:' . $cta_background_size . ';';
    $customCSS .= ' background-repeat:' . $cta_background_repeat . ';';

}

// Set link target
if ($cta_link['target'] == "_blank") {
    $target = 'target="_blank"';
} else {
    $target = ''; // avoiding unset var
}

?>

<div class="global-cta primary-cta color-scheme-<?= $color_scheme; ?>">
    <div class="inner" style="<?= $customCSS; ?>">
        <div class="inner-content">
            <?php if ($cta_title) { ?>
                <h3><?= $cta_title; ?></h3>
            <?php } ?>

            <?php if ($cta_copy) { ?>
                <p><?= $cta_copy; ?></p>
            <?php } ?>

            <a class="btn btn-lg" href="<?= $cta_link['url']; ?>" <?= $target; ?> <?= $buttonStyles ?>>
                <?= $cta_link['title']; ?>
            </a>
        </div>
        <?php if($cta_mobile_image){ ?>
            <div class="d-md-none ">
                <img src="<?= $cta_mobile_image['url']; ?>" alt="<?= $cta_mobile_image['alt']; ?>">
            </div>
        <?php } ?>
        
    </div>
</div>