<?php
    $builder = get_field('builder');
	$featuredImage = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'header-banner' );
	$thumbnail_id = get_post_thumbnail_id( $post->ID );
	$alt = get_post_meta($thumbnail_id, '_wp_attachment_image_alt', true);
    $ctaType = get_field('cta_type', 'option');
;?>
<?php if($builder == 'template'):?>
    <main>
        <?php if(!is_front_page()): ?>
            <div class="container">
                <div class="row">
                    <div class="col my-4">
                        <?php get_breadcrumb(); ?>
                    </div>
                </div>
            </div>
        <?php endif; ?>
        <?php if ($featuredImage): ?>
            <div class="container-fluid">
                <div class="row mb-5">
                    <div id="featuredImage" class="col-12 position-relative p-0">
                        <img alt="<?php echo $alt; ?>" class="img-fluid" src="<?php echo $featuredImage[0]; ?>"
                            style="height:100%;width:100%;object-fit:cover; filter: brightness(70%)">
                        <div id="featured-image-text">
                            <h1 class="display-3 text-white fw-bold text-center"><?php the_title();?></h1>
                        </div>
                    </div>
                </div>
            </div>
        <?php endif; ?>
        <article>
            <div class="row">
                <div class="col-12">
                    <article>
                        <?php the_field('content');?>
                    </article>
                </div>
                <div class="col-12 col-lg-3 order-lg-1">
                    <div class="row">
                        <?php if($ctaType):?>
                            <?php include 'inc/cta/' . $ctaType . '.php';?>
                        <?php endif ;?>
                    </div>
                </div>
            </div>
        </article>
    </main>
<?php elseif($builder == 'wordpress'):?>
    <?php the_content();?>
<?php endif;?>
