<?php
/* About Us Page */
?>

<div id="about-hero">
    <div class="container">
        <div class="row">
            <div class="col-8 offset-2 text-center justify-content-center py-5">
                <h1 class="h5"><?php the_title(); ?></h1>
                <h2 class="text-secondary h1"><?php the_field('about_subtitle'); ?></h2>
                <p><?php the_field('about_description'); ?></p>
            </div>
        </div>
        <div class="row">
            <div class="col-12">
                <?php $about_hero = get_field('about_hero'); ?>
                <?php if ($about_hero) : ?>
                    <img src="<?php echo esc_url($about_hero['url']); ?>" alt="<?php echo esc_attr($about_hero['alt']); ?>" />
                <?php endif; ?>
            </div>
            <?php if (have_rows('about_stats')) : ?>
                <div class="member-stats col-8 offset-2 d-flex justify-content-between">

                    <?php while (have_rows('about_stats')) : the_row(); ?>
                        <div class="item bg-white rounded-3 flex-column flex-nowrap d-flex align-items-center px-5 py-4"><span class="text-primary h3"><?php the_sub_field('about_stat_large'); ?></span><span><?php the_sub_field('about_stat_small'); ?></span></div>
                    <?php endwhile; ?>
                </div>
            <?php endif; ?>


        </div>
    </div>

</div>

<div id="values" class="my-5 py-5">
    <div class="container">
        <div class="row g-3 mx-5">
            <div class="col-4 p-5">
                <h2 class="text-secondary"><?php the_field('about_values_intro_copy'); ?></h2>
            </div>

            <?php if (have_rows('about_values')) : ?>
                <?php while (have_rows('about_values')) : the_row(); ?>
                    <div class="value-item col-4 d-flex align-items-stretch">
                        <div class="border rounded-3 p-4 w-100">
                            <img src="<?php echo get_template_directory_uri(); ?>/inc/img/about-us/<?php echo strtolower(get_sub_field('value_title')); ?>.svg" alt="">
                            <h5><?php the_sub_field('value_title'); ?></h5>
                            <p><?php the_sub_field('value_copy'); ?></p>
                        </div>
                    </div>
                <?php endwhile; ?>
            <?php endif; ?>

        </div>
    </div>
</div>

<div id="our-story" class="py-5">
    <div class="container">
        <div class="row">
            <div class="col-8 offset-2 text-center py-5 mb-5">
                <h3>Our Story</h3>
                <p class="px-5 mx-5">For over twenty-five years, we have been connecting with member-based organizations to help them work smarter. <span>This is our story.</span></p>
            </div>
        </div>


        <?php if (have_rows('timeline')) : $i = 0; ?>
            <?php while (have_rows('timeline')) : the_row();
                $i++; ?>

                <div class="row timeline-item justify-content-between gx-4 <?php if ($i % 2 == 0) {
                                                                                echo "flex-row-reverse";
                                                                            } ?>" data-row-id="<?= $i; ?>">
                    <div class="col-5">
                        <h5 class="h4 mb-4"><?php the_sub_field('timeline_title'); ?></h5>
                        <p><?php the_sub_field('timeline_copy'); ?></p>
                    </div>
                    <div class="col-1 timeline d-flex justify-content-center align-items-center" data-state="<?php if ($i == 1) {
                                                                                                                    echo "active";
                                                                                                                } ?>">
                        <div class="dot"></div>
                    </div>
                    <div class="col-5"><?php $timeline_image = get_sub_field('timeline_image'); ?>
                        <?php if ($timeline_image) : ?>
                            <img src="<?php echo esc_url($timeline_image['url']); ?>" alt="<?php echo esc_attr($timeline_image['alt']); ?>" />
                        <?php endif; ?>
                    </div>
                </div>
            <?php endwhile; ?>
        <?php endif; ?>

    </div>
</div>