<?php if(isset($_GET['lightVersion'])):?>
<style>
    header,
    #back,
    footer,
    #footer-bottom {
        display: none !important;
    }
</style>
<?php endif;?>
<?php
/**
 * Template Name: Single legal
 * The template for displaying the Single legal.
 *
 * @package amp
 */
get_header();

// Options - Theme Settings
$archive_title = get_field('legal_archive_h1', 'option');

// Post - WP
$siteURL = get_site_url();
$post_id = $post->ID;

// Post - ACF
$featured_image = get_field('featured_image');
if(get_field('h1_source') == 'title'){
     $h1 = get_the_title();
} else {
    $h1 = get_field('custom_h1');
}
$custom_h1 = get_field('custom_h1');
$content = get_field('content');
$date_published = get_the_date();
$effective_date = get_field('effective_date');
if($effective_date){
    $date = $effective_date;
}else {
    $date = $date_published;
};

?>
<script>
    function printScreen() {
        window.print();
    }
</script>
<style>
    @media print {
        .d-print-none {
            display: none !important;
        }
    }

    @page {
        margin: 0;
    }
</style>
<main>
    <div id="back" class="container d-print-none">
        <div class="row">
            <div class="col my-4">
                <?php
                $post_type = get_post_type();
                $post_type_archive_title = post_type_archive_title();
                $post_type_archive_link = get_post_type_archive_link($post_type);
                ?>
                <a class="btn" href="<?=$post_type_archive_link;?>"><span
                        class="icon-arrow-left me-2"></span><?=$archive_title;?></a>
            </div>
        </div>
    </div>
    <div class="container">
        <div class="row">
            <div class="col-12 col-lg-9 order-lg-2 mx-auto">
                <article id="privacy-policy" class="mb-5">
                    <hr>
                    <div class="row">
                        <div class="col">
                            <h1><?=$h1;?></h1>
                            <span class="text-muted">Effective Date: <?=$date;?></span><br>
                        </div>
                        <div class="col-auto">
                            <button class="btn btn-lg btn-light hidden-print" onclick="printScreen()"><span
                                    aria-hidden="true"></span> 🖨️ Print</button>
                        </div>
                    </div>
                    <?php 
                    $category = get_the_terms($post->ID, 'legal');
                    $category_slug = $category[0]->slug;
                    $posts = get_posts(array(
                        'orderby'       => 'date',
                        'order'         => 'DESC',
                        'posts_per_page' => '-1',
                        'post_type' => 'legal',
                        'tax_query' => array(
                            array(
                                'taxonomy' => 'legal',
                                'field'    => 'slug',
                                'terms' => $category_slug
                            )
                        )
                    ));
                    if( count($posts) >= 1 ): 
                    ?>
                    <hr>
                    <div class="row">
                        <?php 
                        $count = 0;
                        foreach( $posts as $post ): 
                        setup_postdata( $post );
                        $effective_date = get_field('effective_date');
                        if($effective_date){
                            $date = $effective_date;
                        }else {
                            $date = $date_published;
                        };
                        $current = get_field('current');
                        ?>
                        <div class="col-auto">
                            <?php if(strtotime($date) > strtotime(date('F j, Y'))):?>
                                <a class="btn btn-sm btn-outline-warning <?php if($post_id == $post->ID):?>active<?php endif;?>" href="<?=$post->guid;?>">
                                    Upcoming
                                </a>
                            <?php elseif($current):?>
                                <a class="btn btn-sm btn-outline-success <?php if($post_id == $post->ID):?>active<?php endif;?>" href="<?=$post->guid;?>">
                                    Current
                                </a>
                            <?php else:?>
                                <a class="btn btn-sm btn-outline-gray <?php if($post_id == $post->ID):?>active<?php endif;?>" href="<?=$post->guid;?>">
                                    Archive
                                </a>
                            <?php endif;?>
                        </div>
                        <?php 
                        $count++;
                        endforeach; ?>
                        <?php wp_reset_postdata(); ?>
                        <?php endif; ?>
                    </div>
                        <hr>
                        <?=$content;?>
                </article>
            </div>
        </div>
    </div>
</main>