<?php
/**
 * Template Name: Single Thank You
 * The template for displaying the single thank you pages.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package amp
 */

get_header();
// Options - Theme Settings

// Post - WP
$title = get_the_title();
$featuredImage = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'header-banner' );

// Post - ACF
$essentials_section = get_field('essentials_section');
$featured_image = get_field('featured_image');
$featured_content_format = get_field('featured_content_format');
$featured_video_youtube_ID = get_field('featured_video_youtube_ID');
$h1 = get_field('h1');
$h2 = get_field('h2');
$content = get_field('content');
?>
<main>
	<?php if($essentials_section):?>
		<div class="hero position-relative bg-primary-light">
			<div class="container">
				<div class="row justify-content-center align-items-center py-5" style="min-height:50vh">
					<div class="col-12 col-sm-10 col-md-8 text-center my-5">
						<? if($h1):?>
                            <h1 class="mb-3"><?= $h1 ;?></h1>
                        <?php endif;?>
						<?php if($h2):?>
						<h2><?= $h2;?></h2>
						<?php endif;?>
                        <article>
                            <?= $content;?>
                        </article>
					</div>
				</div>
			</div>
		</div>
	<?php endif;?>
</main>
<?php

get_footer();
