<!-- THINGS TO DO
Add live chat toggle to ask question section -->
<?php
    $featuredImage = get_field('faqs_archive_featured_image', 'option');
    $ctaType = get_field('cta_type', 'option');
    $content = get_field('faqs_archive_content', 'option');
    $liveChat = get_field('components_live_chat', 'option');
    $faqForm = get_field('faq_form', 'option');
;?>
<main>
	<div class="container">
		<div class="row">
			<div class="col my-4">
				<?php if(!is_front_page()): ?>
				<?php get_breadcrumb(); ?>
				<?php endif; ?>
			</div>
		</div>
	</div>

	<?php if ($featuredImage): ?>
	<div class="container-fluid">
		<div class="row">
			<div id="featuredImage" class="col-12 position-relative p-0">
				<img alt="<?php echo $featuredImage['alt']; ?>" class="mx-auto card-img-top" layout="fill"
					src="<?php echo esc_url($featuredImage['sizes']['header-banner']); ?>"
					style="height:100%;width:100%;object-fit:cover; filter: brightness(70%)">
				<div id="featured-image-text">
					<div class="display-3 text-white fw-bold text-center"><?php the_archive_title();?></div>
				</div>
			</div>
		</div>
	</div>
	<?php endif; ?>
    <div id="faqTopics">
        <div class="container py-5 ">
            <div class="row g-3 justify-content-center">
                <div class="col-12 col-lg-8 col-xl-6">
                    <article class="mb-5">
                        <?php echo $content;?>
                    </article>
                </div>
            </div>
            <div class="row g-3 justify-content-center">
                <?php
                $tag_args = array(
                    'orderby' => 'menu_order',
                    'order' => 'ASC',
                    'taxonomy' => 'faq',
                );
                $tags= get_tags($tag_args);
                foreach($tags as $tag):?>
                <div class="col-12 col-md-6 col-lg-4">
                    <div class="card shadow h-100">
                        <div class="card-body text-center">
                            <h5 class="card-title"><?php echo $tag->name ;?></h5>
                            <p class="text-muted"><?php echo $tag->description ;?></p>
                            <p class="card-text">
                        </div>
                        <div class="card-footer bg-white text-center">
                            <a href="#<?php echo $tag->slug;?>" class="btn btn-light"> View FAQs <span
                                    class="badge bg-primary"><?php echo $tag->count ;?></span></a>
                        </div>
                    </div>
                </div>
                <?php endforeach ;?>
            </div>
        </div>
    </div>
    <div id="FAQs" class="py-3">
        <div class="container">
            <div class="row g-3 justify-content-center">
                <?php
                //for each category, show 5 posts
                $tag_args = array(
                    'orderby' => 'name',
                    'order' => 'ASC',
                    'taxonomy' => 'faq',
                );
                $tags= get_tags($tag_args);
                foreach($tags as $tag):?>
                    <div id="<?php echo $tag->slug;?>" class="col-12 mb-5">
                        <div class="row align-items-center mb-3">
                            <div class="col">
                                <h3 class="card-title"><?php echo $tag->name ;?></h3>
                                <p class="text-muted"><?php echo $tag->description ;?></p>
                            </div>
                            <div class="col-auto d-none d-md-block">
                                <div class="card bg-primary border-0 text-white">
                                    <div class="card-body">
                                        <?php echo $tag->count ;?> FAQs
                                    </div>
                                </div>
                            </div>
                        </div>
                        <?php 
                        $args = array(
                            'post_type' => 'faqs',
                            'numberposts' => -1,
                            'tax_query' => array(
                                array(
                                    'taxonomy' => 'faq',
                                    'field' => 'slug',
                                    'terms' => $tag->slug,
                                    'include_children' => false
                                )
                            )
                        );
                        $loop = new WP_Query( $args );?>
                        <div id="accordion<?php echo $post_name ;?>" class="accordion bg-white">
                            <div class="">
                                <?php while ( $loop->have_posts() ) : $loop->the_post(); 
                                $post_name = $tag->slug . $post->post_name;?>
                                    <div class="accordion-item ">
                                        <div class="accordion-header" id="<?php echo $tag->term_id ;?>">
                                            <h2 class="mb-0">
                                                <button class="accordion-button collapsed" type="button"
                                                    data-toggle="collapse" data-target="#<?php echo $post_name ;?>"
                                                    aria-expanded="false" aria-controls="<?php echo $post_name ;?>">
                                                    <?php the_title(); ?>
                                                </button>
                                            </h2>
                                        </div>
                                        <div id="<?php echo $post_name ;?>" class="accordion-collapse collapse" aria-labelledby="<?php echo $tag->term_id ;?>" data-parent="#accordion<?php echo $post_name ;?>">
                                            <div class="accordion-body">
                                                <?php the_field('answer');?>
                                            </div>
                                            <div class="accordion-body">
                                                <div class="row align-items-center">
                                                    <div class="col justify-content-end d-flex">
                                                        <span class="text-muted">Did this help answer your question?</span>
                                                    </div>
                                                    <div class="col-auto">
                                                        <?php echo do_shortcode('[thumbs-rating-buttons]');?>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                <?php endwhile; ?>
                            </div>
                        </div>
                    </div>
                <?php endforeach ;?>
            </div>
        </div>
    </div>
    <div id="faq_question">
        <div class="container">
            <div class="row d-flex g-4 justify-content-center py-5">
                <div class="col-12 col-md-8 col-lg-6">
                    <div class="card">
                        <div class="card-body text-center">
                            <span class="icon-comment mb-4 text-muted lead"></span><br>
                            <h2>Still have a question?</h2>
                            <p class="lead">
                                Contact us and we'll get back with you as soon as possible.
                            </p>
                            <?php echo do_shortcode($faqForm);?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    
</main>
