<?php
/**
 * Template Name: Archive Team
 * The template for displaying the Archive Team
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package amp
 */

 // Options - Theme Settings
    //Team - Archive
        // Modules
        $essentials_module = get_field('team_module_essentials', 'option');
        $team_module = get_field('team_module_team', 'option');
    // Essentials (Group)
        $team_essentials_group = get_field('team_essentials_group', 'option');
        $featured_image = $team_essentials_group['team_archive_featured_image'];
        $h1 = $team_essentials_group['team_archive_h1'];
        $h2 = $team_essentials_group['team_archive_h2'];
        $content = $team_essentials_group['team_archive_content'];

    // Team (Group)
        $team_team_group = get_field('team_team_group', 'option');
        // Blocks
            $team_team_block = $team_team_group['leadership_block'];
        // Leadership
            $team_leadership_levels = $team_team_group['team_archive_leadership_levels'];
            $team_leadership_levels_1 = $team_team_group['team_archive_leadership_levels_1'];
            $team_leadership_levels_2 = $team_team_group['team_archive_leadership_levels_2'];
            $team_leadership_levels_3 = $team_team_group['team_archive_leadership_levels_3'];
            $team_leadership_levels_4 = $team_team_group['team_archive_leadership_levels_4'];
            $team_leadership_levels_5 = $team_team_group['team_archive_leadership_levels_5'];
            $team_leadership_levels_6 = $team_team_group['team_archive_leadership_levels_6'];

// Post - WP
$title = get_the_title();

// Post - ACF

// Custom


;?>
<main>
	<?php if($featured_image): ?>
        <div class="hero position-relative bg-primary-light">
			<div class="container col-12">
				<div class="row align-items-center py-5" style="min-height:50vh">
					<div class="col-lg-6 text-center text-lg-start my-5">
						<h1 class="mb-3"><?= $h1 ;?></h1>
						<?php if($h2):?>
						<h2 class="lead fw-normal mb-3"><?= $h2;?></h2>
						<?php endif;?>
						<div class="row g-3">
							<div class="col-12 text-center text-lg-start">
							</div>
						</div>
					</div>
					<div id="featured-content" class="col-md-12 col-lg-6">
                        <img src="<?php echo esc_url($featured_image['url']); ?>" alt="<?php echo esc_attr($featured_image['alt']); ?>" width="100%" />
					</div>
				</div>
			</div>
		</div>
	<?php endif; ?>
	<article>
		<?php if($content):?>
			<div class="container pt-5">
				<div class="row g-3 justify-content-center">
					<div class="col-12 col-lg-8 col-xl-6">
						<article class="mb-5">
							<?php echo $content;?>
						</article>
					</div>
				</div>
			</div>
		<?php endif;?>
		<div id="team">
			<div class="container">
                <?php if($team_leadership_levels_1):?>
                    <div class="row d-flex g-4 py-5 justify-content-center">
                        
                        <?php 
                        foreach( $team_leadership_levels_1 as $post ): 
                        setup_postdata($post);
                        ?>
                            <?php include get_template_directory() . '/template-parts/'. get_field('template', 'option') . '/modules/team/team-1.php';?>
                        <?php endforeach; ?>
                        <?php wp_reset_postdata(); ?>
                    </div>
                <?php endif;?>
				<div class="row d-flex g-4 py-5 justify-content-center">
					<?php
					global $post;
				
					$posts = get_posts( array(
						'numberposts'		=> -1,
						'post_type'			=> 'team',
						'orderby'			=> 'name',
						'order'				=> 'ASC',
                        'exclude'           => $team_leadership_levels_1
					) );
				
					if ( $posts ) {
						foreach ( $posts as $post ) : 
							setup_postdata( $post );?>
                            <?php include get_template_directory() . '/template-parts/'. get_field('template', 'option') . '/modules/team/team-6.php';?>
					<?php endforeach;
						wp_reset_postdata();
					} else {
						get_template_part( 'template-parts/content', 'none' );
					}; ?>
				</div>
			</div>
		</div>
		<?php wp_reset_postdata(); ?>
		</div>
	</article>
</main>
<?php

get_footer();
