<?php
/**
 * Custom Block Template.
 *
 * @param   array $block The block settings and attributes.
 * @param   string $content The block inner HTML (empty).
 * @param   bool $is_preview True during backend preview render.
 * @param   int $post_id The post ID the block is rendering content against.
 *          This is either the post ID currently being displayed inside a query loop,
 *          or the post ID of the post hosting this block.
 * @param   array $context The context provided to the block by the post or it's parent block.
 */

 // WordPress Classes
$class_name = 'custom';
if (!empty($block['class_name'])) {
    $class_name .= ' ' . $block['class_name'];
}

if (!empty($block['align'])) {
    $class_name .= ' align' . $block['align'];
}

// Support custom "anchor" values.
$anchor = '';
if ( ! empty( $block['anchor'] ) ) {
    $anchor = 'id="' . esc_attr( $block['anchor'] ) . '" ';
}

// Content
$content = get_field('custom_content');

// Style
$css = get_field('custom_block_css');

?>
<?=the_field('custom_block_css');?>
<?php if($css):?>
    <style>
        <?=$css;?>
    </style>
<?php endif;?>
<?=$content;?>