<?php
/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package amp
 */

 // Option Page
$logoDark = get_field('logo_dark', 'option');
$footerText = get_field('footer_text', 'option');
    if($footerText == 'custom'){
        $footerText = get_field ('footer_text_custom','option'); 
    };
$liveChat = get_field('components_live_chat', 'option');
$privacy = get_template_page_url('privacy-policy.php');
$cookie = get_template_page_url('cookie-policy.php');
$sitemap = get_template_page_url('sitemap.php');
$agencyCredit = get_field('agency_credit','option');
$locations = get_field('locations','option');

$module_legal = get_field('module_legal', 'option');
if($module_legal){
    $module_legal_archive_link = get_post_type_archive_link('legal');
    $module_legal_archive_title = get_field('legal_archive_h1', 'option');
};

$color_theme = get_field('color_theme', 'option');

// ACF
$primary_cta_source = get_field('primary_cta_source');
?>
<style>
    #footer-logo {
        max-width: 200px;
    }

    #footer-top a {
        color: #808080;
    }

    #footer-top a:hover {
        color: black;
    }

    #footer-bottom a {
        color: #808080;
    }

    #footer-bottom a:hover {
        color: #eeeeee;
    }

    .footerMenu {
        list-style: none;
        padding: 0px
    }

    @media(max-width:767px) {
        .addr-box {
            border-bottom: 1px var(--gray-color-light) dotted;
            margin-bottom: 20px;
            padding: 20px 0
        }

        .addr-box hr {
            display: none
        }
    }
</style>
<?php if($primary_cta_source && $primary_cta_source != "off"):?>
    <?php if(!is_home() && !is_404() && !is_page(array(212, 228, 7527, 14980, 7803)) && !is_singular( array('post', 'lp', 'legal','thank-you', 'resources' )) && !is_archive( array('post', 'lp', 'legal','thank-you', 'resources')) ):?>
        <style>
        .mktoFormRow:nth-child(3) .mktoFieldDescriptor.mktoFormCol,
        .mktoFormRow:nth-child(6) .mktoFieldDescriptor.mktoFormCol {
            width: 100% !important;
        }
        .mktoFormRow:nth-child(3) .mktoFieldWrap,
        .mktoFormRow:nth-child(6) .mktoFieldWrap{
            padding-right: 0px !important;
        }
        .mktoFormRow:nth-child(6) .mktoHtmlText.mktoHasWidth {
            width: 100% !important;
        }
        .mktoFormRow:nth-child(7) .mktoFormCol {
            width: calc(100% - 50px);
        }
        .mktoFormRow:nth-child(7) .mktoFieldDescriptor.mktoFormCol {
        width: 50px !important;
        }
        .mktoFormRow:nth-child(7) .mktoHtmlText.mktoHasWidth {
            width: 100% !important;
        }
        textarea#Demo_Request_Info__c {
            height: 75px;
        }
        label#LblDemo_Request_Info__c {
            font-weight: bold;
        }
        button.mktoButton {
            color: var(--primary-color-contrast) !important;
            background-color: var(--primary-color) !important;
            display: inline-block;
            font-weight: bold;
            line-height: 1;
            color: rgba(0, 0, 0, 0.55);
            text-align: center;
            text-decoration: none;
            vertical-align: middle;
            cursor: pointer;
            -webkit-user-select: none;
            -moz-user-select: none;
            user-select: none;
            background-color: transparent;
            border: 2px solid transparent;
            border-radius: 10px;
            padding: 10px 15px;
            font-size: 1rem;
            transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
        }
        button.mktoButton:hover {
            color: var(--primary-color-contrast) !important;
            background-color: var(--primary-color-hover) !important;
            border-color: var(--primary-color-hover);
        }
        #demo-request-top {
            background-image: linear-gradient(180deg, var(--secondary-color-dark-hover) 400px, #ffffff 400px) ;
            background-position: initial;
            background-repeat: no-repeat;
            background-size: initial;
        }
        </style>
        <div id="demo-request-top" class="position-relative">
            <div class="container py-5">
                <div class="row g-5 py-5">
                    <div class="col-12 col-md-10 col-lg-5 mx-auto order-1 order-md-2">
                        <div class="card">
                            <div class="card-body p-4">
                                <div class="d-block d-lg-none">
                                    <h3>Get your A2Z demo</h3>
                                    <p>See how A2Z Events can help you streamline operations and maximize revenue so you can grow your events in ways you never thought possible.</p>
                                </div>
                                <script src="//go.personifycorp.com/js/forms2/js/forms2.min.js"></script>
                                <form id="mktoForm_3624"></form>
                                <script>
                                    MktoForms2.loadForm("//go.personifycorp.com", "659-YYM-976", 3624, function(form){
                                        form.onSuccess(function(values, followUpUrl) {
                                        location.href = "/contact/thank-you/";
                                        return false;
                                        });
                                    });
                                </script>
                            </div>
                        </div>
                    </div>
                    <div class="col-12 col-md-6 text-white order-2 order-md-1 d-none d-lg-block">
                        <div class="pb-3 d-none d-lg-block">
                        Request a Demo
                        </div>
                        <h1 class="display-5 fw-bold lh-1 text-white d-none d-md-block">Get your A2Z demo</h1>
                        <p class="d-none d-md-block mb-5 pb-5">See how A2Z Events can help you streamline operations and maximize revenue so you can grow your events in ways you never thought possible.</p>
                        <div class="col-12 pt-5 d-none d-lg-block">
                            <div class="row">
                            <div class="col-4">
                                    <style>
    span.fraction-8:before {
        content: "";
        position: absolute;
        right: 0px;
        bottom: 0px;
        height: 100%;
        width: calc(100% - 80%);
        background: white;
        opacity: 50%;
    }
</style>
<div id="13089" class="card card-testimonial bg-white w-100 d-inline-block border-0">
    <div class="card-body text-center text-lg-start my-2">
        <div class="text-center text-lg-start" style="height:75px; display: flex;justify-content: center;align-items: center;">
            <a href="https://www.capterra.com/p/196600/A2Z-Events/" target="_blank">
                <img class="img-fluid" decoding="async" alt="Capterra Logo" style="width:auto; max-height:60px; object-fit: contain;" width="100%" height="auto" src="https://mya2zevents.com/wp-content/uploads/2023/10/capterra-e1692076049701.png">
            </a>
        </div>
        <span>
            <span class="icon-star px-1" style="color: #D1A52D"></span><span class="icon-star px-1" style="color: #D1A52D"></span><span class="icon-star px-1" style="color: #D1A52D"></span><span class="icon-star px-1" style="color: #D1A52D"></span><span class="fraction fraction-8 position-relative"><span class="icon-star px-1" style="color: #D1A52D"></span></span>        </span>
        <div class="row align-items-center g-3">
            <div class="col">
                            </div>
        </div>
    </div>
</div>                                </div>
<div class="col-4">
                                    <style>
    span.fraction-8:before {
        content: "";
        position: absolute;
        right: 0px;
        bottom: 0px;
        height: 100%;
        width: calc(100% - 80%);
        background: white;
        opacity: 50%;
    }
</style>
<div id="13090" class="card card-testimonial bg-white w-100 d-inline-block border-0">
    <div class="card-body text-center text-lg-start my-2">
        <div class="text-center text-lg-start" style="height:75px; display: flex;justify-content: center;align-items: center;">
            <a href="https://www.getapp.com/customer-management-software/a/a2z-events/" target="_blank">
                <img class="img-fluid" decoding="async" alt="GetApp Logo" style="width:auto; max-height:60px; object-fit: contain;" width="100%" height="auto" src="https://mya2zevents.com/wp-content/uploads/2023/10/GetAppLogo-1.png">
            </a>
        </div>
        <span>
            <span class="icon-star px-1" style="color: #D1A52D"></span><span class="icon-star px-1" style="color: #D1A52D"></span><span class="icon-star px-1" style="color: #D1A52D"></span><span class="icon-star px-1" style="color: #D1A52D"></span><span class="fraction fraction-8 position-relative"><span class="icon-star px-1" style="color: #D1A52D"></span></span>        </span>
        <div class="row align-items-center g-3">
            <div class="col">
                            </div>
        </div>
    </div>
</div>                                </div>
<div class="col-4">
                                    <style>
    span.fraction-8:before {
        content: "";
        position: absolute;
        right: 0px;
        bottom: 0px;
        height: 100%;
        width: calc(100% - 80%);
        background: white;
        opacity: 50%;
    }
</style>
<div id="13092" class="card card-testimonial bg-white w-100 d-inline-block border-0">
    <div class="card-body text-center text-lg-start my-2">
        <div class="text-center text-lg-start" style="height:75px; display: flex;justify-content: center;align-items: center;">
            <a href="https://www.softwareadvice.com/conference/a2z-events-profile/" target="_blank">
                <img class="img-fluid" decoding="async" alt="Software Advice Logo" style="width:auto; max-height:60px; object-fit: contain;" width="100%" height="auto" src="https://mya2zevents.com/wp-content/uploads/2023/10/Software-Advice-logo.png">
            </a>
        </div>
        <span>
            <span class="icon-star px-1" style="color: #D1A52D"></span><span class="icon-star px-1" style="color: #D1A52D"></span><span class="icon-star px-1" style="color: #D1A52D"></span><span class="icon-star px-1" style="color: #D1A52D"></span><span class="fraction fraction-8 position-relative"><span class="icon-star px-1" style="color: #D1A52D"></span></span>        </span>
        <div class="row align-items-center g-3">
            <div class="col">
                            </div>
        </div>
    </div>
</div>                                </div>
                        </div>
                    </div>
                </div>
            </div>
            </div>
        </div>
    <?php endif;?>
<?php endif;?>
</div><!-- #content -->
<footer class="site-footer">
    <div id="footer-top" class="py-5 border-top">
        <div class="container">
            <div class="row g-4 lh-lg">
                <div class="col-12 col-md-3 py-2">
                    <a href="<?php echo esc_url( home_url( '/' ) ); ?>">
                        <?php
                        $logo = get_field('logo', 'option');
                        $logo_url = $logo['sizes']['medium'];
                        if( !empty( $logo ) ): ?>
                        <div class="fixed-container">
                            <img id="img-fluid" alt="<?php bloginfo('name'); ?>" class="contain" layout="fill" style="max-width:300px"
                                src="<?php echo esc_url($logo_url); ?>">
                        </div>
                        <?php endif ; ?>
                    </a>
                    <div class="my-4"><?=$footerText;?></div>
                    <div id="socialMedia">
                        <?php  
                        if ( have_rows('social_media', 'option')):?>
                            <?php while(have_rows('social_media', 'option')) : the_row();
                        $field = get_sub_field('account');
                        ?>
                        <a class="p-2 text-light" href="<?php the_sub_field('url')?>" target="_blank">
                            <span class="<?php echo $field['value'];?>"></span>
                        </a>
                        <?php endwhile;?>
                        <?php endif; ?>
                    </div>
                </div>
                <div class="col-12 col-md-9">
                    <div class="row">
                        <hr class="d-block d-md-none">
                        <div class="col-12 col-md col-lg-3 py-2">
                            <a href="/demo/" class="text-dark fw-bold d-block lh-lg mb-2 fs-5">Sales</a>
                            <span class="lh-sm">
                                <a href="/demo/">Request a Demo</a><br>
                                <a href="tel:+4261231452">(426) 123-1452</a><br>
                            </span>
                        </div>
                        <hr class="d-block d-md-none">
                        <div class="col-12 col-md col-lg-3 py-2">
                            <a href="/event-management-software/" class="text-dark fw-bold d-block lh-lg mb-2 fs-5">Products</a>
                            <span class="lh-sm">
                                <a href="/event-management-software/">Overview</a><br>
                            </span>
                        </div>
                        <hr class="d-block d-md-none">
                        <div class="col-12 col-md col-lg-3 py-2">
                            <a href="/about-a2z/" class="text-dark fw-bold d-block lh-lg mb-2 fs-5">Company</a>
                            <span class="lh-sm">
                                <a href="/about-a2z/">About Us</a><br>
                            </span>
                        </div>
                        <hr class="d-block d-md-none">
                        <div class="col-12 col-md col-lg-3 py-2">
                            <a href="https://personifycorp.com/" class="text-dark fw-bold d-block lh-lg mb-2 fs-5">Partner Brands</a>
                            <span class="lh-sm">
                                <a href="https://personifycorp.com/" target="_blank">Personify</a><br>
                                <a href="http://wildapricot.com/" target="_blank">WildApricot</a><br>
                                <a href="https://personifycorp.com/products/threesixty/" target="_blank">ThreeSixty</a><br>
                                <a href="https://memberclicks.com/" target="_blank">MemberClicks</a>
                            </span>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div id="footer-bottom" class="p-3 bg-<?=$color;?>">
        <div class="container">
            <div class="row align-items-center">
                <div class="col-12 col-md text-light">
                    <!-- Modal Trigger -->
                    <a href="#"data-toggle="modal" data-target="#attribution">©</a> <?php echo date("Y"); ?> <?php the_field('client_name','option'); ?> All Right Reserved.
                    <!-- Modal -->
                    <div class="modal fade" id="attribution" tabindex="-1" role="dialog"
                        aria-labelledby="attributionLabel" aria-hidden="true">
                        <div class="modal-dialog" role="document">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <h5 class="modal-title" id="exampleModalLabel">Attributions
                                    </h5>
                                    <a type="button" class="close btn fs-4" data-dismiss="modal" aria-label="Close">
                                        <span aria-hidden="true">&times;</span>
                                    </a>
                                </div>
                                <div class="modal-body">
                                <b>Icons</b><br>
                                <a class="text-muted" href="https://icomoon.io/app/#/select/library" title="internet icons">Some of the icons used on this site are provided by Icomoon.io and it's designers.</a>
                                <hr>
                                </div>
                            </div>
                        </div>
                    </div>
                    | <a href='javascript:void(0)' onclick='revisitCkyConsent()'>Do Not Sell or Share My Personal Information</a>
                    <?php if($module_legal):?> |
                        <a href="<?=$module_legal_archive_link ;?>"><?=$module_legal_archive_title;?></a>
                    <?php endif;?>
                </div>
                <div class="col-auto text-end">
                    <a href="/pci">
                        <img src="https://wildapricotdev.wpengine.com/wp-content/uploads/2022/11/pci-dss-compliant-logo.png">
                    </a>
                    <?php if($agencyCredit != "none" ):?>
                    <?php include get_template_directory() . '/components/help-desk/help-desk.php' ;?>
                    <?php endif;?>
                </div>
            </div>
        </div>
    </div>
    <!-- Search Modal -->
    <div class="modal fade" id="searchModal" tabindex="-1" role="dialog"
        aria-labelledby="#searchModal" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="container p-2">
                    <form role="search" method="get" class="form search-form " action="<?php echo home_url( '/' ); ?>">
                        <div class="input-group">
                            <input name="s" type="text" class="form-control form-control-lg"
                                placeholder="Search">
                                <button type="submit" value="" name="search" id="search" class="btn btn-primary btn-lg" type="button">
                                    <span class="icon-search" aria-hidden="true"></span>&nbsp;
                                </button>
                        </div>
                    </form>
                    <small class="text-light">Hit enter to search or ESC to close</small>
                </div>
            </div>
        </div>
    </div>
</footer>

<script>
	/* Scroll calcs == menu + progress and template bars */
	(function() {
		// First check for progress bar, otherwise calculate header height
		if (document.getElementById('progress')) {
			var h = document.getElementById('header').clientHeight - document.getElementById('progress').clientHeight;

		} else {
			var h = document.getElementById('header').clientHeight;
		}

		var doc = document.documentElement;
		var w = window;

		var prevScroll = w.scrollY || doc.scrollTop;
		var curScroll;
		var direction = 0;
		var prevDirection = 0;

		var header = document.getElementById('header');

		var checkScroll = function() {

			/*
			 ** Find the direction of scroll
			 ** 0 - initial, 1 - up, 2 - down
			 */

			curScroll = w.scrollY || doc.scrollTop;
			if (curScroll > prevScroll) {
				//scrolled up
				direction = 2;
			} else if (curScroll < prevScroll) {
				//scrolled down
				direction = 1;
			}

			if (direction !== prevDirection) {
				toggleHeader(direction, curScroll);
			}

			// update the progress bar
			if (document.getElementById('progress')) {
				updateProgress(curScroll);
			}


			// update the Timeline Bar
			if (document.getElementById('our-story')) {
				updateTimeline(curScroll);
			}

			prevScroll = curScroll;

		};

		var toggleHeader = function(direction, curScroll) {
			if (direction === 2 && curScroll > 52) {

				//replace 52 with the height of your header in px
				document.getElementById("header").style.top = '-' + h + 'px';
				prevDirection = direction;
			} else if (direction === 1) {
				document.getElementById("header").style.top = '0px';
				prevDirection = direction;
			}
		};

		// progress bar calculations
		if (document.getElementById('progress')) {

			function updateProgress(curScroll) {
				var bar = document.querySelector(".progress-bar");
				var t = document.querySelector('article');
				var b = document.getElementById('more-posts');

				if (curScroll > t.offsetTop && curScroll < (b.offsetTop - w.innerHeight)) {
					var curPercentage = Math.round(((curScroll - t.offsetTop) / (t.offsetHeight - w.innerHeight)) * 100);
					if (curPercentage < 1) {
						curPercentage = 1;
					}
					if (curPercentage > 100) {
						curPercentage = 100;
					}
					bar.style.width = curPercentage + "%";
					bar.ariaValueNow = curPercentage;
				} else if (curScroll < t.offsetTop) {
					bar.style.width = "1%";
					bar.ariaValueNow = 1;
				}
			}
		}
       
		// Scrollbar on About Us page
		if (document.getElementById('our-story')) {
			function updateTimeline(curScroll,timelineCount) {
                var timeline = document.querySelectorAll(".timeline");
                
                for(let i = 0; i < timeline.length; i++){
                    if(timeline[i].offsetTop < (curScroll + (w.innerHeight / 2)) && i > 0){
                        timeline[i - 1].dataset.state = "past";
                        timeline[i].dataset.state = "active";
                    }
                    else if (i == 0){
                        timeline[i].dataset.state = "active";
                    }
                    else {
                        timeline[i].dataset.state = "inactive";
                    }
                }
                
			}
		}

		window.addEventListener('scroll', checkScroll);

	})();
</script>

<?php wp_footer(); ?>
<!-- #page -->
</body>

</html>