<?php
$above_header = get_field('above_header', 'option');
$header_color = get_field('color', 'option');
$mobile_menu_break = get_field('mobile_menu_break', 'option');
$logo = get_field('logo', 'option');
if ($logo) {
	$logo_url = $logo['sizes']['medium'];
}; ?>
<a class="visually-hidden-focusable" href="#content">Skip to main content</a>
<header id="header" class="border-bottom border-<?=$header_color;?>">
	<?php if (get_field('above_header', 'option')) {
		include get_template_directory() . '/template-parts/' . get_field('template', 'option') . '/inc/above-header/' . get_field('above_header_type', 'option') . '.php';
	}; ?>
	<nav id="primary-menu" class="navbar navbar-expand navbar-light bg-<?=$header_color;?>">
		<div class="container-xl container-fluid">
			<div id="logo">
				<a href="<?php echo esc_url(home_url('/')); ?>">
					<?php
					if (!empty($logo)) : ?>
						<div class="fixed-container">
							<img alt="<?php bloginfo('name'); ?>" class="contain" src="<?php echo esc_url($logo_url); ?>">
						</div>
					<?php else : ?>
						<a class="site-title navbar-item large" href="<?php echo esc_url(home_url('/')); ?>" rel="home"><?php bloginfo('name'); ?></a>
					<?php endif; ?>
				</a>
			</div>
			<div class="navbar-right d-flex">
				<?php if (has_nav_menu('primary')) : ?>
					<div id="nav-desktop" class="menu-break-hide">
						<div class="collapse navbar-collapse" id="navbarSupportedContent">
							<?php
							wp_nav_menu(array(
								'container'         => false,
								'items_wrap'        => '<ul id="%1$s" class="%2$s">%3$s</ul>',
								'menu_class'        => 'navbar-nav align-items-center',
								'menu_id'           => 'primaryMenu',
								'theme_location'    => 'primary',
								'walker'            => new Bootstrap_Navwalker(),
							));
							?>
						</div>
					</div>
					<a role="button" class="navbar-toggler navbar-burger burger menu-break-show" aria-label="Toggle navigation" data-bs-toggle="offcanvas">
						<span aria-hidden="true"></span>
						<span aria-hidden="true"></span>
						<span aria-hidden="true"></span>
					</a>

					<div id="navbar-mobile" class="navbar-collapse offcanvas-collapse overflow-visible">
						<?php include get_template_directory() . '/template-parts/' . get_field('template', 'option') . '/inc/mobile-menu.php'; ?>
					</div>
					<script>
						(function mainScript() {
							"use strict";
							const offcanvasToggle = document.querySelector(
								'[data-bs-toggle="offcanvas"]',
							);
							const offcanvasCollapse = document.querySelector(".offcanvas-collapse");
							offcanvasToggle.addEventListener("click", function() {
								offcanvasCollapse.classList.toggle("open");
							});
						})();
					</script>
				<?php endif; ?>
			</div>
		</div>
	</nav>
	<?php if (is_singular('post')) { // only show progress bar on blog posts
	?>
		<div class="progress" id="progress">
			<div class="progress-bar" role="progressbar" style="width:1%" aria-valuenow="1" aria-valuemin="1" aria-valuemax="100"></div>
		</div>
	<?php } ?>
</header>
