<?php
// Pull $args from get_template_part
$cta_prefix = $args['cta_prefix'];
$sourceID = $args['sourceID']; 

// Get all the fields
$cta_title = get_field($cta_prefix . 'cta_title', $sourceID);
$cta_copy = get_field($cta_prefix . 'cta_copy', $sourceID);
$cta_link = get_field($cta_prefix . 'cta_link', $sourceID);
$color_scheme = get_field($cta_prefix . 'cta_color_scheme', $sourceID);
$text_color = get_field($cta_prefix . 'cta_text_color', $sourceID);
$cta_background_image = get_field($cta_prefix . 'cta_background_image', $sourceID);
$cta_background_position = get_field($cta_prefix . 'cta_background_position', $sourceID);
$cta_background_size = get_field($cta_prefix . 'cta_background_size', $sourceID);
$cta_background_repeat = get_field($cta_prefix . 'cta_background_repeat', $sourceID);
$cta_mobile_image = get_field($cta_prefix . 'cta_mobile_image', $sourceID);


// Get Color scheme settings
if ($color_scheme == 'customColors') {
    $customCSS = 'background-color:' . get_field($cta_prefix . 'cta_background_color', $sourceID) . '; color:' . get_field($cta_prefix . 'cta_text_color', $sourceID) . '; ';
    if($text_color){
        $buttonStyles = 'style="color:' . get_field($cta_prefix . 'cta_text_color', $sourceID) . ';"';
    }
} else {
    $customCSS = 'background-color:var(--' . get_field($cta_prefix . 'cta_color_scheme', $sourceID) . '-color); color:#fff; ';
}

// Get Background Image
if($cta_background_image){
    $customCSS .= ' background-image:url(' . $cta_background_image['url'] . '); ';
    $customCSS .= ' background-position:' . $cta_background_position . ';';
    $customCSS .= ' background-size:' . $cta_background_size . ';';
    $customCSS .= ' background-repeat:' . $cta_background_repeat . ';';

}

// Set link target
if ($cta_link['target'] == "_blank") {
    $target = 'target="_blank"';
} else {
    $target = ''; // avoiding unset var
}

?>

<div class="global-cta primary-cta color-scheme-<?= $color_scheme; ?>">
    <div class="inner" style="<?= $customCSS; ?>">
        <div class="inner-content">
            <?php if ($cta_title) { ?>
                <div class="h3"><?= $cta_title; ?></div>
            <?php } ?>

            <?php if ($cta_copy) { ?>
                <p><?= $cta_copy; ?></p>
            <?php } ?>

            <a class="btn btn-lg" href="<?= $cta_link['url']; ?>" <?= $target; ?> <?= $buttonStyles ?>>
                <?= $cta_link['title']; ?>
            </a>
        </div>
        <?php if($cta_mobile_image){ ?>
            <div class="d-md-none ">
                <img src="<?= $cta_mobile_image['url']; ?>" alt="<?= $cta_mobile_image['alt']; ?>">
            </div>
        <?php } ?>
        
    </div>
</div>