<script async src="https://cdn.ampproject.org/v0.js"></script>
<script async custom-element="amp-nested-menu" src="https://cdn.ampproject.org/v0/amp-nested-menu-0.1.js"></script>
<style>
    amp-nested-menu.i-amphtml-layout-size-defined {
        overflow: visible !important;
    }

    amp-sidebar li {
        width: calc(100% - 50px);
    }

    amp-sidebar li a,
    amp-sidebar .menu .menu-item>a {
        font-size: 1.25rem;
        color: #424242;
    }

    div[amp-nested-submenu-open] {
        padding: 15px;
    }

    div[amp-nested-submenu-close] {
        text-align: left;
        padding: 0px 10px;
    }

    #navbar-mobile li.menu-item {
        width: 100%;
        text-decoration: none;
        text-align: left;
    }
</style>
<div class="row pt-3">
    <div class="col-12 pb-3">
        <a id="mobile-menu-close" role="button" class="navbar-toggler navbar-burger burger menu-break-show" aria-label="Toggle navigation" data-bs-toggle="offcanvas" style="">
            <span aria-hidden="true"></span>
            <span aria-hidden="true"></span>
            <span aria-hidden="true"></span>
        </a>
    </div>
    <div class="col-12">
        <form role="search" method="get" class="form search-form " action="<?php echo home_url( '/' ); ?>">
            <div class="input-group">
                <input name="s" type="text" class="form-control form-control" placeholder="Search">
                <button type="submit" value="" name="search" id="search" class="btn btn-primary btn">
                    <span class="icon-search" aria-hidden="true"></span>&nbsp;</button>
            </div>
        </form>
    </div>
    <div class="col-12 mt-3">
        <div class="text-center">
            <?php if( have_rows('above_header_links', 'option') ): ?>
                <?php while( have_rows('above_header_links' , 'option') ): the_row(); 
                    $link = get_sub_field('link');
                ;?>
                    <a class="btn btn-sm d-none d-sm-inline-block <?php the_sub_field('type');?>" href="<?=$link['url']?>" <?php if($link['target']):?>target="_blank" <?php endif;?>>
                        <?=$link['title']?>
                    </a>
                <?php endwhile; ?>
            <?php endif; ?>
        </div>
        <hr>
        <amp-nested-menu layout="fill" class="position-relative">
            <ul>
                <?php
                wp_nav_menu( array(
                    'container'         => false,
                    'items_wrap'        => '%3$s',
                    'menu_class'        => '',
                    'menu_id'           => 'primary-menu',
                    'theme_location'    => 'primary',
                    'walker'            => new Spectre_Navwalker_Mobile(),
                ) );
                ?>
            </ul>
        </amp-nested-menu>
    </div>
</div>
<script>
    jQuery('#mobile-menu-close').click(function(){
        jQuery('#navbar-mobile').removeClass('open');
    });
</script>