<?php 
$company = $post->name;
$platform = $post->testimonial_platform;
$url = $post->url;
$logo_match = get_template_directory_uri() . '/inc/img/' . $company . '-logo.png';
$logo_featured = $post->image;
$featured_image = $post->featured_image;
if($logo_featured){
    $logo = wp_get_attachment_image_src($logo_featured, 'small');
} elseif($image){
    $logo = wp_get_attachment_image_src($featured_image, 'small');
}
else {
    $logo = $logo_match;
};
$rating = $post->rating;
$whole = floor($rating);
$fraction = $rating - $whole;
$fraction_formatted = substr($fraction, 2);
?>
<?php if($fraction_formatted):?>
<style>
    span.fraction-<?php echo $fraction_formatted;

    ?>:before {
        content: "";
        position: absolute;
        right: 0px;
        bottom: 0px;
        height: 100%;
        width: calc(100% - <?=$fraction_formatted;?>0%);
        background: white;
        opacity: 50%;
    }
</style>
<?php endif;?>
<div id="<?=$post->ID;?>" class="card card-testimonial bg-white w-100 d-inline-block border-0">
    <div class="card-body text-center text-lg-start my-2">
        <div class="text-center text-lg-start" style="height:75px; display: flex;justify-content: center;align-items: center;">
            <a href="<?php echo $url;?>" target="_blank">
                <img class="img-fluid" src="<?php echo $logo[0];?>" alt="<?php echo $company . ' Logo';?>" style="width:auto; max-height:60px; object-fit: contain;" width="100%" height="auto">
            </a>
        </div>
        <span>
            <?php
            for ($i = 0; $i < $whole; $i++) {
                print '<span class="icon-star px-1" style="color: #D1A52D"></span>';
            };
            if($fraction_formatted > 0){ 
                for ($i = 0; $i < $fraction; $i++) {
                    print '<span class="fraction fraction-' . $fraction_formatted . ' position-relative"><span class="icon-star px-1" style="color: #D1A52D"></span></span>';
                }
            ;}
            ;?>
        </span>
        <div class="row align-items-center g-3">
            <div class="col">
                <?php if(get_field('url')): ?>
                <div class="company small text-gray">
                    <a href="<?php the_field('url');?>" target="_blank" class="fst-italic">
                        <?php the_field('url_text');?>
                    </a>
                </div>
                <?php endif ;?>
            </div>
        </div>
    </div>
</div>