<?php
/**
 * Template Name: Blog
 * The template for displaying the Blog.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package amp
 */

get_header();

// Get Blog ID !important
$blog_ID = get_option( 'page_for_posts' );

// Options - Theme Settings


// Post - WP
$title = get_the_title();
$featuredImage = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'header-banner' );

// Post - ACF
    // Modules
        $essentials_module = get_field('essentials_module', $blog_ID);
        $blog_module = get_field('blog_module', $blog_ID);
        // Essentials
            // Content
                $h1_source = get_field('h1_source', $blog_ID);
                    if($h1_source === "default") {
                        $h1 = get_the_title( $blog_ID );
                    }elseif($h1_source == "custom") {
                        $h1 = get_field('custom_h1', $blog_ID);
                    };
                $h2 = get_field('h2', $blog_ID);
                $content = get_field('content', $blog_ID);

            //Call To Action
                $cta_source = get_field('cta_source', $blog_ID);
                $content_cta_source = get_field('content_cta_source',$blog_ID);
            
                
        // Blog
            // General 
                // Posts Per Page - Selector
                // LB: adding bunch of logic to display the right number of posts, even if nothing is set or a low number is set
                    $posts_per_page_source = get_field('posts_per_page_source', $blog_ID);
                        
                        // First check for default or custom posts_per_page setting, or the setting is null
                        if($posts_per_page_source == "default" || is_null($posts_per_page_source)) {
                            $postcount = get_option('posts_per_page');
                        }
                        // if you have a custom setting:
                        else{
                            $postcount = get_field('posts_per_page_custom', $blog_ID);
                        };

                        // Make sure there's enough (6 at base), and if so, make sure it's divisible by 3
                        if($postcount > 5){
                            if(($postcount % 3 == 0)){
                                $posts_per_page = $postcount;
                            }
                            else {
                                $postremainder = $postcount % 3;
                                $posts_per_page = $postcount - $postremainder;
                            }
                        }
                        else {
                            $posts_per_page = 6;
                        }

            
?>
<style>
    #blog-categories amp-carousel .i-amphtml-scrollable-carousel-container::-webkit-scrollbar {
        display: none
    }
    #blog-categories amp-carousel.i-amphtml-element.i-amphtml-error.i-amphtml-carousel-has-controls.i-amphtml-built.i-amphtml-layout {
        margin-right: 40px;
    }   
    #blog-categories .amp-carousel-button-next {
        right: -40px;
    }
    #blog-categories .amp-carousel-button-prev {
        left: -40px;
    }
    /* Temp Fix */
    li.page-item:nth-last-child(2),li.page-item:nth-last-child(3) {
        display: none;
    }
</style>
<main>
    <div id="blog-categories" class="border-bottom py-1 bg-primary-light">
        <div class="container">
            <div class="row align-items-center">
                <div class="col-10">
                    <script async custom-element="amp-carousel" src="https://cdn.ampproject.org/v0/amp-carousel-0.1.js">
                    </script>
                    <amp-carousel width="auto" height="auto" layout="responsive" type="carousel">
                        <?php
                            $array_all = get_categories( array(
                                'orderby' => 'count',
                                'order'   => 'DESC',
                                'exclude' => '1'
                            ) );
                            $array = array_slice($array_all, 0, 4);
                            foreach( $array as $value ): 
                                $name = $value->name;
                                $id = $value->term_id;
                                $url= get_category_link($id);
                            ?>
                            <a class="btn badge-pill" href="<?=$url;?>"><?=$name;?></a>
                        <?php endforeach; ?>
                        <?php 
                            // Reset the global post object so that the rest of the page works correctly.
                            wp_reset_postdata(); ?>
                    </amp-carousel>
                </div>
                <div class="col-2 text-end">
                    <form role="search" method="get" class="form search-form" action="<?php echo home_url( '/' ); ?>">
                        <div class="form-row align-items-center">
                            <div class="col">
                               <a id="top-nav-search" class="btn text-light" href="#" data-toggle="modal" data-target="#searchModal"><span class="icon-search"></span></a>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
    <article id="blog" class="bg-gray-light">
        <div class="cat-header bg-primary text-white py-5">
				<div class="container pb-5">
					<div class="row d-flex g-4 justify-content-center mb-5">
						<div class="col-12 text-center">
							<h1 class="page-title screen-reader-text text-primary-contrast"><?=$h1;?></h1>
							<?php if(get_the_archive_description( )){ ?> 
								<div class="col-md-6"><span class="fs-6"><?php the_archive_description(); ?></span></div>
							<?php } ?>

						</div>
					</div>
				</div>
			</div> <!-- /.cat-header -->
        <div class="container" style="margin-top: -100px">
            <div class="row d-flex g-4 mb-5">
                <?php if ( have_posts() ) : ?>
                    <?php 
                        $counter = 0;
                        global $wp_query;
                        $args = array_merge( $wp_query->query_vars, ['posts_per_page' => $posts_per_page ] );
                        query_posts( $args );
                        while ( have_posts() ) : the_post();
                        setup_postdata( $post ); 
                    ?>
                        <?php if ( !is_paged() & $counter == 0 ):?>
                            <?php include get_template_directory() . '/template-parts/'. get_field('template', 'option') . '/inc/posts-lg.php';?>
                        <?php elseif( !is_paged() & $counter == 3) :?>
                            <div class="col-12 col-md-6 col-lg-4 text-center ">
                                <?php
                                    if($newsletter_cta_source == 'custom'){
                                        the_field('custom_html_cta',$blog_ID);
                                    }
                                    else {
                                        
                                        include get_template_directory() . '/template-parts/'. get_field('template', 'option') . '/inc/cta/newsletter.php';
                                    }
                                ?>
                            </div>
                            <?php include get_template_directory() . '/template-parts/'. get_field('template', 'option') . '/inc/posts.php';?>
                        <?php else:?>
                            <?php include get_template_directory() . '/template-parts/'. get_field('template', 'option') . '/inc/posts.php';?>
                        <?php endif;?>
                    <?php 
                        $counter++;
                    endwhile; ?>
                <?php endif;?>
            </div>
            <div class="row d-flex g-4">
                <div class="col-auto mx-auto">
                    <?php bootstrap_pagination();?>
                </div>
            </div>
        </div>
        <div class="container py-5">
            <div class="row justify-content-center">
                <div class="col-12 col-md-10 col-lg-8">
                    <div class="card bg-secondary-light-hover py-0 px-4" style="background-image: url('https://memberclickdev.wpengine.com/wp-content/uploads/2023/08/Vector-4-4.png'); background-position: right bottom; background-repeat: no-repeat">
                        <div class="card-body py-0">
                            <div class="row align-items-center justify-content-center">
                                <div class="col-12 col-lg-5 order-lg-1 text-center">
                                    <img class="img-fluid mx-auto" src="https://memberclickdev.wpengine.com/wp-content/uploads/2023/07/MC-MemRetention-Mockup-1-1.png">
                                </div>
                                <div class="col-12 col-lg-7 order-lg-0 py-3 text-center text-lg-start">
                                    <span class="h4 text-dark fw-bold">Free Member Retention Guide</span>
                                    <p class="text-light">Ready to retain members and keep them coming back forever and ever? This guide will teach you everything you need to know about member retention. We cover all the basics, like the first steps to member retention and how to map out your member journey. From there, we dive a bit deeper into retention tips.</p>
                                    <a class="btn btn-secondary" href="/resources/guides/member-retention-101/">Download</a>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <?php
        // Content CTA
        // first check if there's a Content CTA
        //if ($content_cta_source) { ?>
            <!-- <div class="container">
                <div class="row py-4">
                    <?php
                    //if ($content_cta_source == 'custom') {
                    //    the_field('content_cta_html', $blog_ID);
                    //} else {
                    //    if ($content_cta_source == 'templated') {
                    //         $args = array(
                    //             'cta_prefix' => 'content_cta_fields_',
                    //             'sourceID'   => get_option('page_for_posts')
                    //         );
                    //     } else {
                    //         $args = array(
                    //             'cta_prefix' => $content_cta_source,
                    //             'sourceID'   => 'option'
                    //         );
                    //     }

                    //     get_template_part('/template-parts/' . get_field('template', 'option') . '/inc/cta/global-cta', '', $args);
                    // }
                    ?>
                </div>
            </div> -->
        <?php 
        //    } 
        ?>

        

    </article>

</main>
<?php
get_footer();