<?php
    $title = get_the_title();
    $categories = get_the_terms($post->ID, 'resources');
    $featured_image = get_field('featured_image');
    $featured_image_size = get_the_post_thumbnail_url(get_the_ID(),'card-post');
    $resource_external = get_field('resource_external');
        if($resource_external == 'internal'){
            $h1_source = get_field('h1_source');
            $custom_h1 = get_field('custom_h1');
            $content = get_field('content');
            $permalink = get_permalink();
        } else {
            $external_button = get_field('external_button');
            $permalink = $external_button['url'];
            $button_title = $external_button['title'];
        };
;?>
<div class="col-12 col-md-6 col-lg-4">
	<div class="card card-post h-100 bg-white">
        <div class="card-header bg-transparent border-0 my-2">
            <a href="<?=$permalink;?>">
                <?php if ($featured_image):?>
                <img class="card-img-top rounded" src="<?=$featured_image_size; ?>" alt="<?php
                    $thumbnail_id = get_post_thumbnail_id( $post->ID );
                    $alt = $featured_image['alt'];
                    if($alt){echo $alt;} else{ the_title();} ?>">
                <?php else :?>
                <img class="card-img-top"
                    src="https://via.placeholder.com/426x240/cccccc/424242?text=<?php echo get_bloginfo('name');?>"
                    alt="<?=$title;?>">
                <?php endif; ?>
            </a>
        </div>
		<div class="card-body pt-0">
            <div class="row g-0">
                <div class="col text-start">
                    <span class="text-muted small">
                        <?php 
                        foreach ($categories as $category):?>
                        <?=$category->name;?>
                        <?php endforeach;?>
                    </span>
                </div>
                <div class="col-12">
                    <div class="card-title mb-5">
                        <a href="<?=$permalink; ?>">
                            <span class=" fs-4 text-dark text-start"><strong><?php the_title() ;?></strong></span>
                        </a>
                    </div>
                </div>
            </div>
        </div>
        <div class="card-footer bg-transparent">
            <div class="row align-items-center">
                <div class="col-auto small">
                    <a class="btn btn-outline-primary" href="<?=$permalink;?>"><?=$button_title;?></a>
                </div>
            </div>
		</div>
	</div>
</div>