<?php
    $homepage_id = get_option('page_on_front');
    // Services
    $services_lead = get_field('services_lead', $homepage_id);	
    $services_header = get_field('services_header', $homepage_id);
    $services_content = get_field('services_content', $homepage_id);
    $services_count = get_field('services_count');
    $services = get_field('services', $homepage_id);
    $services_button = get_field('services_button', $homepage_id);
;?>
<style>
    /* Services */
    .carousel-indicators .btn-primary {
        color: var(--gray-color-dark);
        background: transparent;
    }

    .carousel-indicators .btn-primary.active,
    .carousel-indicators .btn-primary:hover {
        color: var(--primary-color-contrast);
        background: var(--primary-color);
    }
</style>
<div id="services" class="py-5 bg-primary-light">
    <div class="container">
        <div class="row">
            <div class="column col-12 text-center">
                <span class="text-uppercase text-muted">
                    <?php echo $services_lead;?>
                </span>
                <h3 class="pb-4">
                    <?php echo $services_header;?>
                </h3>
                <?php if($services_content):?>
                <div class="pb-4">
                    <?php echo $services_content;?>
                </div>
                <?php endif;?>
                <div class="row g-3 justify-content-center">
                    <div id="carouselIndicators" class="carousel slide" data-bs-ride="true">
                        <div class="carousel-indicators" style="position: relative; margin: 0px; display: block;">
                            <?php 
                                    $services_count = 0;
                                    foreach( $services as $post ): 
                                        setup_postdata($post); ?>
                            <button type="button" data-bs-target="#carouselIndicators"
                                data-bs-slide-to="<?= $services_count ;?>"
                                class="btn btn-primary px-2 mx-1 my-1 fw-normal border-0 <?php if($services_count == 0):?>active<?php endif;?>"
                                aria-current="true" aria-label="Slide <?= $services_count ;?>">
                                <?= $post->post_title;?></button>
                            <?php 
                                    $services_count++;
                                    endforeach ;?>
                        </div>
                        <?php wp_reset_postdata(); ?>
                        <div class="carousel-inner">
                            <?php
                                    $services = get_field('services', $homepage_id);
                                    $services_count = 0;
                                    ?>
                            <?php foreach( $services as $post ): 
                                    setup_postdata($post); ?>
                            <div class="carousel-item <?php if($services_count == 0):?>active<?php endif;?>">
                                <?php include get_template_directory() . '/template-parts/'. get_field('template', 'option') . '/inc/services-excerpt.php';?>
                            </div>
                            <?php 
                                    $services_count++;
                                    endforeach; ?>
                            <?php wp_reset_postdata(); ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- Carousel -->
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta2/dist/js/bootstrap.bundle.min.js"
    integrity="sha384-b5kHyXgcpbZJO/tY9Ul7kGkf1S0CWuKcCD38l8YkeH8z8QjE0GmW1gYU5S9FOnJ0" crossorigin="anonymous">
</script>