<?php
/**
 * Template Name: Press
 * The template for displaying the Press
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package amp
 */

get_header();

$search = get_search_query();
?>
<main>
	<div class="container">
		<div class="row">
			<div class="col my-4">
				<?php if(!is_front_page()): ?>
				<?php get_breadcrumb(); ?>
				<?php endif; ?>
			</div>
		</div>
	</div>
	<article id="search">
		<div id="search-results" class="py-5">
			<div class="container">
				<div class="row d-flex g-4">
					<div class="col-12 text-center">
						<h1>Search Results for <span class="text-muted"><?php echo $search ;?></span></h1>
					</div>
					<div id="search-form" class="col-12">
						<div class="card p-3">
							<form role="search" method="get" class="form search-form" action="<?php echo home_url( '/' ); ?>">
								<div class="form-row align-items-center">
									<div class="col">
										<div class="input-group">
											<div class="input-group-prepend">
												<div class="input-group-text bg-white border-0"><span class="icon-search p-1 text-muted"></span></div>
											</div>
											<input name="s" type="text" type="text" class="form-control border-0 " id="search" placeholder="Search Blog...">
											<span class="input-group-btn">
												<button type="submit" value="" name="search" id="search"
												class="btn btn-primary btn" type="button">Search</button>
											</span>
										</div>
									</div>
								</div>
							</form>
						</div>
					</div>
					<div class="col-12">
						<div class="row justify-content-center">
							<div class="col-auto">
								<div class="dropdown">
									<button class="btn  btn-sm dropdown-toggle"
										id="dropdownCategories" aria-expanded="false" data-toggle="dropdown"
										href="#" tabindex="0" type="button">
										Categories
									</button>
									<ul class="dropdown-menu" aria-labelledby="dropdownCategories">
										<?php $category_ids = get_all_category_ids(); ?>
										<?php
										$args = array(
										'orderby' => 'slug',
										'parent' => 0
										);
										$categories = get_categories( $args );
										foreach ( $categories as $category ) {
										echo '<li> <a class="dropdown-item" href="' . get_category_link( $category->term_id ) . '" rel="bookmark">' . $category->name . '</a></li>';
										}
										?>
									</ul>
								</div>
							</div>
						</div>
					</div>
				</div>
				<div class="row d-flex g-4 pt-4">
					<?php if ( have_posts() ) : ?>
					<?php
						/* Start the Loop */
						while ( have_posts() ) : ?>
					<?php the_post();
							if ( is_search() && ( $post->post_type=='post' ) ) : ?>
						<?php include get_template_directory() . '/template-parts/'. get_field('template', 'option') . '/inc/posts.php';?>
					<?php else :?>
						<?php include get_template_directory() . '/template-parts/'. get_field('template', 'option') . '/inc/posts.php';?>
					<?php endif; ?>
					<?php endwhile;?>
					<?php else :
						include get_template_directory() . '/template-parts/'. get_field('template', 'option') . '/content-none.php';
					endif;?>
				</div>
			</div>
		</div>
		</div>
	</article>
</main>
<?php

get_footer();
