<?php
/**
 * Template Name: Single Press
 * The template for displaying the Single Posts.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package amp
 */

get_header();
$privacyPolicy = get_template_page_url('privacy-policy.php');
?>
<style>
	#newsletter-card {
		overflow: hidden;
		position: relative;
	}

	#newsletter-cta {
		height: 500px;
		width: 500px;
		position: absolute;
		left: -300px;
		bottom: -350px;
		border-radius: 100%;
		transform: rotate(180deg);
	}

	#newsletter-privacy-policy,
	#newsletter-card .card-body {
		z-index: 1;
	}

</style>
<main>
	<?php
    while ( have_posts() ) :
        the_post();

        include get_template_directory() . '/template-parts/'. get_field('template', 'option') . '/content.php';

    endwhile; // End of the loop.
    ?>
	<div id="subscribe" class="">
		<div class="container">
			<div class="columns">
				<div class="col-12 col-md-10 col-lg-7 mx-auto">
					<div id="newsletter-card" class="card border-0 shadow my-5 over">
						<div id="newsletter-cta" class="bg-primary"></div>
						<div class="card-body text-center">
							<span class="display-6"><span
									class="icon-envelope-o text-primary"></span><br>Subscribe</span>
							<p class="text-muted">Subscribe to receive our newsletter.</p>
						</div>
						<div id="newsletter-privacy-policy" class="card-body text-end">
							<?php echo do_shortcode('[newsletter_form form="1"]');?>
							<small class="text-muted">
                                By subscribing you agree to the <a href="<?php echo $privacyPolicy;?>" target="_blank">Privacy Policy</a>
                            </small>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
	<div id="more-posts" class="bg-light">
		<div class="container grid-xl py-5">
			<div class="row g-4">
				<div class="col-12">
					<?php 
                        $categories = get_the_category();
                        $category_id = $categories[0]->cat_ID;
                        $category_name = get_cat_name($category_id);
                        $category_link = get_category_link($category_id);
                        $posts = get_posts(array(
                            'posts_per_page'	=> 3,
                            'post_type'			=> 'post',
                            'category'          => $category_id,
                            'exclude'           => get_the_ID(),

                        ));
                        if( $posts ): 
                    ?>
					<h2>Related <?php 
                        $categories = get_the_category();
                        if ( ! empty( $categories ) ) {
                            echo esc_html( $categories[0]->name );
                        }
                    ;?> Articles</h2>
				</div>
				<?php foreach( $posts as $post ): 
                setup_postdata( $post ); ?>
				<?php include get_template_directory() . '/template-parts/'. get_field('template', 'option') . '/inc/posts.php';?>
				<?php endforeach; ?>
				<?php wp_reset_postdata(); ?>
				<?php endif; ?>
			</div>
		</div><!-- #primary -->
	</div>
</main>
<?php

get_footer();
