<?php

/**
 * Template Name: Single
 * The template for displaying the Single Posts.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package amp
 */

get_header();
$builder = get_field('builder');

if($builder == 'template' or !$builder):?>

<style>
    /* IMG */
    .type-post #content img {
        width: 110%;
        height: auto;
        margin-left: -5%;
    }
</style>

<main>
    <?php
    while (have_posts()) :
        the_post();

        include get_template_directory() . '/template-parts/' . get_field('template', 'option') . '/content.php';

    endwhile; // End of the loop.
    ?>
    <div id="more-posts">
        <div class="container">

            <div class="row">
                <div class="col-12">
                    <?php
                    $categories = get_the_category();
                    $category_id = $categories[0]->cat_ID;
                    $category_name = get_cat_name($category_id);
                    $category_link = get_category_link($category_id);
                    $posts = get_posts(array(
                        'posts_per_page'    => 3,
                        'post_type'            => 'post',
                        'category'          => $category_id,
                        'exclude'           => get_the_ID(),

                    ));
                    if ($posts) :
                    ?>
                        <h4 class="text-secondary mb-4" data-toc-skip>Related <?php
                            $categories = get_the_category();
                            if (!empty($categories)) {
                                echo esc_html($categories[0]->name);
                            }; ?> Articles</h4>
                </div>
            </div>
            <div class="row">
                <?php foreach ($posts as $post) :
                            setup_postdata($post); ?>
                    <?php include get_template_directory() . '/template-parts/' . get_field('template', 'option') . '/inc/posts.php'; ?>
                <?php endforeach; ?>
                <?php wp_reset_postdata(); ?>
            <?php endif; ?>
            </div>
        </div>
    </div><!-- #primary -->
    </div>

</main>
<?php elseif($builder == 'wordpress'):?>
    <?php the_content();?>
<?php endif;?>

<?php
get_footer();
