<?php
include get_template_directory() . '/global-data-points.php';
$wpform = get_field('wp_forms_shortcode');
$colorPrimary = get_field('colorPrimary', 'option');
$colorPrimaryHover = get_field('colorPrimaryHover', 'option');
$clientName = get_field('client_name', 'option');
$addressStreet = get_field('street','option');
$addressStreet2 = get_field('street_2','option');
$addressCity = get_field('city','option');
$addressState = get_field('state','option');
$addressZip = get_field('zip_code','option');

;?>

<style>
	#page {
		background-image: linear-gradient(rgba(0, 0, 0, 0.9), rgba(0, 0, 0, 0.75)), url("<?php the_post_thumbnail_url('large');?>");
		background-position: left center;
		background-repeat: no-repeat;
		background-size: cover;
	}

	#main {
		display: flex;
	}

	#main,
	#form {
		padding: 2rem 7.5vw !important;
		flex-direction: column !important;
	}

	@media only screen and (max-width: <?php echo $responsiveMD; ?>px) {
		#main {
			order: 2;
		}
	}

	#main .p-relative {
		height: 100%;
	}

	#form {
		background: white;
		min-height: 100vh;
	}

	#main #bottom {
		width: 100%;
		margin-top: auto;
	}

	#contactDetails a {
		color: #bbbbbb
	}

	#contactDetails a:hover {
		color: #ffffff
	}

	/* WPForm */
	.wpforms-field-radio,
	.wpforms-field-date-time,
	.wpforms-field-checkbox,
	.wpforms-field-textarea,
	.wpforms-field-name,
	.wpforms-field-email,
	.wpforms-field-phone,
	.wpforms-field-select {
		margin-top: .6rem !important;
		margin-bottom: .6rem !important;
	}

	label.wpforms-field-label {
		font-size: 1rem !important;
		margin-bottom: 1rem !important;
	}

	.wpforms-field-radio li {
		padding: 15px !important;
		border: 1px solid #cccccc !important;
	}

	button.wpforms-submit {
		width: 100% !important;
		background: <?php echo $colorPrimary;
		?> !important;
		border: 0px !important;
		color: #fff !important;
	}

	button.wpforms-page-button.wpforms-page-next {
		float: right !important;
		background: <?php echo $colorPrimary;
		?> !important;
		border: 0px !important;
		color: #fff !important;
	}

</style>

<?php get_header();?>
<div id="primary" class="content-area">
	<div class="columns">
		<div id="main" class="column col-6 col-md-12 text-light">
			<?php the_content();?>
			<div id="bottom" class="text-center">
				<div id="contactDetails" class="small">
					<div id="logo" class="d-block">
						<a href="<?php echo esc_url( home_url( '/' ) ); ?>">
							<?php 
							$logo = get_field('logo', 'option');
							if( !empty( $logo ) ): ?>
							<img alt="<?php bloginfo('name'); ?>" src="<?php echo esc_url($logo['url']); ?>">
							<?php else: ?>
							<a class="site-title navbar-item large" href="/" rel="home"><?php bloginfo('name'); ?></a>
							<?php endif ; ?>
						</a>
					</div>
					<div id="address" class="d-block">
						<a href="<?php the_field('directions_url','option'); ?>" target="_blank">
							<?php 
							if($clientName){
								echo $clientName . "<br>"
							;}
							if($addressStreet){
								echo $addressStreet . "<br>"
							;}
							if($addressStreet2){
								echo $addressStreet2 . "<br>"
							;}
							if($addressCity){
								echo $addressCity . ", "
							;}
							if($addressState){
								echo $addressState . " "
							;}
							if($addressZip){
								echo $addressZip
							;}
							?>
						</a>
					</div>
					<div class="my-layout">
						<?php echo do_shortcode('[phone]') ;?>
					</div>
					<div id="socialMedia">
						<?php  
									if ( have_rows('social_media', 'option')):?>
						<?php while(have_rows('social_media', 'option')) : the_row();
										$field = get_sub_field('account');
										?>
						<div class="m-layout d-inline large">
							<a class="large" href="<?php the_sub_field('social_media')?>" target="_blank">
								<i class="<?php echo $field['value'];?> pr-2"></i>
							</a>		
						</div>
						<?php endwhile;?>
						<?php endif; ?>
					</div>
				</div>
			</div>
		</div>
		<div id="form" class="column col-6 col-md-12 cta">
			<?php echo do_shortcode($wpform);?>
		</div>
	</div>
</div>

<?php get_footer();
