<div class="card card-post bg-white">
	<a href="<?php the_permalink(); ?>">
		<div class="card-image">
			<?php if ( has_post_thumbnail() ):?>
				<amp-img 
				src="<?php the_post_thumbnail_url('card-post'); ?>"
				alt="<?php
					$thumbnail_id = get_post_thumbnail_id( $post->ID );
					$alt = get_post_meta($thumbnail_id, '_wp_attachment_image_alt', true);
					if($alt){echo $alt;} else{ the_title();} ?>" 
				width="16"
				height="9" layout="responsive">
				</amp-img>
			<?php else :?>
				<amp-img 
				src="https://via.placeholder.com/426x240/cccccc/424242?text=<?php echo get_bloginfo('name');?>"
				alt="<?php the_title(); ?>" 
				width="16"
				height="9" 
				layout="responsive">
				</amp-img>
			<?php endif; ?>
		</div>
	</a>
	<div class="card-header">
		<div class="card-title ab-cat">
			<a class="chip my-1 text-uppercase small text-center" href="<?php 
					$category = get_the_category();
					if ( ! empty( $category ) ) {
						echo esc_html( get_category_link($category[0]));
					}
				;?>">
				<?php 
					if ( ! empty( $category ) ) {
						echo esc_html( $category[0]->name );
					}
				;?>
			</a>
			<a href="<?php the_permalink(); ?>">
				<span class="h4 d-block"><?php the_title() ;?></span>
			</a>
		</div>
	</div>

	<div class="card-footer">
		<div class="columns col-gapless flex-centered">
			<div class="column col-auto mr-1">
				<?php
				$authorID = get_the_author_meta('ID');
				$avatar = get_field('avatar', 'user_' . $authorID);
				$size = "thumbnail";
				$image = wp_get_attachment_image_src( $avatar, $size );
				$pageLink = get_field('pageLinkTeam', 'user_' . $authorID);
				?>
				<?php if($pageLink):?>
					<a href="<?php echo $pageLink ;?>">
				<?php endif;?>
				<figure class="avatar avatar-lg">
					<img 
					alt="<?php the_author();?> Avatar"
					class="img-responsive"
					src="<?php echo $image[0]; ?>">
				</figure>
				<?php if($pageLink):?>
					</a>
				<?php endif;?>
			</div>
			<div class="column col details ab-meta">
				<div class="details">
					<?php if($pageLink):?>
						<a class="text-dark" href="<?php echo $pageLink ;?>">
					<?php endif;?>
					<?php the_author();?>
					<?php if($pageLink):?>
						</a>
					<?php endif;?>
					<br>
					<small>
						<i class="fas fa-calendar-alt mr-1"></i>
						<?php if(the_date('M j')) {
							the_date();
						} else {
							echo '&nbsp;';
						};?>

					</small>
				</div>
			</div>
		</div>
	</div>
</div>