<?php
/**
 * Template Name: Privacy Policy
 * The template for displaying the privacy policy
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package amp
 */

get_header();

$privacyPolicy = get_template_page_url('privacy-policy.php');
$terms = get_template_page_url('terms.php');
$cookie = get_template_page_url('cookie.php');
$sitemap = get_template_page_url('sitemap.php');
$clientName = get_field('client_name', 'option');
$siteURL = get_site_url();
?>
<style>
#resourcesMenu {
	border-right: 1px solid #e5e5e5; 
}
#resourcesMenu a {
	color: #999999;
}
#resourcesMenu a:hover {
	color: #000000;
}
#resourcesMenu .privacy {
	color: #000;
}
</style>
<div id="main-container" class="content-area">
	<section>
		<div class="container grid-xl">
			<div class="columns">
				<div class="column col-12">
					<?php if(!is_front_page()): ?>
						<?php get_breadcrumb(); ?>
					<?php endif; ?>
				</div>
			</div>
		</div>
	</section>
	<section>
		<div class="container grid-xl p-relative">
			<div class="columns">
				<div class="column col-12">
					<div class="divider m-0"></div>
				</div>
				<div id="resourcesMenu" class="column col-3 hide-md">
					<div class="p-sticky py-layout">
						<div class="text-bold">Resources</div>
						<div class="small mb-layout">
							<?php if($privacyPolicy){
								echo '<a class="d-block privacy" href="' . $privacyPolicy . '">Privacy Policy</a>';
							};?>
							<?php if($terms){
								echo '<a class="d-block terms" href="' . $terms . '">Terms and Conditions</a>';
							};?>
							<?php if($cookie){
								echo '<a class="d-block cookie" href="' . $cookie . '">Cookie Policy</a>';
							};?>
						</div>
						<div class="small">
							<?php if($sitemap){
								echo '<a class="d-block sitemap" href="' . $sitemap . '">Sitemap</a>';
							};?>
						</div>
					</div>
				</div>
				<div class="column col-9 col-md-12 pt-layout">
					<article id="privacy">
						<main id="main" class="site-main">
							<h1>Privacy Policy</h1>
							<p>Last updated <?php echo the_modified_date();?></p>
							<p>This page explains the privacy practices for the attorney advertising website for <?php echo $clientName;?>. We always work diligently to prevent the unauthorized sale or use of your personal information, and work to prevent the accidental loss of such information as well. For this reason, our attorneys do not share, distribute or sell any personally identifiable information with third parties, unless the law requires us to do so.</p>
							<h3>Personal Information Collection</h3>
							<p>We may record your location, IP address, the URLs of the website that directed you to our site, the URLs of the pages you visit on our website, the dates and times of each visit, and/or information about the computer hardware and software you use, as well as other information that may be available. <?php echo $clientName;?> uses this information only for the operation and maintenance of our website and also to provide general statistics regarding the use of our services. We may also use this website to collect certain personally identifiable information. This may sometimes include your name, contact information and/or other data. We may also collect additional personal or non-personal information about you in the future or collect certain information about other visitors.</p>
							<h3>Details About the Use of Collected Information</h3>
							<p><?php echo $clientName;?> may collect and use your personal information as part of the operation of our website. We also use this information to deliver the information or service you request, and also to improve your browsing experience and the experience of other visitors by personalizing the site. We may use information about the content you visit and services you use alone or in conjunction with information collected from other users. This helps us tailor our services to better suit the needs and interests of our users.</p>
							<p>At MediaSmack, we do not sell, rent or lease any of our customer lists or information to third parties. Therefore, we reserve the right to disclose any information that we obtain through our website to appropriate authorities, without notice, if required by law or any governmental agency.</p>
							<h3>Security Disclaimer for Our Website</h3>
							<p>Information sent through contact forms and emails to <?php echo $clientName;?> may not be secure. Since this is the case, you choose to share this information at your own risk.</p>
						</main>
					</article>
				</div>
			</div>
	</section>
</div>
<?php

get_footer();
