<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package amp
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<div class="entry-header">
		<h1 class="entry-title"><?php the_title(); ?></h1>
		<?php
		if ( 'post' === get_post_type() ) :
			?>
			<div class="entry-meta">
				<?php	
				amp_posted_on();
				amp_posted_by();
				?>
			</div><!-- .entry-meta -->
		<?php endif; ?>
	</div><!-- .entry-header -->
	<div class="entry-content">
		<?php if (has_post_thumbnail( $post->ID ) ): ?>
		<?php 
		$image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'header-banner' );
		$thumbnail_id = get_post_thumbnail_id( $post->ID );
		$alt = get_post_meta($thumbnail_id, '_wp_attachment_image_alt', true); 
		?>
		<amp-img
				 alt="<?php echo $alt; ?>"
				 class="heading"
				 height="484"
				 layout="responsive"
				 src="<?php echo $image[0]; ?>"
				 width="860"
				 >
		</amp-img>
		<?php endif; ?>
		<?php
		the_content( sprintf(
			wp_kses(
				/* translators: %s: Name of current post. Only visible to screen readers */
				__( 'Continue reading<span class="screen-reader-text"> "%s"</span>', 'amp' ),
				array(
					'span' => array(
						'class' => array(),
					),
				)
			),
			get_the_title()
		) );

	//	wp_link_pages( array(
	//		'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'amp' ),
	//		'after'  => '</div>',
	//	) );
		?>
	</div><!-- .entry-content -->

	<div class="entry-footer">
		<?php amp_entry_footer(); ?>
	</div><!-- .entry-footer -->
</article><!-- #post-<?php the_ID(); ?> -->
