<?php
/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package amp
 */

?>
<style>
div#footer-bottom-right a {
  display: inline-flex;
  align-items: center;
}
#footer .fixed-container {
    height: <?php echo the_field('logoHeight', 'option');?>px;
	position: relative;
    width: <?php echo the_field('logoWidth', 'option');?>px;
}
@media only screen and (max-width: <?php the_field('responsiveMD', 'option');?>px ) {
	#footer .fixed-container {
		margin: auto;
	}
	#footer {
    	text-align:center;
	}
}
amp-img.contain img {
    object-fit: contain;
}
@media only screen and (max-width: <?php echo $responsiveMD;?>px ) {
	#footer {
    	text-align:center;
  	}
	  #footer .fixed-container
}
</style>
			</div><!-- #content -->
			<footer class="site-footer">
				<div id="footer" class="py-1 small">
					<div class="container grid-xl">
						<div class="columns">
							<div id="contactDetails" class="column col-xs-12 col-sm-12 col-md-12 col-4 mb-1">
								<a href="<?php echo esc_url( home_url( '/' ) ); ?>">
									<?php 
									$logoAlt = get_field('logoAlt', 'option');
									if( !empty( $logoAlt ) ): ?>
									<div class="fixed-container">
										<amp-img
										alt="<?php bloginfo('name'); ?>"
										class="contain"
										layout="fill"
										src="<?php echo esc_url($logoAlt['url']); ?>">
									</div>
									<?php else: ?>
									<a class="site-title navbar-item large" href="/" rel="home"><?php bloginfo('name'); ?></a>
									<?php endif ; ?>
								</a>
								<a class="d-block" href="<?php the_field('googleMapURL','option'); ?>" target="_blank">
									<?php the_field('name','option');
									echo"<br>";
									the_field('address1','option');
									echo"<br>";
									the_field('address2','option');
									echo"<br>";
									the_field('city','option');
									echo", ";
									the_field('state','option');
									echo" ";
									the_field('zip','option');
									echo" ";
	// Already Setup				the_field('country','option');
									?>
								</a>
								<div class="d-block my-layout">
									<?php echo do_shortcode('[phone]') ;?>
								</div>
								<div id="socialMedia">
									<?php  
									if ( have_rows('socialMedia', 'option')):?>
										<?php while(have_rows('socialMedia', 'option')) : the_row();
										$field = get_sub_field('socialMediaPlatform');
										?>
											<div class="m-layout d-inline large">
												<a class="large" href="<?php the_sub_field('SocialMediaURL')?>" target="_blank">
													<i class="<?php echo $field['value'];?> pr-2"></i>
												</a>
											</div>
										<?php endwhile;?>
									<?php endif; ?>
								</div>
							</div>
							<div class="column col-xs-12 col-sm-12 col-md-12 col-4 my-1">
								<div class="video-responsive">
									<iframe src="<?php the_field('googleMapEmbed', 'option');?>" width="800" height="600" frameborder="0" style="border:0;" allowfullscreen="" aria-hidden="false" tabindex="0"></iframe>
								</div>
							</div>
							<div class="column col-xs-12 col-sm-12 col-md-12 col-4">
								<div id="search-form" class="mt-layout">
									<form role="search" method="get" class="search-form" action="<?php echo home_url( '/' ); ?>">
										<div class="input-group">
											<input class="search-field form-input" value="" name="s" id="s" placeholder="Search" type="text">
											<button class="btn btn-search input-group-btn"><i class="fas fa-search" aria-hidden="true"></i></button>
										</div>
									</form>
								</div>
								<?php
		                          	wp_nav_menu( array(
		                            	'theme_location'    => 'primary',
		                            	'container'         => '',
		                            	'menu_class'        => 'footerMenu',
		                            	'depth'				=> 1,
		                          	) );
		                        ?>
							</div>
						</div>
					</div>
				</div>
				<div id="footer-bottom">
					<div class="container grid-xl ">
						<div class="columns text-light flex-centered">
							<div id="footer-bottom-left" class="column col-xs-12 col-sm-12 col-auto text-left small">
								© <?php echo date("Y"); ?> <?php the_field('name','option'); ?> All Right Reserved.
							</div>
							<div id="footer-bottom-right" class="column col-xs-12 col-sm-12 col-auto col-ml-auto text-right small">
								<a href="<?php echo site_url(); ?>/sitemap" target="_blank">Sitemap</a> | <a href="<?php echo site_url(); ?>/privacy-policy/" target="_blank">Privacy Policy</a> | 
								<a href="https://www.mediasmack.com/" target="_blank">
									<?php echo the_field('mediasmack','option');?>&nbsp;
									<amp-img 
										src="<?php echo site_url(); ?>/wp-content/themes/AMP/inc/img/media-smack.png" 
										alt="Image of MediaSmack Logo"
										layout="fixed"
										width="100px"
										height="40px">
									</amp-img>
								</a>
							</div>
						</div>
					</div>
				</div>
			</footer><!-- #colophon --
		</div><!-- #page -->
	</body>
</html>
