<div id="main-container" class="content-area">
    <section>
        <div class="container grid-xl">
            <div class="columns">
                <div class="column col-12">
                    <?php if(!is_front_page()): ?>
                        <?php get_breadcrumb(); ?>
                    <?php endif; ?>
                </div>
            </div>
        </div>
    </section>
    <div class="container grid-xl p-relative">
        <div class="columns">
            <div id="sidebar" class="column col-3 col-xs-12 col-lg-12">
                <?php
                $page_id = get_queried_object_id();
                
                // Get Top Parent Page ID
                if ($post->post_parent)	{
                    $ancestors=get_post_ancestors($post->ID, 'page');
                    $root=count($ancestors)-1;
                    $parent = $ancestors[$root];
                } else {
                    $parent = $post->ID;
                }
                $args = array(
                    'post_type'      => 'page',
                    'posts_per_page' => -1,
                    'post_parent'    => $parent,
                    'order'          => 'ASC',
                    'orderby'        => 'menu_order'
                );


                $parent = new WP_Query( $args );

                if ( $parent->have_posts() ) : ?>
                    <div id="sidebarMenu" class="sidebar">

                        <div class="card">
                            <?php 
                            $parents = get_post_ancestors( $post->ID );?>
                            <a href="<?php the_permalink(end($parents));?>">
                                <div class="card-header text-center text-bold">
                                    <div class="card-title">
                                        <?php
                                        echo apply_filters( "the_title", get_the_title( end ( $parents ) ) );?>	
                                    </div>
                                </div>
                            </a>
                            <div class="divider m-0"></div>
                            <div class="card-body">
                                <?php while ( $parent->have_posts() ) : $parent->the_post(); ?>
                                <div class="accordion small">
                                    <input id= "accordion-<?php the_ID(); ?>" type="checkbox" name="accordion-checkbox" hidden=""
                                    <?php if($page_id == get_the_ID() or get_the_ID() == $ancestors[0]) :?>checked="checked"<?php endif ;?>>
                                    <label class="accordion-header c-hand <?php if($page_id == get_the_ID()) :?>active<?php endif ;?>" for="accordion-<?php the_ID(); ?>"><a href="<?php the_permalink(); ?>"><?php the_title();
                                    ?></a><?php if(has_children()):?><div class="icon"><i class="fas fa-caret-down"></i></div><?php endif ;?></label>
                                    <?php
                                        $children = get_pages( array( 'child_of' => $post->ID,
                                        'parent' => $post->ID,) );
                                        if( $children) :?>
                                        <div class="accordion-body">
                                            <ul class="menu menu-nav">
                                                <?php
                                                foreach ( $children as $post_object ) {
                                                setup_postdata( $GLOBALS['post'] =& $post_object );
                                                ?>
                                                <li class="menu-item <?php if($page_id == get_the_ID()) :?>active<?php endif ;?>">
                                                    <a href="<?php the_permalink();?>">
                                                        <?php the_title();?>
                                                    </a>
                                                </li>
                                                <?php
                                                }

                                                wp_reset_postdata(); // like wp_reset_query() but for $post

                                                ?>
                                            </ul>
                                        </div>
                                        <?php endif ;?>
                                    </div>
                                <?php endwhile; ?>
                            </div>
                        </div>
                    </div>
                <?php endif; wp_reset_postdata(); ?>
                <?php dynamic_sidebar( 'sidebar' ); ?>
                <?php get_sidebar( 'default' ); ?>
            </div>
            <div class="column col-9 col-lg-12 pb-1">
                <article>
                    <div class="columns">
                        <div id="featuredImage" class="column col-12 ">
                            <?php if (has_post_thumbnail( $post->ID ) ): ?>
                                <?php 
                                $image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'header-banner' );
                                $thumbnail_id = get_post_thumbnail_id( $post->ID );
                                $alt = get_post_meta($thumbnail_id, '_wp_attachment_image_alt', true); 
                                ?>
                                <div class="fixed-container">
                                    <amp-img 
                                        alt="<?php echo $alt; ?>"
                                        class="contain"
                                        layout="fill"
                                        src="<?php echo $image[0]; ?>"></amp-img>
                                </div>
                            <?php endif; ?>
                        </div>
                        <div class="column col-12 col-xl-12 mt-layout">
                            <main id="main" class="site-main">
                                <?php
                                while ( have_posts() ) :
                                    the_post();

                                    get_template_part( 'template-parts/content', 'page' );

                                    // If comments are open or we have at least one comment, load up the comment template.
                                    if ( comments_open() || get_comments_number() ) :
                                        comments_template();
                                    endif;

                                endwhile; // End of the loop.
                                ?>
                            </main><!-- #main -->
                        </div>
                    </div>
                </article>
            </div>
        </div><!-- #primary -->
    </div>
</div>