<div id="main-container" class="content-area">
	<section>
		<div class="container grid-xl">
			<div class="columns">
				<div class="column col-12">
					<?php if(!is_front_page()): ?>
						<?php get_breadcrumb(); ?>
					<?php endif; ?>
				</div>
			</div>
		</div>
	</section>
	<?php if (has_post_thumbnail( $post->ID ) ): ?>
		<div id="featuredImage">
			<?php 
			$image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'header-banner' );
			$thumbnail_id = get_post_thumbnail_id( $post->ID );
			$alt = get_post_meta($thumbnail_id, '_wp_attachment_image_alt', true); 
			?>
			<div class="fixed-container">
				<amp-img 
					alt="<?php echo $alt; ?>"
					class="contain"
					layout="fill"
					src="<?php echo $image[0]; ?>"></amp-img>
			</div>
		</div>
	<?php endif; ?>
	<div class="container grid-xl mt-layout">
		<div class="columns">
			<article class="column col-12 col-mx-auto">
				<div class="columns">
					<div class="column col-8 col-md-12">
						<main id="main" class="site-main">
							<?php
							while ( have_posts() ) :
								the_post();

								get_template_part( 'template-parts/content', 'page' );

								// If comments are open or we have at least one comment, load up the comment template.
								if ( comments_open() || get_comments_number() ) :
									comments_template();
								endif;

							endwhile; // End of the loop.
							?>
						</main><!-- #main -->
					</div>
					<div id="articleSidebar" class="sidebar column col-4 col-md-12">
						<?php get_sidebar( 'default' ); ?>
					</div>
				</div>
			</div>
		</div><!-- #primary -->
	</div>
	<?php
	global $post;
	$faqs = get_posts( array(
		'category__in' => wp_get_post_categories($post->ID),
		'numberposts'		=> -1,
		'post_type'			=> 'faqs',
		'order'				=> 'DESC',
	) );

	if ( $faqs );?>
	<section id="faqs" class="bg-gray-light">
		<div class="container grid-xl">
			<div class="columns">
				<div class="column col-8 col-md-12 my-layout col-mx-auto">
					<h2>Frequently Asked Questions</h2>
					<?php echo $category;?>
				</div>
				<div class="column col-8 col-md-12 my-layout col-mx-auto">
					<div class="columns">
							<?php
							foreach ( $faqs as $post ) : 
								setup_postdata( $post );?>
								<div class="column col-12">
									<?php include get_template_directory() . '/template-parts/'. get_field('template', 'option') . '/faq-small.php';?>
								</div>
							<?php endforeach;
							wp_reset_postdata();?>
					</div>
				</div>
			</div>
		</div>
	</section>
</div>