<style>
    .card.testimonial-big {
        border: 1px solid #e1e8ed;
        border-radius: 5px;
        overflow: hidden;
        }
    .card.testimonial-big .card-header {
        display: flex;
    }
    .card.testimonial-big .card-image {
        margin-right: 9px;
    }
    .card.testimonial-big .card-body {
        padding-left: 16px;
        padding-right: 16px;
        padding-top: 16px;
        padding-bottom: 16px;
    }
    .card.testimonial-big .name {
        font-weight: bold;
    }
    .card.testimonial-big .card-image img, .card.testimonial-big .card-image amp-img {
        border-radius: 100%;
        height: 36px;
        object-fit: cover;
        width: 36px;
    }
    .card.testimonial-big .transcript p:first-of-type {
        margin-top: 0px;
    }
    .card.testimonial-big .card-footer {
        border-top: 1px solid #e1e8ed;
        padding: 15px;
    }
    .card.testimonial-big .card-footer i {
        font-size: 75%;
    }
</style>
	<section>
		<div class="container grid-xl">
			<div class="columns">
				<div class="column col-12">
					<?php if(!is_front_page()): ?>
						<?php get_breadcrumb(); ?>
					<?php endif; ?>
				</div>
			</div>
		</div>
	</section>
	<section>
		<div class="container grid-xl p-relative">
			<div class="columns">
				<div class="column col-12 pb-layout">
					<div id="sidebarPage" class="sidebar">
						<a href="<?php echo get_template_page_url('testimonials.php');?>">
							<div class="btn btn-primary">
								<i class="fas fa-arrow-left pl-2 mr-2"></i>
									All Testimonials
							</div>
						</a>
					</div>
				</div>
				<div class="column col-9 col-md-12 pb-layout col-mx-auto">
					<article>
						<div class="columns">
							<div class="column col-12 col-xl-12 ">
								<main id="main" class="site-main">
									<div class="testimonial-big card bg-white">
										<div class="card-header">
											<div class="cite">
												<div class="name large">
													<?php the_field('fullName');?>
												</div>
												<?php if(get_field('affiliation')): ?>
													<div class="company">
														<a href="<?php the_field('affiliationWebsite');?>" target="_blank"><?php the_field('affiliation');?></a>
													</div>
												<?php endif ;?>
											</div>
											<div class="location">
												<?php 
												$location = get_field('location');
												if( !empty( $location ) ): ?>
													<i class="<?php the_field('location');?>"></i>
												<?php endif; ?>
											</div>
										</div>
										<?php if(get_field('videoID')):?>
											<div class="card-image">
												<div class="video-responsive">
												<iframe src="https://www.youtube.com/embed/<?php the_field('videoID'); ?>?rel=0" width="auto" height="auto" frameborder="0" allowfullscreen></iframe>
												</div>
											</div>
										<?php endif;?>
										<?php 
										if( '' !== get_post()->post_content ):?>
											<div class="card-body large">
											<?php the_content();?>
											</div>
										<?php endif;?>
									</div>
								</main><!-- #main -->
							</div>
						</div>
					</article>
				</div>
			</div>
		</div>
	</section>
	<section class="bg-gray-light py-layout">
		<div class="container grid-xl">
			<div class="column col-12">
				<div class="column col-12 my-2 text-center">
					<h2>More Testimonials</h2>
				</div>
				<div class="columns flex-centered">
					<?php
					global $post;
					$testimonails = get_posts( array(
						'numberposts'		=> 2,
						'post_type'			=> 'testimonials',
						'order'				=> 'DESC'
					) );
				
					if ( $testimonails ) {
						foreach ( $testimonails as $post ) : 
							setup_postdata( $post ); ?>
							<div class="column col-6">
								<?php include get_template_directory().'/template-parts/' . get_field('template', 'option') . '/testimonial.php' ;?>
							</div>
						<?php endforeach;
						wp_reset_postdata();
					} else {
						get_template_part( 'template-parts/content', 'none' );
					}; ?>
				</div>
			</div>
		</div>
	<section>