<style>
    .card.testimonial {
        border: 1px solid #e1e8ed;
        border-radius: 5px;
		overflow: hidden;
		margin-bottom: <?php echo the_field('layoutSpacing','option') . 'rem';?>;
		margin-top: <?php echo the_field('layoutSpacing','option') . 'rem';?>;
        }
    .card.testimonial .card-header {
        display: flex;
    }
    .card.testimonial .cite {
        margin-left: 9px;
    }
    .card.testimonial .card-body {
        padding-left: 15px;
        padding-right: 15px;
        padding-top: 15px;
        padding-bottom: 15px;
    }
    .card.testimonial .name {
        font-weight: bold;
    }
    .card.testimonial .card-image img, .card.testimonial .card-image amp-img {
        border-radius: 100%;
        height: 36px;
        object-fit: cover;
        width: 36px;
    }
    .testimonial.card .transcript p:first-of-type {
        margin-top: 0px;
    }
    .card.testimonial .card-footer i {
        font-size: 75%;
    }
</style>
	<div id="main-container" class="content-area">
		<section>
			<div class="container grid-xl">
				<div class="columns">
					<div class="column col-12">
						<?php if(!is_front_page()): ?>
							<?php get_breadcrumb(); ?>
						<?php endif; ?>
					</div>
				</div>
			</div>
		</section>
		<section>
		<?php if (has_post_thumbnail( $post->ID ) ): ?>
			<div id="featuredImage" class="column col-12 ">
				<?php 
				$image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'header-banner' );
				$thumbnail_id = get_post_thumbnail_id( $post->ID );
				$alt = get_post_meta($thumbnail_id, '_wp_attachment_image_alt', true); 
				?>
				<div class="fixed-container">
					<amp-img 
						alt="<?php echo $alt; ?>"
						class="contain"
						layout="fill"
						src="<?php echo $image[0]; ?>"></amp-img>
				</div>
			</div>
		<?php endif; ?>
		<div class="container grid-xl p-relative">
			<div class="columns">
				<div class="column col-12 my-layout">
					<article>
						<div class="columns">
							<div class="column col-12 col-xl-12 ">
								<main id="main" class="site-main">
									<div class="columns">
										<div class="column col-6 col-md-12 col-mx-auto large">
											<?php the_content();?>
										</div>
									</div>
								</main><!-- #main -->
							</div>
						</div>
					</article>
				</div>
			</div><!-- #primary -->
		</div>
		<section class="bg-gray-light py-layout">
			<div class="container grid-xl p-relative">
				<div class="columns">
					<div class="columns flex-centered">
						<?php
						global $post;
						$testimonails = get_posts( array(
							'numberposts'		=> -1,
							'post_type'			=> 'testimonials',
							'order'				=> 'DESC'
						) );
					
						if ( $testimonails ) {
							foreach ( $testimonails as $post ) : 
								setup_postdata( $post ); ?>
								<div class="column col-4 col-md-6">
									<?php include get_template_directory().'/template-parts/' . get_field('template', 'option') . '/testimonial.php' ;?>
								</div>
							<?php endforeach;
							wp_reset_postdata();
						} else {
							get_template_part( 'template-parts/content', 'none' );
						}; ?>
					</div>
				</div>
			</div>
		</section>