<?php
/**
 * Template part for displaying Awards
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package amp
 */

?>
<?php edit_post_link(__('Edit')); ?>
<?php 
    $image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'medium' );
    $thumbnail_id = get_post_thumbnail_id( $post->ID );
    $alt = get_post_meta($thumbnail_id, '_wp_attachment_image_alt', true);?>
<div class="award card text-center bg-white">
	<div class="card-image">
		<img src="<?php echo $image[0]; ?>" alt="<?php echo $alt; ?>">
	</div>
	<div class="card-body">
		<strong class="large"><?php echo the_title();?></strong>
		<div class="details text-italic">
			<?php the_field('year');?> - <?php if(get_field('url')):?>
			<a href="<?php the_field('url');?>" target="_blank"><?php the_field('presenter');?></a>
			<?php else:?>
			<?php the_field('presenter');?>
			<?php endif;?>
		</div>
		<div class="card-footer">
			<a class="btn btn-primary layout" href="#<?php the_ID();?>">Read More</a>
		</div>
		<div class="modal" id="<?php the_ID();?>">
			<a href="#close" class="modal-overlay" aria-label="Close"></a>
			<div class="columns flex-centered">
				<div class="column col-4 col-md-6 col-sm-12 hide-sm">
					<div class="modal-image">
						<img src="<?php echo $image[0]; ?>" alt="<?php echo $alt; ?>">
					</div>
				</div>
				<div class="column col-8 col-md-6 col-sm-12">
					<div class="modal-container">
						<div class="modal-header">
							<a href="#close" class="btn btn-clear float-right" aria-label="Close"></a>
							<div class="modal-title">
								<h3><?php echo the_title();?></h3>
								<div class="details">
									<?php the_field('year');?> - <?php if(get_field('url')):?>
									<a href="<?php the_field('url');?>" target="_blank"><?php the_field('presenter');?></a>
									<?php else:?>
									<?php the_field('presenter');?>
									<?php endif;?>
								</div>
							</div>
						</div>
						<div class="modal-body">
							<div class="content">
								<?php echo the_content();?>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
