<style>
#results {
	border-bottom: 1px solid <?php the_field('colorBorder','option');?>;
}
#resultSlide1 {
	margin-right:<?php the_field('layoutSpacing','option');?>rem;
	margin-left:<?php the_field('layoutSpacing','option');?>rem;
}
div#awardViewAll {
    width: 250px;
    position: relative;
    right: 0px;
    vertical-align: top;
    top: 30px;
}
#aboutUs .fixed-container {
	width:100%
}
#awards .fixed-container {
  position: relative;
  width: 100px;
  height: 100px;
  margin: 0px 50px;
}
#awards amp-img.contain img {
   object-fit: contain;
   filter: grayscale(1);
 }
 #awards amp-img.contain img:hover {
   filter: grayscale(0);
 }
@media only screen and (max-width: <?php the_field('responsiveMD','option');?>px) {
	div#aboutUsImage {
    	order: -1;
	}
}
.bg-dark:hover {
  background: #212121 !important;
  color: #fff;
}
</style>
<?php include get_template_directory().'/template-parts/hero/' . get_field('heroDesign') . '.php' ;?>
<div id="primary" class="content-area">
	<?php
	global $post;

	$results = get_posts( array(
		'numberposts'		=> 12,
		'post_type'			=> 'results',
		'meta_key'			=> 'result',
		'orderby'			=> 'meta_value_num',
		'order'				=> 'DESC'
	) );

	if ( $results ): ?>
		<div id="results">
			<div class="container grid-xl">
				<div class="columns">
					<div class="column col-12">
						<amp-carousel 
						controls
						type="carousel"
						class="text-center mx-auto">
							<a id="resultSlide1" class="btn btn-lg bg-dark text-white mx-layout" href="<?php echo get_template_page_url('results.php');?>"><i class="fas fa-landmark mr-2"></i> Recent Case Results</a>
							<?php foreach ( $results as $post ) : 
								setup_postdata( $post );?>
									<?php include get_template_directory().'/template-parts/' . get_field('template', 'option') . '/result-mini.php' ;?>
							<?php endforeach;
							wp_reset_postdata();?>
							<div id="carouselViewAll">
								<a class="btn btn-lg my-layout" href="<?php echo get_template_page_url('results.php');?>">View All <i class="fas fa-arrow-right pl-2 mr-2" aria-hidden="true"></i></a>
							</div>
						</amp-carousel>
					</div>
				</div>
			</div>
		</div>
	<?php endif ;?>
	<?php if(get_field('services', 'option')) :?>
		<div id="services" class="py-layout">
			<div class="container grid-xl">
				<div class="columns flex-centered">
					<div class="column col col-sm-12 text-center">
						<h2 class="display"><?php the_field('servicesNamePlural','option');?></h2>
					</div>
				</div>
				<div class="columns flex-centered">
					<?php
					global $post;
					$args = [
						'post_type'       	=> 'services', // Change according to correct post type
						'posts_per_page'  	=> 6,
						'orderby'			=> 'menu_order',
						'order'				=> 'DESC',
					];
					$servicesCount = wp_count_posts( 'services' )->publish;
					$q = get_posts( $args );
						foreach ( $q as $post ) {
							setup_postdata( $post );?>
								<div class="column col-4 col-lg-6 col-md-12 my-layout">
									<?php include get_template_directory().'/template-parts/' . get_field('template', 'option') . '/service-small.php' ;?>
								</div>
							<?php
						}
						wp_reset_postdata();
						if($servicesCount > 6):?>
						<div class="column col-12 text-center my-layout">
							<a class="btn btn-primary btn-lg" href="<?php echo get_template_page_url('services.php');?>">View All </a>
						</div>
						</div>
					<?php endif;?>
				</div>
			</div>
		</div>
	<?php endif;?>
	<div id="aboutUs" class="py-layout-xl bg-gray-light">
		<div class="container grid-xl">
			<div class="columns flex-centered">
				<div class="column col-6 col-xs-12 col-sm-12 col-md-12 large">
					<?php the_field('aboutContent');?>
					<a class="btn btn-primary btn-lg" href="<?php the_field('aboutButtonURL');?>"><?php the_field('aboutButton');?></a>
				</div>
				<div id="aboutUsImage" class="column col-6 col-xs-12 col-sm-12 col-md-12 my-layout">
					<?php 
					$aboutImage = get_field('aboutImage');?>
					<img
					alt="<?php echo esc_url($aboutImage['alt']); ?>"
					class="img-responsive"
					layout="fill"
					src="<?php echo esc_url($aboutImage['url']); ?>">
				</div>
			</div>
		</div>
	</div>
	<?php if(get_field('team', 'option')) :?>
		<div id="team" class="py-layout">
			<div class="container grid-xl">
				<div class="columns flex-centered">
					<div class="column col col-sm-12 text-center">
						<h2 class="display"><?php the_field('teamNamePlural','option');?></h2>
					</div>
				</div>
				<div class="columns flex-centered">
					<?php
					global $post;
					$args = [
						'post_type'       => 'team', // Change according to correct post type
						'posts_per_page'  => 4,
						'orderby'			=> 'menu_order',
						'order'				=> 'DESC',
					];
					$teamCount = wp_count_posts( 'team' )->publish;
					$q = get_posts( $args );
						foreach ( $q as $post ) {
							setup_postdata( $post );?>
								<div class="column col-3 col-lg-6 col-md-12 my-layout">
									<?php include get_template_directory().'/template-parts/' . get_field('template', 'option') . '/team-member.php' ;?>
								</div>
							<?php
						}
						wp_reset_postdata();
						if($servicesCount > 4):?>
						<div class="column col-12 text-center my-layout">
							<a class="btn btn-primary btn-lg" href="<?php echo get_template_page_url('team.php');?>">View All </a>
						</div>
						</div>
					<?php endif;?>
				</div>
			</div>
		</div>
	<?php endif;?>
	<div class="divider"></div>
	<?php if(get_field('awards', 'option')) :?>
		<?php
		global $post;

		$awards = get_posts( array(
			'numberposts'		=> -1,
			'post_type'			=> 'awards',
			'orderby'			=> 'menu_order',
			'order'				=> 'DESC'
		) );

		if ( $awards ): ?>
			<div id="awards" class="py-2 ">
				<div class="container grid-xl">
					<div class="columns">
						<div class="column col-12">
							<amp-carousel height="100"
							layout="flex-item"
							controls
							type="carousel"
							class="text-center mx-auto">
								<?php foreach ( $awards as $post ) : 
									setup_postdata( $post );?>
									<?php include get_template_directory().'/template-parts/' . get_field('template', 'option') . '/award-small.php' ;?>
								<?php endforeach;
								wp_reset_postdata();?>
							</amp-carousel>
						</div>
					</div>
				</div>
			</div>
		<?php endif ;?>
		<div class="divider"></div>
		<?php endif;?>
	<?php
	global $post;

	$testimonials = get_posts( array(
		'numberposts'		=> 2,
		'post_type'			=> 'testimonials',
		'orderby'			=> 'menu_order',
		'order'				=> 'DESC'
	) );

	if ( $testimonials ): ?>
		<div id="team pb-layout">
			<div class="container grid-xl">
				<div class="columns flex-centered">
					<div class="column col-12 text-center">
						<h2 class="display">Testimonials</h2>
					</div>
				</div>
				<div class="columns flex-centered">
					<?php foreach ( $testimonials as $post ) : 
					setup_postdata( $post );?>
						<div class="column col col-6 col-sm-12">
							<?php include get_template_directory().'/template-parts/' . get_field('template', 'option') . '/testimonial.php' ;?>
						</div>
					<?php endforeach;?>
				</div>
				<div class="column col-auto col-sm-12 text-center my-layout">
					<a class="btn btn-primary btn-lg" href="<?php echo get_template_page_url('testimonials.php');?>">View All</a>
				</div>
			</div>
		</div>
	<?php endif ;?>
	<div id="blog" class="py-layout bg-gray-light">
		<div class="container grid-xl">
			<div class="columns">
				<div class="column col-12 text-center">
					<h2 class="display">Blog</h2>
				</div>
			</div>
			<div class="columns">
				<?php
				global $post;
			
				$results = get_posts( array(
					'numberposts'		=> 3,
					'post_type'			=> 'post',
					'orderby'			=> 'date',
					'order'				=> 'DESC'
				) );
			
				if ( $results ) {
					foreach ( $results as $post ) : 
						setup_postdata( $post );?>
						<div class="column col-4 col-lg-6 col-sm-12 my-layout">
							<?php get_template_part( 'template-parts/posts', get_post_type() );?>
						</div>
					<?php endforeach;
					wp_reset_postdata();
				} else {
					get_template_part( 'template-parts/content', 'none' );
				}; ?>
			</div>
			<div class="column col-auto col-sm-12 text-center my-layout">
				<a class="btn btn-primary btn-lg" href="<?php get_post_type_archive_link( 'post' );?>">View All</a>
			</div>
		</div>
	</div>
	</main><!-- #main -->
</div><!-- #primary -->