<?php if (has_post_thumbnail( $post->ID ) ): ?>
	<?php $image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'single-post-thumbnail' ); ?>
	<div id="heading" style="background-image: url('<?php echo $image[0]; ?>')">
	</div>
	<?php endif; ?>
<div id="primary" class="content-area">
	<section class="py-layout">
		<div class="container grid-xl">
			<div class="columns">
				<div class="column col-12">
					<?php if(!is_front_page()): ?>
						<?php get_breadcrumb(); ?>
					<?php endif; ?>
				</div>
			</div>
		</div>
	</section>
	<section>
		<div class="container grid-sm">
			<div id="searchPosts" class="column col-12">
				<h1 class="page-title screen-reader-text text-center"><?php echo get_bloginfo('title');?>
					<?php single_post_title(); ?>
				</h1>
			</div>
			<?php $page_for_posts = get_option( 'page_for_posts' );the_field('content', $page_for_posts); ?>
		</div>
	</section>
	<section class="bg-gray-light py-layout">
		<div class="container grid-xl">
			<div class="column col-12">
				<div class="columns">
					<div class="column col-auto col-xs-12 h2 text-center">
						Posts
					</div>
					<div class="column col col-xs-12">
						<div id="post-filters" class="p-relative">
							<div id="advancedSearch" class="columns col-gapless">
								<div class="column col-12 show-xs">
									<div class="divider"></div>
								</div>
								<div class="column col-auto col-ml-auto col-xs-12">
									<div class="dropdown d-block text-center">
										<a href="#" class="btn dropdown-toggle small" tabindex="0">
											Categories <i class="fas fa-caret-down"></i>
										</a>
										<ul class="menu">
											<?php $category_ids = get_all_category_ids(); ?>
											<?php
													$args = array(
													'orderby' => 'slug',
													'parent' => 0
													);
													$categories = get_categories( $args );
													foreach ( $categories as $category ) {
													echo '<li class="menu-item small"> <a href="' . get_category_link( $category->term_id ) . '" rel="bookmark">' . $category->name . '</a></li>';
													}
													?>
										</ul>
									</div>
								</div>
								<div class="divider-vert hide-xs"></div>
								<div class="column col-12 show-xs">
									<div class="divider"></div>
								</div>
								<div class="column col-auto col-xs-12">
									<div class="dropdown d-block text-center">
										<a href="#" class="dropdown-toggle small btn" tabindex="0">
											Archives <i class="fas fa-caret-down ml-auto"></i>
										</a>
										<ul class="menu">
											<?php
													$args = array(
													'before' => '<li class="menu-item small">',
													'after' => '</li>',
													);
													echo wp_get_archives($args);
													?>
										</ul>
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
				<div class="divider"></div>
			</div>
				<div class="column col-12">
					<main id="main" class="site-main">
						<div class="columns">
							<?php
							if ( have_posts() ) :?>
							<?php foreach( $posts as $post ): 
							setup_postdata( $post ); ?>
									<div class="column col-4 col-lg-6 col-sm-12 my-layout">
										<?php 
										get_template_part( '', get_post_type());
										get_template_part( 'template-parts/posts', get_post_type() );
										?>
									</div>
							<?php endforeach; ?>
							<div class="column col-12 text-center my-layout">
								<?php avery_pagination(); ?>
								<?php wp_reset_postdata(); ?>
								<?php endif; ?>
							</div>
						</div>
					</main><!-- #main -->
				</div>
			</div>
		</div>
	</section>
	<section>
		<div class="container grid-sm py-layout">
			<div class="columns">
				<div class="column col-12">
					<div id="formSubscribe" class="card">
						<div class="card-header text-center">
							<div class="card-title h3">
								Subscribe To Our Newsletter
							</div>
							<div class="text-gray">Join our subscribers to get the latest news and updates delivered directly to your inbox.</div>
						</div>
							<div class="card-body">
								<?php echo do_shortcode('[contact-form-7 id="20808" title="Newsletter"]');?>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</section>
</div><!-- #primary -->