<style>
	.award img {
		height: 150px;
		max-width: 150px;
		margin: 1rem;
	}
	.award .modal img {
	height: 100%;
    width: 100%;
	max-width: initial;
	margin: 0rem;
	}
	.modal-image {
		z-index: 1;
	}

	.modal .content p {
		text-align: justify;
		padding-right: 10px;
	}
  a.modal-overlay {
	z-index: -1;
}
.award.card {
    height: 100%;
}
</style>
<?php edit_post_link(__('Edit')); ?>
	<div id="awards">
	    <?php if (has_post_thumbnail( $post->ID ) ): ?>
        <div id="featuredImage">
            <?php 
            $image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'header-banner' );
            $thumbnail_id = get_post_thumbnail_id( $post->ID );
            $alt = get_post_meta($thumbnail_id, '_wp_attachment_image_alt', true); 
            ?>
            <div class="fixed-container">
                <amp-img 
                alt="<?php echo $alt; ?>"
                class="contain"
                data-amp-auto-lightbox-disable
                layout="fill"
                src="<?php echo $image[0]; ?>"></amp-img>
                <div id="featuredImageText" class="container grid-xl flex-centered">
                    <div class="text-center text-light column col-12">
                        <span class="h1 display">
                            <?php the_title();?>
                        </span>
                        <?php get_breadcrumb(); ?>
                    </div>
                </div>
            </div>
        </div>
    <?php endif; ?>
	<section>
		<div class="container grid-xl p-relative">
			<div class="columns">
				<div id="sidebar" class="column col-3 col-xs-12 col-lg-12 my-layout">
					<?php
					$page_id = get_queried_object_id();

					// Get Top Parent Page ID
					if ($post->post_parent)	{
						$ancestors=get_post_ancestors($post->ID, 'page');
						$root=count($ancestors)-1;
						$parent = $ancestors[$root];
					} else {
						$parent = $post->ID;
					}
					$args = array(
						'post_type'      => 'page',
						'posts_per_page' => -1,
						'post_parent'    => $parent,
						'order'          => 'ASC',
						'orderby'        => 'menu_order'
					);


					$parent = new WP_Query( $args );

					if ( $parent->have_posts() ) : ?>
						<div id="sidebarMenu" class="sidebar">

							<div class="card">
								<?php 
								$parents = get_post_ancestors( $post->ID );?>
								<a href="<?php the_permalink(end($parents));?>">
									<div class="card-header text-center text-bold">
										<div class="card-title">
											<?php
											echo apply_filters( "the_title", get_the_title( end ( $parents ) ) );?>	
										</div>
									</div>
								</a>
								<div class="divider m-0"></div>
								<div class="card-body">
									<?php while ( $parent->have_posts() ) : $parent->the_post(); ?>
									<div class="accordion">
										<input id= "accordion-<?php the_ID(); ?>" type="checkbox" name="accordion-checkbox" hidden=""
										<?php if($page_id == get_the_ID() or get_the_ID() == $ancestors[0]) :?>checked="checked"<?php endif ;?>>
										<label class="accordion-header c-hand <?php if($page_id == get_the_ID()) :?>active<?php endif ;?>" for="accordion-<?php the_ID(); ?>"><a href="<?php the_permalink(); ?>"><?php the_title();
										?></a><?php if(has_children()):?><div class="icon"><i class="fas fa-caret-down"></i></div><?php endif ;?></label>
										<?php
											$children = get_pages( array( 'child_of' => $post->ID,
											'parent' => $post->ID,) );
											if( $children) :?>
											<div class="accordion-body">
												<ul class="menu menu-nav">
													<?php
													foreach ( $children as $post_object ) {
													setup_postdata( $GLOBALS['post'] =& $post_object );
													?>
													<li class="menu-item <?php if($page_id == get_the_ID()) :?>active<?php endif ;?>">
														<a href="<?php the_permalink();?>">
															<?php the_title();?>
														</a>
													</li>
													<?php
													}

													wp_reset_postdata(); // like wp_reset_query() but for $post

													?>
												</ul>
											</div>
											<?php endif ;?>
										</div>
									<?php endwhile; ?>
								</div>
							</div>
						</div>
					<?php endif; wp_reset_postdata(); ?>
				</div>
				<div class="column col-9 col-lg-12 my-layout">
					<article>
						<main id="main" class="site-main">
							<?php the_content();?>
						</main>
					</article>
				</div>
			</div>
		</div>
	</section>
	<section id="awards" class="bg-gray-light">
		<div class="container grid-xl py-layout">
			<div class="columns">
				<div class="column col-12">
					<div class="columns">
						<div class="column col-auto col-xs-12 h2 text-center">
							<?php the_field('awardsNamePlural', 'option');?>
						</div>
					</div>
					<div class="divider"></div>
				</div>
				<?php
				global $post;
				$awards = get_posts( array(
					'numberposts'		=> -1,
					'post_type'			=> 'awards',
					'order'				=> 'DESC',
				) );

				if ( $awards ) {
					foreach ( $awards as $post ) : 
					setup_postdata( $post );?>
				<div class="column col-4 col-lg-6 col-sm-12 mt-layout">
					<?php include get_template_directory() . '/template-parts/'. get_field('template', 'option') . '/award.php';?>
				</div>
				<?php endforeach;
					wp_reset_postdata();
				} else {
					get_template_part( 'template-parts/content', 'none' );
				}; ?>
			</div>
		</div>
	</section>
</div>
