<div class="ap--main ap-t-template" id="main-wrap">
  <div class="container grid-lg">
    <h1><?php the_title(); ?></h1>
    <section class="ap--intro -te">
      <div class="ap-o-filter-bubbles-list">
        <button class="btn ap-m-filter-bubble filtered" [class]="activeFilter.chosenFilter == 'none' ? 'ap-m-filter-bubble filtered' : 'ap-m-filter-bubble'" on="tap:AMP.setState({ activeFilter: {chosenFilter: 'none' } })">All</button>
        <?php
          $categories = get_categories( array(
            'orderby' => 'name',
            'order'   => 'ASC'
          ) );
          foreach( $categories as $category ) {
            $category_link = sprintf (
            '<button class="btn ap-m-filter-bubble" [class]="activeFilter.chosenFilter == \'%3$s\' &amp;&amp; chosenFilter !=  \'none\' ? \'ap-m-filter-bubble filtered\' : \'ap-m-filter-bubble\'" on="tap:AMP.setState({ activeFilter: {chosenFilter: \'%3$s\' } })">%2$s</button>',
              esc_url( get_category_link( $category->term_id ) ),
              esc_html( $category->name ),
              esc_html( $category->slug )
            );
            echo sprintf( esc_html__( '%s', 'textdomain' ), $category_link );
          }
        ?>
      </div>
    </section>
    <section class="bloglisting">
          <?php
            global $post;
            $args = array( 'posts_per_page' => -1, 'order'=> 'ASC', 'orderby' => 'title' );
            $postslist = get_posts( $args );
            foreach ( $postslist as $post ) :
              setup_postdata($post);
              $featured_img_url = get_the_post_thumbnail_url(get_the_ID(),'full');
              $cats =  get_the_category();
              $cat = $cats[0];
              $cat_slug = $cat->slug;
              $excerpt = ( $post->post_excerpt ) ? $post->post_excerpt : $post->post_content;
              ?>
              <div class="listing" [hidden]="activeFilter.chosenFilter != 'none' &amp;&amp; activeFilter.chosenFilter != '<?php echo $cat_slug; ?>'">
                <?php if( !empty($featured_img_url) ) : ?>
                  <a href="<?php the_permalink(); ?>">
                    <div class="-nv">
                      <div class="imageContainer">
                        <amp-img
                        src="<?php echo esc_url($featured_img_url); ?>"
                        layout="responsive"
                        width="400"
                        height="300"
                        alt="Gallery">
                          <noscript>
                            <img src="https://via.placeholder.com/150x50" width="400" height="300">
                          </noscript>
                        </amp-img>
                      </div>
                    </div>
                  </a>
                <?php endif; ?>
                <div class="blogTitle">
                  <a href="<?php the_permalink(); ?>"><h4 class="-nw"><?php the_title(); ?></h4></a>
                </div>
                <div class="entry-meta">
          				<?php
          				amp_posted_on();
          				amp_posted_by();
          				?>
          			</div>
                <div class="blogContent">
                  <?php the_excerpt(); ?>
                </div>
              </div>
            <?php
            endforeach;
            wp_reset_postdata();
          ?>
    </section>
  </div>
</div>