<style>
    div#header {
        position: sticky;
        top: 0px;
        width: 100%;
        z-index: 3;
        transition: background 1s;
        background: #fff;
    }
    #header.sticky {
        border-bottom: 1px solid #ccc;
    }

    #logo .fixed-container {
        position: relative;
        width: <?php echo the_field('logoWidth', 'option');
        ?>px;
        height: <?php echo the_field('logoHeight', 'option');
        ?>px;
    }

    amp-img.contain img {
        object-fit: contain;
    }

    div#navbarTop {
        border-bottom: 1px solid #eee;
    }

    #navbarTop,
    .navbar {
        background: transparent;
        box-shadow: none
    }

    #header-cta {
        padding: 0.75rem;
    }

    #portal {
        height: 100%;
    }
</style>
<script>
    window.onscroll = () => {
        const nav = document.querySelector('#header');
        if (this.scrollY <= 10) nav.className = '';
        else nav.className = 'sticky';
    };
</script>
<section id="menu" class="navbar-section">
    <?php include get_template_directory() . '/template-parts/'. get_field('template', 'option') . '/menu.php';?>
</section>
<div id="header">
    <header class="navbar">
        <!-- Header Layout Import -->
        <div class="container grid-xl">
            <div class="columns">
                <div id="menu-left" class="column col-auto flex-centered">
                    <div id="logo" class="py-2">
                        <a href="<?php echo esc_url( home_url( '/' ) ); ?>">
                            <?php 
                            $logo = get_field('logo', 'option');
                            if( !empty( $logo ) ): ?>
                            <div class="fixed-container">
                                <amp-img alt="<?php bloginfo('name'); ?>" class="contain" layout="fill"
                                    src="<?php echo esc_url($logo['url']); ?>">
                            </div>
                            <?php else: ?>
                            <a class="site-title navbar-item large" href="/" rel="home"><?php bloginfo('name'); ?></a>
                            <?php endif ; ?>
                        </a>
                    </div>
                </div>
                <div id="menu-desktop" class="column col-auto col-ml-auto text-right flex-centered">
                    <a role="button" class="navbar-burger burger" aria-label="menu" aria-expanded="false"
                        data-target="navbar" on="tap:sidebar.toggle">
                        <span aria-hidden="true"></span>
                        <span aria-hidden="true"></span>
                        <span aria-hidden="true"></span>
                    </a>
                    <nav toolbar="(min-width: <?php echo the_field('menuBreak', 'option');?>px)"
                        toolbar-target="portal">
                        <section id="menu" class="navbar-section">
                            <?php
                            wp_nav_menu( array(
                                'container'         => false,
                                'items_wrap'        => '%3$s',
                                'menu_class'        => '',
                                'menu_id'           => 'primary-menu',
                                'theme_location'    => 'primary',
                                'walker'            => new Spectre_Navwalker(),
                            ) );
                            ?>
                            <div id="header-cta" class="d-inline hide-mb">
                                <a href="tel:<?php the_field('phone', 'option');?>"
                                    class="btn btn-primary text-uppercase flex-centered"><?php echo do_shortcode('[phoneDisplay]') ;?>
                                </a>
                            </div>
                        </section>
                    </nav>
                </div>
                <div id="menu-mobile" class="column col-auto col-ml-auto text-right flex-centered">
                    <a role="button" class="navbar-burger burger" aria-label="menu" aria-expanded="false"
                        data-target="navbar" on="tap:sidebar.toggle">
                        <span aria-hidden="true"></span>
                        <span aria-hidden="true"></span>
                        <span aria-hidden="true"></span>
                    </a>
                    <nav>
                        <section id="menu" class="navbar-section">
                            <div id="header-cta" class="d-inline hide-mb">
                                <a href="tel:<?php the_field('phone', 'option');?>"
                                    class="btn btn-primary text-uppercase flex-centered"><?php echo do_shortcode('[phoneDisplay]') ;?>
                                </a>
                            </div>
                        </section>
                    </nav>
                </div>
            </div>
        </div>
    </header>
</div>
