<style>
div#location {
    position: sticky;
    top: 100px;
}
#location .card-body {
    padding-bottom: .8rem;
}
</style>
<div id="main-container" class="content-area " >
	    <?php if (has_post_thumbnail( $post->ID ) ): ?>
        <div id="featuredImage">
            <?php 
            $image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'header-banner' );
            $thumbnail_id = get_post_thumbnail_id( $post->ID );
            $alt = get_post_meta($thumbnail_id, '_wp_attachment_image_alt', true); 
            ?>
            <div class="fixed-container">
                <amp-img 
                alt="<?php echo $alt; ?>"
                class="contain"
                data-amp-auto-lightbox-disable
                layout="fill"
                src="<?php echo $image[0]; ?>"></amp-img>
                <div id="featuredImageText" class="container grid-xl flex-centered">
                    <div class="text-center text-light column col-12">
                        <span class="h1 display">
                            <?php the_title();?>
                        </span>
                        <?php get_breadcrumb(); ?>
                    </div>
                </div>
            </div>
        </div>
    <?php endif; ?>
    <div class="container grid-xl p-relative">
        <article>
            <div class="columns">
                  <div class="column col-4 col-md-12 my-layout">
                      <div id="location" class="card bg-white text-center d-sticky">
						  <!--
					      <?php 
						  $address = get_field('address');
				          if($address):?>
                          <div class="card-image">
							  <div id="map_canvas" style="height: 250px;"></div>
							  <?php $map = get_field('address'); ?>

<script type="text/javascript"> 

  function initialize() {
        var myLatlng = new google.maps.LatLng(<?php echo $map['lat']; ?>, <?php echo $map['lng']; ?>);
        var myOptions = {
          zoom: 11,
          center: myLatlng,
          mapTypeId: google.maps.MapTypeId.ROADMAP
        }
        var map = new google.maps.Map(document.getElementById("map_canvas"), myOptions);
      }

      function loadScript() {
        var script = document.createElement("script");
        script.type = "text/javascript";
        script.src = "https://maps.google.com/maps/api/js?sensor=false&callback=initialize";
        document.body.appendChild(script);
      }

      window.onload = loadScript;
    </script>
                        </div>
					    <?php endif;?>
						-->
                        <div class="card-header">
                            <div class="card-title">
                                <span class="h4 text-dark"><?php the_title() ;?></span>
                            </div>
                        </div>
                        <?php 
                        $location = get_field('address');
						$suite = get_field('suite') . '<br>';
						if(empty($suite)) {
							$suite = '';
						}
                        $phone = get_field('phone');
                        if($location or $phone):?>
                            <div class="divider"></div>
                            <div class="card-body">
                                <div class="columns">
                                    <?php if($location):?>
                                        <div class="column col">
                                            <i class="fas fa-map-marker-alt"></i><br>
                                            <?php 
                                            echo $location['street_number'] . ' ' . $location['street_name'] . '<br>' . $suite . $location['city'] . ', ' . $location['state_short'] . ' ' . $location['post_code']; ?><br>
                                            <a class="directions" target="_blank" href="https://www.google.com/maps/dir/?api=1&destination=<?php echo urlencode($location['street_number'] . '+' . $location['street_name'] . '+' . $location['city'] . '+' . $location['state_short'] . '+' . $location['post_code']) ; ?>"><?php _e('Directions','roots'); ?></a>
                                        </div>
                                    <?php endif;?>
                                    <?php if($location and $phone):?>
                                        <div class="divider-vert"></div>
                                    <?php endif;?>
                                    <?php 
                                    if($phone):?>
                                        <div class="column col">
                                            <i class="fas fa-phone-alt"></i><br>
                                                <?php echo phoneBuild($phone) ;?>
                                        </div>
                                    <?php endif;?>
                                </div>
                            </div>
                        <?php endif;?>
                    </div>
                </div>
                <div class="column col-8 col-md-12 my-layout">
                    <main id="main" class="site-main">
                        <?php the_content();?>
                    </main><!-- #main -->
                    <?php  
                    if ( have_rows('teamMemberPublications')):?>
                    <div class="divider"></div>
                        <div id="publications" class="pb-0 mt-layout">
                            <h2>Publications</h2>
                            <?php while(have_rows('teamMemberPublications')) : the_row();
                            ?>
                                <div class="m-layout  d-inline">
                                    <strong><?php the_sub_field('teamMemberPublicationsName')?></strong><br>
                                    <?php the_sub_field('teamMemberPublicationsDescription')?>
                                </div>
                            <?php endwhile;?>
                        </div>
                    <?php endif; ?>
                    <?php  
                    if ( have_rows('teamMemberSpeakingEngagements')):?>
                        <div class="divider"></div>
                        <div id="speakingEngagements" class="pb-0 mt-layout">
                            <h2>Speaking Engagements</h2>
                            <?php while(have_rows('teamMemberSpeakingEngagements')) : the_row();
                            ?>
                                <div class="m-layout  d-inline">
                                    <strong><?php the_sub_field('teamMemberSpeakingEngagementsName')?></strong><br>
                                    <?php the_sub_field('teamMemberSpeakingEngagementsDescription')?>
                                </div>
                            <?php endwhile;?>
                        </div>
                    <?php endif; ?>
                </div>
            </div>
        </article>
    </div>
</div>
<?php

get_footer();
