<?php 
$firstName = get_field('teamMemberFirstName');
?>
<style>
div#teamMember {
    position: sticky;
    top: <?php the_field('headerHeight', 'option');?>px;
}
	.card.card-team-member .card-image {
		padding-top: 0px;
	}
	.card .img-bot {
		opacity: 0;
		position: absolute;
		top: 0;
		left: 0;
		z-index: 1;
		transition: opacity .55s ease-in-out;
		-moz-transition: opacity .55s ease-in-out;
		-webkit-transition: opacity .55s ease-in-out;
	}
    .card:hover .img-bot {
    	display: block;
		opacity: 1.0;
    	position: absolute;
    	transition: opacity .55s ease-in-out;
    	-moz-transition: opacity .55s ease-in-out;
    	-webkit-transition: opacity .55s ease-in-out;
    }
	.card.card-team-member .card-header {
		position: absolute;
		bottom: 0px;
		width: 100%;
		z-index: 2;
	}
	#awards .fixed-container {
	  position: relative;
	  width: 100px;
	  height: 100px;
	  margin: 0px 50px;
	}
	#awards amp-img.contain img {
	   object-fit: contain;
	   filter: grayscale(1);
	 }
	 #awards amp-img.contain img:hover {
	   filter: grayscale(0);
	 }
	#awards .i-amphtml-carousel-scroll {
		text-align: left;
	}
</style>
<section>
	<div class="container grid-xl">
		<div class="columns">
			<div class="column col-12">
				<?php if(!is_front_page()): ?>
				<?php get_breadcrumb(); ?>
				<?php endif; ?>
			</div>
		</div>
	</div>
</section>
<div class="container grid-xl p-relative">
	<div class="columns">
		<div class="column col-12 pb-layout-xl">
			<article>
				<div class="columns">
                    <div class="column col-3 col-lg-4 col-sm-12">
                        <div id="teamMember" class="p-sticky mb-layout">
							<div class="card bg-white p-relative card-team-member">
								<div class="card-image p-relative">
									<?php if(has_post_thumbnail( $post->ID ) ): ?>
										<?php 
										$image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'header-banner' );
										$thumbnail_id = get_post_thumbnail_id( $post->ID );
										$alt = get_post_meta($thumbnail_id, '_wp_attachment_image_alt', true); 
										?>
										<img 
										alt="<?php echo $alt; ?>"
										class="img-responsive img-top"
										width= 100%
										height= "<?php echo $image[2]; ?>"
										layout="responsive"
										src="<?php echo $image[0]; ?>">
									<?php else :?>
										<amp-img 
										src="https://via.placeholder.com/426x240/cccccc/424242?text=<?php echo get_bloginfo('name');?>"
										alt="<?php the_title(); ?>" 
										width="4"
										height="4" 
										layout="responsive">
										</amp-img>
									<?php endif;?>
									<?php 
									$imageHover = get_field('teamMemberHoverImage');
									?>
									<img 
										 alt="<?php echo esc_attr($imageHover['alt']); ?>"
										 class="img-responsive img-bot"
										 width= 100%
										 layout="fill"
										 src="<?php echo esc_attr($imageHover['url']); ?>">
										<div class="card-header">
											<?php if('' !== get_post()->post_content):?>
												<a href="<?php the_permalink();?>">
											<?php endif;?>
												<span class="text-light large text-bold">
													<?php the_title();?>
												</span>
											<?php if('' !== get_post()->post_content):?>
												</a>
											<?php endif;?>
										<div class="card-subtitle text-secondary">
											<?php the_field('teamMemberPosition');?>
										</div>
									</div>
								</div>
								<?php  
								if ( have_rows('teamMembersocialMedia')):?>
								<div id="teamMemberSocialMedia" class="card-footer flex-centered">
									<?php while(have_rows('teamMembersocialMedia')) : the_row();
									$field = get_sub_field('teamMemberSocialMediaPlatform');
									?>
									<div class="m-layout d-inline large">
										<a class="large" href="<?php the_sub_field('teamMemberSocialMediaURL')?>" target="_blank">
											<i class="<?php echo $field['value'];?> pr-2"></i>
										</a>
									</div>
									<?php endwhile;?>
								</div>
								<?php endif; ?>
							</div>
                        </div>
                    </div>
					<div class="column col-9 col-lg-8 col-sm-12 ">
						<main id="main" class="site-main">
							<?php the_content();?>
						</main><!-- #main -->
						<?php 
						$teamMemberAwards = get_field('teamMemberAwards');
						if($teamMemberAwards):?>
							<div id="awards" class="py-2 ">
								<div class="columns">
									<div class="column col-12">
										<h3><?php the_field('awardsNamePlural', 'option');?></h3>
										<div class="divider"></div>
										<amp-carousel 
													  height="100"
													  layout="flex-item"
													  controls
													  type="carousel"
													  class="text-center mx-auto">
											<?php foreach ( $teamMemberAwards as $post ) : 
											setup_postdata( $post );?>
											<?php include get_template_directory().'/template-parts/' . get_field('template', 'option') . '/award-small.php' ;?>
											<?php endforeach;
											wp_reset_postdata();?>
										</amp-carousel>
									</div>
								</div>
							</div>
						<?php endif ;?>
                        <?php  
                        if ( have_rows('teamMemberPublications')):?>
                        <div class="divider"></div>
                            <div id="publications" class="pb-0 mt-layout">
                                <h2>Publications</h2>
                                <?php while(have_rows('teamMemberPublications')) : the_row();
                                ?>
                                    <div class="m-layout  d-inline">
                                        <strong><?php the_sub_field('teamMemberPublicationsName')?></strong><br>
                                        <?php the_sub_field('teamMemberPublicationsDescription')?>
                                    </div>
                                <?php endwhile;?>
                            </div>
                        <?php endif; ?>
                        <?php  
                        if ( have_rows('teamMemberSpeakingEngagements')):?>
                            <div class="divider"></div>
                            <div id="speakingEngagements" class="pb-0 mt-layout">
                                <h2>Speaking Engagements</h2>
                                <?php while(have_rows('teamMemberSpeakingEngagements')) : the_row();
                                ?>
                                    <div class="m-layout d-inline">
                                        <strong><?php the_sub_field('teamMemberSpeakingEngagementsName')?></strong><br>
                                        <?php the_sub_field('teamMemberSpeakingEngagementsDescription')?>
                                    </div>
                                <?php endwhile;?>
                            </div>
                        <?php endif; ?>
						<?php
						$url = get_permalink();
						$users = get_users( array(
							'meta_key'			=> 'first_name',
							'meta_value'		=> $firstName,
							'numberposts'		=> 4,
						) );
						foreach ( $users as $user ) :
							setup_postdata( $user );
							global $post;
							$id = $user ->ID;
							$results = get_posts( array(
								'author'        	=>  $id,
								'numberposts'		=> -1,
								'post_type'			=> 'post',
								'orderby'			=> 'date',
								'order'				=> 'DESC'
							) );
							if ( $results ):?>
								<section id="blog">
									<div class="columns">
										<div class="column co-12">
											<h3>Posts by <?php echo $firstName ;?> </h3>
											<div class="divider"></div>
										</div>
										<div class="column col-12">
											<div class="columns">
												<?php foreach ( $results as $post ) : 
												setup_postdata( $post );?>
												<div class="column col-4 col-lg-6 col-sm-12 my-layout article-blog">
													<?php get_template_part( 'template-parts/posts', get_post_type() );?>
												</div>
												<?php endforeach;
												wp_reset_postdata();?>
											</div>
										</div>
									</div>
								</section>
							<?php endif;
						endforeach;
						wp_reset_postdata();?>
					</div>
				</div>
			</article>
		</div>
	</div>
</div>
<?php

get_footer();
