<?php
/**
 * Template part for displaying testimonials
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package amp
 */

?>
<style>
	.card.card-team-member .card-image {
		padding-top: 0px;
	}
	.card .img-bot {
		opacity: 0;
        position: absolute;
        top: 0;
        left: 0;
        z-index: 1;
		transition: opacity .55s ease-in-out;
    	-moz-transition: opacity .55s ease-in-out;
    	-webkit-transition: opacity .55s ease-in-out;
    }
    .card:hover .img-bot {
    	display: block;
		opacity: 1.0;
    	position: absolute;
    	transition: opacity .55s ease-in-out;
    	-moz-transition: opacity .55s ease-in-out;
    	-webkit-transition: opacity .55s ease-in-out;
    }
.card.card-team-member .card-header {
    position: absolute;
    bottom: 0px;
    width: 100%;
    z-index: 2;
}
</style>
<?php edit_post_link(__('Edit')); ?>
<div class="card bg-white p-relative card-team-member">
	<?php if('' !== get_post()->post_content):?>
		<a href="<?php the_permalink();?>">
	<?php endif;?>
			<div class="card-image">
				<?php if(has_post_thumbnail( $post->ID ) ): ?>
					<?php 
					$image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'header-banner' );
					$thumbnail_id = get_post_thumbnail_id( $post->ID );
					$alt = get_post_meta($thumbnail_id, '_wp_attachment_image_alt', true); 
					?>
					<img 
					alt="<?php echo $alt; ?>"
					class="img-responsive img-top"
					width= 100%
					height= "<?php echo $image[2]; ?>"
					layout="responsive"
					src="<?php echo $image[0]; ?>">
				<?php else :?>
					<amp-img 
					src="https://via.placeholder.com/426x240/cccccc/424242?text=<?php echo get_bloginfo('name');?>"
					alt="<?php the_title(); ?>" 
					width="4"
					height="4" 
					layout="responsive">
					</amp-img>
				<?php endif;?>
				<?php 
				$imageHover = get_field('teamMemberHoverImage');
				?>
				<img 
					 alt="<?php echo esc_attr($imageHover['alt']); ?>"
					 class="img-responsive img-bot"
					 width= 100%
					 layout="fill"
					 src="<?php echo esc_attr($imageHover['url']); ?>">
					<div class="card-header">
						<?php if('' !== get_post()->post_content):?>
							<a href="<?php the_permalink();?>">
						<?php endif;?>
							<span class="text-light large text-bold">
								<?php the_title();?>
							</span>
						<?php if('' !== get_post()->post_content):?>
							</a>
						<?php endif;?>
					<div class="card-subtitle text-secondary">
						<?php the_field('teamMemberPosition');?>
					</div>
				</div>
			</div>
		<?php if('' !== get_post()->post_content):?>
			</a>
		<?php endif;?>
</div>