<?php if (has_post_thumbnail( $post->ID ) ): ?>
	<div id="featuredImage">
		<?php 
		$image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'header-banner' );
		$thumbnail_id = get_post_thumbnail_id( $post->ID );
		$alt = get_post_meta($thumbnail_id, '_wp_attachment_image_alt', true); 
		?>
		<div class="fixed-container">
			<amp-img 
					 alt="<?php echo $alt; ?>"
					 class="contain"
					 data-amp-auto-lightbox-disable
					 layout="fill"
					 src="<?php echo $image[0]; ?>"></amp-img>
			<div id="featuredImageText" class="container grid-xl flex-centered">
				<div class="text-center text-light column col-12">
					<span class="h1 display">
						<?php the_title();?>
					</span>
					<?php get_breadcrumb(); ?>
				</div>
			</div>
		</div>
	</div>
<?php endif; ?>
<div id="primary" class="content-area">
    <section> 
		<div class="container grid-xl p-relative">
			<div class="columns">
				<div class="column col-12 my-layout">
					<article>
						<div class="columns">
							<div class="column col-12 col-xl-12">
								<main id="main" class="site-main">
									<div class="columns">
										<div class="column col-6 col-md-12 col-mx-auto large">
											<?php the_content();?>
										</div>
									</div>
								</main>
							</div>
						</div>
					</article>
				</div>
			</div>
		</div>
	</section>
    <section class="bg-gray-light py-layout">
		<div class="container grid-xl p-relative">
			<div class="columns flex-centered">
			<?php
				global $post;
				$args = [
					'post_type'       	=> 'team', // Change according to correct post type
					'posts_per_page'  	=> -1,
					'orderby'			=> 'menu_order',
					'order'				=> 'DESC',
					'meta_query'		=> array(
						'relation'			=> 'AND',
						array (
							'key'				=> 'leadership',
							'value'				=> '1',
						)
					),
				];
				$q = get_posts( $args );
				foreach ( $q as $post ) {
					setup_postdata( $post );?>
						<div class="column col-3 col-lg-4 col-md-6 col-sm-12 my-layout">
							<?php include get_template_directory().'/template-parts/' . get_field('template', 'option') . '/team-member.php' ;?>
						</div>
					<?php
				}
				wp_reset_postdata();?>
			</div>
			<div class="divider"></div>
			<div class="columns flex-centered">
			<?php
				global $post;
				$args = [
					'post_type'       	=> 'team', // Change according to correct post type
					'posts_per_page'  	=> -1,
					'meta_query'		=> array(
						'relation'			=> '!',
						array (
							'key'				=> 'leadership',
							'value'				=> '0',
						)
					),
				];
				$q = get_posts( $args );
				foreach ( $q as $post ) {
					setup_postdata( $post );?>
						<div class="column col-2 col-lg-3 col-md-4 col-sm-12 my-layout">
							<?php include get_template_directory().'/template-parts/' . get_field('template', 'option') . '/team-member.php' ;?>
						</div>
					<?php
				}
				wp_reset_postdata();?>
			</div>
		</div>
	</section>
</div>