<?php
/**
 * Template part for displaying testimonials
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package amp
 */

?>
<style>
    .card.testimonial {
        border: 1px solid #e1e8ed;
        border-radius: 5px;
        overflow: hidden;
        }
	.card.testimonial .card-header {
        display: flex;
    }
	.card.testimonial .card-header .columns {
        width: 100%;
    }
    .card.testimonial .card-body {
        padding-left: 16px;
        padding-right: 16px;
        padding-top: 16px;
        padding-bottom: 16px;
        overflow: hidden;
    }
    .card.testimonial .name {
        font-weight: bold;
    }
    .card.testimonial .card-image img, .card.testimonial .card-image amp-img {
        border-radius: 100%;
        height: 36px;
        object-fit: cover;
        width: 36px;
    }
    .card.testimonial .location {
        font-size: 1.5rem;
        margin:auto;
    }
    .testimonial.card .transcript p:first-of-type {
        margin-top: 0px;
    }
	.card.testimonial .card-header i {
		display: inline-block;
		font-size: 18px;
		border-radius: 60px;
		height: 35px;
		text-align: center;
		width: 35px;
		padding: 0.5em 0.6em;
	}
/* Read More */
.testimonial.card input, .testimonial.card .read-more-hidden {
    display: none;
}
.testimonial.card input[type=checkbox]:checked ~ .read-more-hidden  {
   display: inline;
}
.testimonial.card input[type=checkbox]:checked, .testimonial.card input[type=checkbox]:checked ~ span {
   display: none;
}
.testimonial.card .read-more {
    width: fit-content;
    margin: auto;
}
	
</style>
<div class="testimonial card bg-white mb-layout">
		<div class="card-header">
		<div class="columns col-gapless flex-centered">
			<div class="column col-auto mr-1">
				<?php
				$authorID = get_the_author_meta('ID');
				$avatar = get_field('avatar', 'user_' . $authorID);
				$size = "thumbnail";
				$image = wp_get_attachment_image_src( $avatar, $size );
				$pageLink = get_field('pageLinkTeam', 'user_' . $authorID);
				?>
				<?php if(has_post_thumbnail()):?>
					<a href="<?php echo $pageLink ;?>">
						<figure class="avatar avatar-lg">
							<img 
							alt="<?php the_author();?> Avatar"
							class="img-responsive"
							src="<?php echo $image[0]; ?>">

						</figure>
					</a>
				<?php endif;?>
			</div>
			<div class="column col details ab-meta">
				<div class="details text-bold">
					<div class="text-dark large">
						<?php the_field('fullName');?>
					</div>
					<?php if(get_field('affiliation')): ?>
						<div class="company small text-gray">
							<?php the_field('affiliation');?>
						</div>
					<?php endif ;?>
				</div>
			</div>
			<div class="column col-auto">
				<div class="location">  
					<?php 
					$location = get_field('location');
					if( !empty( $location ) ): ?>
						<i class="<?php the_field('location');?>"></i>
					<?php endif; ?>
				</div>
			</div>
		</div>
	</div>
    <?php if(get_field('videoID')):?>
        <div class="card-image">
            <div class="video-responsive">
            <iframe src="https://www.youtube.com/embed/<?php the_field('videoID'); ?>?rel=0" width="auto" height="auto" frameborder="0" allowfullscreen></iframe>
            </div>
        </div>
    <?php endif;?>
    <?php 
    if( '' !== get_post()->post_content ):?>
        <div class="card-body">
            <input type="checkbox" id="toggle-<?php echo get_the_ID();?>">
			<?php
			$videoQuote = get_field('videoQuote');
			if($videoQuote):?>
				<h3 class="large">"<?php echo $videoQuote ;?>"</h3>
			<?php endif;?>
			<?php
			$quoteIntro = get_field('quoteIntro');
			if($videoQuote):?>
				<?php echo $quoteIntro ;?> — 
			<?php endif;?>
            <?php
            $content = get_the_content();
            if(strlen($content) >= 150):?>
                "<?php echo substr($content, 0, 150);?>
                <span class="read-more-hidden"><?php echo substr($content, 150, -1);?>"</span><span class="read-more">..."<label class="btn btn-sm btn-link text-center text-bold" for="toggle-<?php echo get_the_ID();?>"> Continue Reading <i class="fas fa-angle-right"></i></label>
                </span><?php edit_post_link(__('Edit')); ?>
            <?php else:?>
                "<?php echo $content;?>"
            <?php endif;?>
        </div>
    <?php endif;?>
</div>