<style>
    .card.testimonial {
        border: 1px solid #e1e8ed;
        border-radius: 5px;
		overflow: hidden;
		margin-bottom: <?php echo the_field('layoutSpacing','option') . 'rem';?>;
		margin-top: <?php echo the_field('layoutSpacing','option') . 'rem';?>;
        }
    .card.testimonial .card-header {
        display: flex;
    }
    .card.testimonial .cite {
        margin-left: 9px;
    }
    .card.testimonial .card-body {
        padding-left: 15px;
        padding-right: 15px;
        padding-top: 15px;
        padding-bottom: 15px;
    }
    .card.testimonial .name {
        font-weight: bold;
    }
    .card.testimonial .card-image img, .card.testimonial .card-image amp-img {
        border-radius: 100%;
        height: 36px;
        object-fit: cover;
        width: 36px;
    }
    .testimonial.card .transcript p:first-of-type {
        margin-top: 0px;
    }
    .card.testimonial .card-footer i {
        font-size: 75%;
    }
/* Masonry */
	#testimonials .columns.masonry {
		column-count: 3;
  		column-gap: 1em;
		display: block;
	}
	@media only screen and (max-width: <?php the_field('responsiveMD', 'option') ;?>px) {
  		#testimonials .columns.masonry {
			column-count: 2;
		}
	}
	@media only screen and (max-width: <?php the_field('responsiveSM', 'option') ;?>px) {
  		#testimonials .columns.masonry {
			column-count: 1;
			  column-gap: 0em;
		}
	}
	#testimonials .columns.masonry > .column { /* Masonry bricks or child elements */
		display: inline-block;
		margin: 0 0 1em;
		width: 100%;
	}
.filter .filter-tag#tag-0:checked ~ .filter-nav .chip[for="tag-0"],
.filter .filter-tag#tag-1:checked ~ .filter-nav .chip[for="tag-1"],
.filter .filter-tag#tag-2:checked ~ .filter-nav .chip[for="tag-2"],
.filter .filter-tag#tag-3:checked ~ .filter-nav .chip[for="tag-3"],
.filter .filter-tag#tag-4:checked ~ .filter-nav .chip[for="tag-4"],
.filter .filter-tag#tag-5:checked ~ .filter-nav .chip[for="tag-5"],
.filter .filter-tag#tag-6:checked ~ .filter-nav .chip[for="tag-6"],
.filter .filter-tag#tag-7:checked ~ .filter-nav .chip[for="tag-7"],
.filter .filter-tag#tag-8:checked ~ .filter-nav .chip[for="tag-8"] {
  background: <?php the_field('colorSecondary', 'option');?>;
  color: #fff;
}

.filter .filter-tag#tag-1:checked ~ .filter-body .filter-item:not([data-tag~="tag-1"]),
.filter .filter-tag#tag-2:checked ~ .filter-body .filter-item:not([data-tag~="tag-2"]),
.filter .filter-tag#tag-3:checked ~ .filter-body .filter-item:not([data-tag~="tag-3"]),
.filter .filter-tag#tag-4:checked ~ .filter-body .filter-item:not([data-tag~="tag-4"]),
.filter .filter-tag#tag-5:checked ~ .filter-body .filter-item:not([data-tag~="tag-5"]),
.filter .filter-tag#tag-6:checked ~ .filter-body .filter-item:not([data-tag~="tag-6"]),
.filter .filter-tag#tag-7:checked ~ .filter-body .filter-item:not([data-tag~="tag-7"]),
.filter .filter-tag#tag-8:checked ~ .filter-body .filter-item:not([data-tag~="tag-8"]) {
  display: none;
  background: red;
}
.filter .filter-nav {
  margin-bottom: 1rem;
}

.filter .filter-body {
  display: -ms-flexbox;
  display: flex;
  -ms-flex-wrap: wrap;
  flex-wrap: wrap;
}
.testimonial.card .card-body h3 {
    margin-bottom: 10px;
}
</style>
<div id="main-container" class="content-area">
	<?php if (has_post_thumbnail( $post->ID ) ): ?>
        <div id="featuredImage">
            <?php 
            $image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'header-banner' );
            $thumbnail_id = get_post_thumbnail_id( $post->ID );
            $alt = get_post_meta($thumbnail_id, '_wp_attachment_image_alt', true); 
            ?>
            <div class="fixed-container">
                <amp-img 
                alt="<?php echo $alt; ?>"
                class="contain"
                data-amp-auto-lightbox-disable
                layout="fill"
                src="<?php echo $image[0]; ?>"></amp-img>
                <div id="featuredImageText" class="container grid-xl flex-centered">
                    <div class="text-center text-light column col-12">
                        <span class="h1 display">
                            <?php the_title();?>
                        </span>
                        <?php get_breadcrumb(); ?>
                    </div>
                </div>
            </div>
        </div>
    <?php endif; ?>
	<section>
		<div class="container grid-xl p-relative">
			<div class="columns">
				<div id="sidebar" class="column col-3 col-xs-12 col-lg-12 my-layout">
				<a href="<? echo get_home_url() ?>/why-mediasmack/google-partner/"
                                    class="flex-centered googlepartner"><img src="<? echo get_home_url() ?>/wp-content/themes/Kin/template-parts/0/images/google-partner-png-12.png" alt="Google Partner"> 
                        </a>
					<?php
					$page_id = get_queried_object_id();

					// Get Top Parent Page ID
					if ($post->post_parent)	{
						$ancestors=get_post_ancestors($post->ID, 'page');
						$root=count($ancestors)-1;
						$parent = $ancestors[$root];
					} else {
						$parent = $post->ID;
					}
					$args = array(
						'post_type'      => 'page',
						'posts_per_page' => -1,
						'post_parent'    => $parent,
						'order'          => 'ASC',
						'orderby'        => 'menu_order'
					);


					$parent = new WP_Query( $args );

					if ( $parent->have_posts() ) : ?>
						<div id="sidebarMenu" class="sidebar">

							<div class="card">
								<?php 
								$parents = get_post_ancestors( $post->ID );?>
								<a href="<?php the_permalink(end($parents));?>">
									<div class="card-header text-center text-bold">
										<div class="card-title">
											<?php
											echo apply_filters( "the_title", get_the_title( end ( $parents ) ) );?>	
										</div>
									</div>
								</a>
								<div class="divider m-0"></div>
								<div class="card-body">
									<?php while ( $parent->have_posts() ) : $parent->the_post(); ?>
									<div class="accordion">
										<input id= "accordion-<?php the_ID(); ?>" type="checkbox" name="accordion-checkbox" hidden=""
										<?php if($page_id == get_the_ID() or get_the_ID() == $ancestors[0]) :?>checked="checked"<?php endif ;?>>
										<label class="accordion-header c-hand <?php if($page_id == get_the_ID()) :?>active<?php endif ;?>" for="accordion-<?php the_ID(); ?>"><a href="<?php the_permalink(); ?>"><?php the_title();
										?></a><?php if(has_children()):?><div class="icon"><i class="fas fa-caret-down"></i></div><?php endif ;?></label>
										<?php
											$children = get_pages( array( 'child_of' => $post->ID,
											'parent' => $post->ID,) );
											if( $children) :?>
											<div class="accordion-body">
												<ul class="menu menu-nav">
													<?php
													foreach ( $children as $post_object ) {
													setup_postdata( $GLOBALS['post'] =& $post_object );
													?>
													<li class="menu-item <?php if($page_id == get_the_ID()) :?>active<?php endif ;?>">
														<a href="<?php the_permalink();?>">
															<?php the_title();?>
														</a>
													</li>
													<?php
													}

													wp_reset_postdata(); // like wp_reset_query() but for $post

													?>
												</ul>
											</div>
											<?php endif ;?>
										</div>
									<?php endwhile; ?>
								</div>
							</div>
						</div>
					<?php endif; wp_reset_postdata(); ?>
				</div>
				<div class="column col-9 col-lg-12 my-layout">
					<article>
						<main id="main" class="site-main">
							<?php the_content();?>
						</main>
					</article>
				</div>
			</div>
		</div>
	</section>
    <section id="testimonials" class="bg-gray-light py-layout">
        <div class="container grid-xl p-relative">
            <div class="columns">
                <div class="column col-12">
            <div class="filter">
                <input class="filter-tag" id="tag-0" type="radio" name="filter-radio" hidden="" checked="">
                <input class="filter-tag" id="tag-1" type="radio" name="filter-radio" hidden="">
                <input class="filter-tag" id="tag-2" type="radio" name="filter-radio" hidden="">
                <div class="filter-nav text-center">
                <label class="chip large" for="tag-0">All</label>
                <label class="chip large" for="tag-1">Video</label>
                <label class="chip large" for="tag-2">Text</label>
                </div>
                <div class="filter-body columns">
                <div class="filter">
                    <input type="radio" id="tag-0" class="filter-tag" name="filter-radio" hidden checked>
                    <input type="radio" id="tag-1" class="filter-tag" name="filter-radio" hidden>
                    <input type="radio" id="tag-2" class="filter-tag" name="filter-radio" hidden>
                </div>
            </div>
            <div class="columns masonry flex-centered filter-body">
                <?php
                global $post;
                $testimonails = get_posts( array(
                    'numberposts'		=> -1,
                    'post_type'			=> 'testimonials',
                    'order'				=> 'DESC'
                ) );

                if ( $testimonails ) {
                    foreach ( $testimonails as $post ) : 
                    setup_postdata( $post ); ?>
                <div class="column col-4 col-md-6 filter-item" data-tag="tag-<?php if(get_field('videoID')){echo 1;}else{echo 2;};?>">
                    <?php include get_template_directory().'/template-parts/' . get_field('template', 'option') . '/testimonial.php' ;?>
                </div>
                <?php endforeach;
                    wp_reset_postdata();
                } else {
                    get_template_part( 'template-parts/content', 'none' );
                }; ?>
				
            </div>
        </div>
    </section>
    <div class="container grid-xl my-layout">
        <?php echo do_shortcode('[servicesPreview]');?>
    </div>
</div>