<?php
/**
 * Template Name: Archive Resources
 * The template for displaying the Archive Resources
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package amp
 */

 // Options - Theme Settings
    //Resources - Archive
        // Modules
        $essentials_module = get_field('resources_module_essentials', 'option');
        $resources_module = get_field('resources_module_resources', 'option');
    // Essentials (Group)
        $resources_essentials_group = get_field('resources_essentials_group', 'option');
        $featured_image = $resources_essentials_group['resources_archive_featured_image'];
        $h1 = $resources_essentials_group['resources_archive_h1'];
        $h2 = $resources_essentials_group['resources_archive_h2'];
        $content = $resources_essentials_group['resources_archive_content'];

    // Resources (Group)
        $resources_resources_group = get_field('resources_resources_group', 'option');
        // Blocks


// Post - WP
$title = get_the_title();

// Post - ACF

// Custom
$cat_id = $_GET['cat-id'];
;?>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta2/dist/js/bootstrap.bundle.min.js" integrity="sha384-b5kHyXgcpbZJO/tY9Ul7kGkf1S0CWuKcCD38l8YkeH8z8QjE0GmW1gYU5S9FOnJ0" crossorigin="anonymous">
</script>
<main>
    <?php if($featured_image): ?>
    <div class="hero position-relative bg-primary-light">
        <div class="container col-12">
            <div class="row align-items-center py-5" style="min-height:50vh">
                <div class="col-lg-6 text-center text-lg-start my-5">
                    <h1 class="mb-3"><?= $h1 ;?></h1>
                    <?php if($h2):?>
                    <h2 class="lead fw-normal mb-3"><?= $h2;?></h2>
                    <?php endif;?>
                    <div class="row g-3">
                        <div class="col-12 text-center text-lg-start">
                        </div>
                    </div>
                </div>
                <div id="featured-content" class="col-md-12 col-lg-6">
                    <img src="<?php echo esc_url($featured_image['url']); ?>"
                        alt="<?php echo esc_attr($featured_image['alt']); ?>" width="100%" />
                </div>
            </div>
        </div>
    </div>
    <?php endif; ?>
    <article>
        <?php if($content):?>
        <div class="container pt-5">
            <div class="row g-3 justify-content-center">
                <div class="col-12">
                    <article class="mb-5">
                        <?php echo $content;?>
                    </article>
                </div>
            </div>
        </div>
        <?php endif;?>
        <div id="resources">
            <div class="container">
                <div id="carouselIndicators" class="carousel" data-bs-ride="true">
                    <div class="carousel-indicators row mb-4 mx-0 justify-content-start" style="position: relative">
                        <?php
                        $cat_args = array(
                            'taxonomy' => 'resources',
                            'orderby' => 'menu_order',
                            'order'   => 'ASC'
                        );
                        $cats = get_categories($cat_args);
                        $cat_count = 0;

                        foreach($cats as $cat):?>
                        <div class="col-auto">
                            <button id="btn-<?= $cat->term_id;?>" data-bs-target="#carouselIndicators" data-bs-slide-to="<?= $cat_count ;?>" class="col border-0 btn btn-outline-gray d-block <?php if($cat_count == 0 and empty($cat_id)) :?>active<?php endif;?>" aria-label="Slide <?= $cat_count ;?>">
                                <span class="fs-5"><?= $cat->name;?></span>
                            </button>
                        </div>
                        <?php 
                        $cat_count++;
                        endforeach;
                        ?>
                    </div>
                    <div class="carousel-inner">
                        <?php
                        $cat_count = 0;
                        foreach($cats as $cat):?>
                            <div id="slide-<?= $cat->term_id;?>" class="carousel-item <?php if($cat_count == 0 and empty($cat_id)):?>active<?php endif;?>">
                                <div class="row d-flex g-4 py-5 justify-content-start">
                                    <?php
                                    global $post;
                                
                                    $posts = get_posts( array(
                                        'numberposts'		=> -1,
                                        'post_type'			=> 'resources',
                                        'orderby'			=> 'menu_order',
                                        'order'				=> 'ASC',
                                        'tax_query' => array(
                                            array(
                                                'taxonomy' => 'resources',
                                                'field' => 'slug',
                                                'terms' => $cat->slug 
                                            )
                                        )
                                    ) );
                                
                                    if ( $posts ) {
                                        foreach ( $posts as $post ) : 
                                            setup_postdata( $post );?>
                                    <?php include get_template_directory() . '/template-parts/'. get_field('template', 'option') . '/modules/resources/card.php';?>
                                    <?php endforeach;
                                        wp_reset_postdata();
                                    } else {
                                        get_template_part( 'template-parts/content', 'none' );
                                    }; ?>
                                </div>
                            </div>
                        <?php 
                        $cat_count++;
                        endforeach;
                        ?>
                    </div>
                </div>
                
            </div>
        </div>
        <?php wp_reset_postdata(); ?>
        </div>
    </article>
</main>
<script>
    const queryString = window.location.search;
    const urlParams = new URLSearchParams(queryString);
    const cat_id = urlParams.get('cat-id')
    if(cat_id){
        jQuery('#btn-' + cat_id).addClass('active');
        jQuery('#slide-' + cat_id).addClass('active');
    };
</script>
<?php

get_footer();