<?php
/**
 * Template Name: Archive Testimonials
 * The template for displaying the Archive Testimonials
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package amp
 */

// Options - Theme Settings
    //Testimonials - Archive
        // Modules
            $essentials_module = get_field('testimonials_module_essentials', 'option');
            $testimonials_module = get_field('testimonials_module_testimonials', 'option');
        // Essentials (Group)
            $testimonials_essentials_group = get_field('testimonials_essentials_group', 'option');
            $featuredImage = $testimonials_essentials_group['testimonials_archive_featured_image'];
            $h1 = $testimonials_essentials_group['testimonials_archive_h1'];
            $h2 = $testimonials_essentials_group['testimonials_archive_h2'];
            $content = $testimonials_essentials_group['testimonials_archive_content'];

        // Testimonials (Group)
            $testimonials_testimonials_group = get_field('testimonials_testimonials_group', 'option');
            // Blocks
                $testimonials_external_block = $testimonials_testimonials_group['testimonials_external_block'];
                $testimonials_featured_block = $testimonials_testimonials_block['testimonials_featured_block'];
            // External Testimonials
                $testimonials_external = $testimonials_testimonials_group['testimonials_archive_external'];
                $testimonials_archive_external_lead = $testimonials_testimonials_group['testimonials_archive_external_lead'];
                $testimonials_archive_external_header = $testimonials_testimonials_group['testimonials_archive_external_header'];
                $testimonials_archive_external_content = $testimonials_testimonials_group['testimonials_archive_external_content'];
            // Featured Testimonials
                $featured_testimonials = $testimonials_testimonials_group['testimonials_archive_featured_testimonials'];
                $testimonials_archive_featured_testimonials_lead = $testimonials_testimonials_group['testimonials_archive_featured_testimonials_lead'];
                $testimonials_archive_featured_testimonials_header = $testimonials_testimonials_group['testimonials_archive_featured_testimonials_header'];
                $testimonials_archive_featured_testimonials_content = $testimonials_testimonials_group['testimonials_archive_featured_testimonials_content'];

// Post - WP
$title = get_the_title();

// Post - ACF

;?>
<style>
    #featured-testimonials {
        height: 400px;
        overflow: auto;
    }

    .i-amphtml-scrollable-carousel-container {
        overflow-x: hidden !important;
    }
    body #featured-testimonials::-webkit-scrollbar-track
    {
    background-color: var(--primary-color-light-hover);

    }

    body #featured-testimonials::-webkit-scrollbar
    {
    width: 10px;
    margin-left: 10px;
    background-color: transparent;
    }

    body #featured-testimonials::-webkit-scrollbar-thumb
    {
    background-color: var(--primary-color);
    }

    body #featured-testimonials::-webkit-scrollbar-thumb:hover
    {
    background-color: var(--primary-color-hover);
    }
</style>
<main>
    <div class="container-fluid bg-primary-light">
        <div class="container col-12">
            <div class="row align-items-center">
                <div class="col-12 col-lg-6 py-5">
                    <h1><?php echo $h1;?></h1>
                    <h2 class="lead fw-normal"><?php echo $h2;?></h2>
                </div>
                <div id="featured-testimonials" class="col-12 col-lg-6">
                    <div class="row g-3 p-3 pt-5">
                        <?php 
                        foreach( $featured_testimonials as $post ): 
                        setup_postdata($post);
                        ?>
                        <?php include get_template_directory() . '/template-parts/'. get_field('template', 'option') . '/inc/testimonial-featured.php';?>
                        <?php endforeach; ?>
                        <?php wp_reset_postdata(); ?>

                    </div>
                </div>
            </div>
        </div>
    </div>
    <?php if($content):?>
        <div id="content">
            <div class="container py-5">
                <div class="row">
                    <div class="col-12">
                        <?php echo $content;?>
                    </div>
                </div>
            </div>
        </div>
    <?php endif;?>
    <?php if($testimonials_external_block):?>
        <div id="testimonials-external">
            <div class="container py-5">
                <?php if($testimonials_archive_external_header):?>
                    <div class="row">
                        <div class="col-12 text-center">
                            <?php if($testimonials_archive_external_lead):?>
                                <span class="text-uppercase text-muted"><?php echo $testimonials_archive_external_lead;?></span>
                            <?php endif;?>
                            <h3><?php echo $testimonials_archive_external_header;?></h3>
                            <?php if($testimonials_archive_external_content):?>
                                <p><?php echo $testimonials_archive_external_content;?></p>
                            <?php endif;?>
                        </div>
                    </div>
                <?php endif;?>
                <div class="row g-4">
                    <div class="col-12">
                        <script async custom-element="amp-carousel" src="https://cdn.ampproject.org/v0/amp-carousel-0.1.js">
                        </script>
                        <amp-carousel width="auto" height="225" layout="fixed-height" type="carousel">
                            <?php 
                                foreach( $testimonials_external as $post ): 
                                setup_postdata($post);
                                ?>
                            <div class="col-8 col-md-4 p-3 align-self-center">
                                <?php include get_template_directory() . '/template-parts/'. get_field('template', 'option') . '/inc/testimonial-external.php';?>
                            </div>
                            <?php endforeach; ?>
                            <?php 
                                    // Reset the global post object so that the rest of the page works correctly.
                                    wp_reset_postdata(); ?>
                        </amp-carousel>
                    </div>
                </div>
            </div>
        </div>
    <?php endif;?>
    
    <?php if($testimonials_module):?>
        <!-- https://github.com/e-oj/Magic-Grid -->
        <link rel="stylesheet" href="https://unpkg.com/flexmasonry/dist/flexmasonry.css">
        <script src="https://unpkg.com/flexmasonry/dist/flexmasonry.js"></script>
        <div id="testimonials" class="bg-gray-light">
            <div class="container py-5">
                <?php if($testimonials_archive_testimonials_header):?>
                <div class="row mb-3">
                    <div class="col-12 text-center">
                        <?php if($testimonials_archive_testimonials_lead):?>
                            <span class="text-uppercase text-muted"><?php echo $testimonials_archive_testimonials_lead;?></span>
                        <?php endif;?>
                        <h3><?php echo $testimonials_archive_testimonials_header;?></h3>
                        <?php if($testimonials_archive_testimonials_content):?>
                            <p><?php echo $testimonials_archive_testimonials_content;?></p>
                        <?php endif;?>
                    </div>
                </div>
                <?php endif;?>
                <div class="grid">
                    <?php 
                    $exclude = get_posts(array(
                        'numberposts'   => -1,
                        'post_type'     => 'testimonials',
                        'fields'        => 'ids',
                        'meta_key'      => 'Type',
                        'meta_value'    => 'company'
                    ));
                    $posts = get_posts(array(
                        'posts_per_page'	=> -1,
                        'post_type'			=> 'testimonials',
                        'exclude'       => $exclude
                    ));
                    ?>
                    <?php if ($posts) :?>
                    <?php foreach( $posts as $post ): setup_postdata( $post ); ?>
                    <div>
                        <div class="col m-2">
                        <?php include get_template_directory() . '/template-parts/'. get_field('template', 'option') . '/inc/testimonial.php';?>
                        </div>
                    </div>
                    <?php endforeach; ?>
                    <?php wp_reset_postdata(); ?>
                    <?php else :
                        include get_template_directory() . '/template-parts/'. get_field('template', 'option') . '/content-none.php';
                    endif;?>
                </div>
            </div>
        </div>
        <script>
        FlexMasonry.init('.grid', {
            breakpointCols: {
                'min-width: 1500px': 3,
                'min-width: 1200px': 3,
                'min-width: 992px': 2,
                'min-width: 768px': 2,
                'min-width: 576px': 1,
            },
        });
</script>
    <?php endif;?>
    <div class="col-12 col-lg-3 order-lg-1">
        <div class="row">
            <?php if($ctaType):?>
            <?php include 'inc/cta/' . $ctaType . '.php';?>
            <?php endif ;?>
        </div>
    </div>
</main>