<?php
/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package amp
 */

$logoDark = get_field('logo_dark', 'option');
$footerText = get_field('footer_text', 'option');
    if($footerText == 'custom'){
        $footerText = get_field ('footer_text_custom','option'); 
    };
$liveChat = get_field('components_live_chat', 'option');
$privacy = get_template_page_url('privacy-policy.php');
$cookie = get_template_page_url('cookie-policy.php');
$sitemap = get_template_page_url('sitemap.php');
$agencyCredit = get_field('agency_credit','option');
$locations = get_field('locations','option');


if(get_field('module_legal', 'option')){
    $module_legal_archive_link = get_post_type_archive_link('legal');
    $module_legal_archive_title = get_field('legal_archive_h1', 'option');
};
?>
<style>
    #footer-logo {
        max-width: 200px;
    }

    #footer-top a {
        color: #808080;
    }

    #footer-top a:hover {
        color: black;
    }

    #footer-bottom a {
        color: #808080;
    }

    #footer-bottom a:hover {
        color: #eeeeee;
    }

    .footerMenu {
        list-style: none;
        padding: 0px
    }

    @media(max-width:767px) {
        .addr-box {
            border-bottom: 1px var(--gray-color-light) dotted;
            margin-bottom: 20px;
            padding: 20px 0
        }

        .addr-box hr {
            display: none
        }
    }
</style>
</div><!-- #content -->
<footer class="site-footer">
    <!-- NOT FOR FINAL START -->
    <hr class="m-0">
    <div id="cta" class="py-5 my-5 ">
        <div class="container">
            <div class="row justify-content-center">
                <div class="col-12 col-md-10 col-lg-6 text-center">
                    <h3>Get started for free</h3>
                    <a class="btn btn-cta" href="https://register.wildapricot.com/">Try Now</a>
                </div>
            </div>
        </div>
    </div>
    <!-- NOT FOR FINAL END -->
    <div id="footer-top" class="py-5 border-top">
        <div class="container grid-xl">
            <div class="row g-3">
                <div class="col-12 col-md">
                    <?=$post_type_archive_link;?>
                    <a href="<?php echo esc_url( home_url( '/' ) ); ?>">
                        <?php
                        $logo = get_field('logo', 'option');
                        $logo_url = $logo['sizes']['medium'];
                        if( !empty( $logo ) ): ?>
                        <div class="fixed-container">
                            <img id="nav_logo_img" alt="<?php bloginfo('name'); ?>" class="contain" layout="fill" style="max-width:40%"
                                src="<?php echo esc_url($logo_url); ?>">
                        </div>
                        <?php endif ; ?>
                    </a>
                    <?php if($footerText):?>
                        <p class="text-light">
                            <?= $footerText;?>
                        </p>
                    <?php endif;?>
                </div>
                <div class="col-12 col-md">
                    <?php 
                    $address_name = get_field('address_name', 'option');
                    $address_street= get_field('address_street', 'option');
                    $address_street_2= get_field('address_street_2', 'option');
                    $address_city = get_field('address_city', 'option');
                    $address_state = get_field('address_state', 'option');
                    $address_zip_code= get_field('address_zip_code', 'option');
                    $address_country= get_field('address_country', 'option');
                    $address_url= get_field('address_url', 'option');
                    ?>
                    <div class="row">
                        <div class="col-auto text-center text-light">
                            <span class="icon-map-marker me-1 text-danger fs-4"></span>
                        </div>
                        <div class="col">
                            <a href="<?=$address_url ?>" target="_blank">
                                <?php if($address_name):?>
                                    <?=$address_name;?><br>
                                <?php endif;?>
                                <?=$address_street;?><br />
                                <?=$address_street_2;?><br />
                                <span class="d-block"><?=$address_city;?>, <?=$address_state;?>
                                <?=$address_zip_code;?></span>
                                <?=$address_country;?></span>
                            </a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div id="footer-top" class="py-5 border-top">
        <div class="container">
            <div class="row g-3">
                <div class="col-6 col-md-4 col-lg py-2">
                    <a href="/about-us" class="text-uppercase text-dark fw-bold d-block lh-lg">About</a>
                    <span class="lh-sm">
                        <a href="/about-us">Company</a><br>
                        <a href="/meet-the-apricots">Our Team</a><br>
                        <a href="/partner-program">Partner & Affiliate Programs</a><br>
                        <a href="https://personifycorp.com/about-us/careers/job-listings/">Careers</a><br>
                        <a href="/legal-center">Legal Center</a><br>
                        <a href="/wild-apricot-security">Security</a><br>
                        <a href="/membership-software-recommendation">Recommend WildApricot</a><br>
                        <a href="https://personifycorp.com/products/">Personify Portfolio</a><br>
                    </span>
                </div>
                <div class="col-6 col-md-4 col-lg py-2">
                    <a href="/blog" class="text-uppercase text-dark fw-bold d-block lh-lg">Blog</a>
                    <span class="lh-sm">
                        <a href="/blog/category/membership">Membership</a><br>
                        <a href="/blog/category/events">Events</a><br>
                        <a href="/blog/category/website-and-technology">Website & Technology</a><br>
                        <a href="/blog/category/fundraising">Fundraising</a><br>
                        <a href="/blog/category/volunteerism">Volunteerism</a><br>
                        <a href="/blog/category/marketing">Marketing</a><br>
                        <a href="/blog/category/organizational-management/">Organizational Management</a><br>
                        <a href="/blog/category/wildapricot-updates">WildApricot Updates</a><br>
                    </span>
                </div>
                <div class="col-6 col-md-4 col-lg py-2">
                    <a href="https://forums.wildapricot.com/forums/308932-wishlist" class="text-uppercase text-dark fw-bold d-block lh-lg">Forums</a>
                    <span class="lh-sm">
                        <a href="https://forums.wildapricot.com/forums/308932-wishlist?_ga=2.98480223.1310433789.1667320444-628331080.1641396058">Wishlist</a><br>
                        <a href="https://forums.wildapricot.com/forums/308926-designers?_ga=2.203184209.1310433789.1667320444-628331080.1641396058">Designers</a><br>
                        <a href="https://forums.wildapricot.com/forums/309658-developers?_ga=2.203184209.1310433789.1667320444-628331080.1641396058">Developers</a><br>
                    </span>
                </div>
                <div class="col-6 col-md-4 col-lg py-2">
                    <a href="https://gethelp.wildapricot.com/en/?_ga=2.203184209.1310433789.1667320444-628331080.1641396058" class="text-uppercase text-dark fw-bold d-block lh-lg">Help</a>
                    <span class="lh-sm">
                        <a href="https://gethelp.wildapricot.com/en/?_ga=2.203184209.1310433789.1667320444-628331080.1641396058">Help Center</a><br>
                        <a href="https://support.wildapricot.com/hc/en-us">Support Portal</a><br>
                        <a href="https://forums.wildapricot.com/forums/308923-service-notices?_ga=2.30693759.1310433789.1667320444-628331080.1641396058">Service Notices</a><br>
                        <a href="/partners">Partner Directory</a><br>
                    </span>
                </div>
                <div class="col-6 col-md-4 col-lg py-2">
                    <a class="text-uppercase text-dark fw-bold d-block lh-lg">Resource Library</a>
                    <span class="lh-sm">
                        <a href="/resource-library?cat-id=21">eBooks</a><br>
                        <a href="/resource-library?cat-id=22">Research Reports</a><br>
                        <a href="/resource-library?cat-id=23">Templates</a><br>
                        <a href="/resource-library?cat-id=24">Checklists</a><br>
                        <a href="/resource-library?cat-id=25">Slide Decks</a><br>
                    </span>
                </div>
                <div class="col-12">
                        <div id="socialMedia">
                            <?php  
                        if ( have_rows('social_media', 'option')):?>
                            <?php while(have_rows('social_media', 'option')) : the_row();
                            $field = get_sub_field('account');
                            ?>
                            <a class="btn btn-transparent text-light" href="<?php the_sub_field('url')?>" target="_blank">
                                <span class="<?php echo $field['value'];?> px-2"></span>
                            </a>
                            <?php endwhile;?>
                            <?php endif; ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div id="footer-bottom" class="p-3 bg-dark">
        <div class="container">
            <div class="row align-items-center">
                <div class="col-12 col-md text-light">
                    <!-- Modal Trigger -->
                    <a href="#"data-toggle="modal" data-target="#attribution">©</a> <?php echo date("Y"); ?> <?php the_field('name','option'); ?> All Right Reserved.
                    <!-- Modal -->
                    <div class="modal fade" id="attribution" tabindex="-1" role="dialog"
                        aria-labelledby="attributionLabel" aria-hidden="true">
                        <div class="modal-dialog" role="document">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <h5 class="modal-title" id="exampleModalLabel">Attributions
                                    </h5>
                                    <a type="button" class="close btn fs-4" data-dismiss="modal" aria-label="Close">
                                        <span aria-hidden="true">&times;</span>
                                    </a>
                                </div>
                                <div class="modal-body">
                                <b>Icons</b><br>
                                <a class="text-muted" href="https://icomoon.io/app/#/select/library" title="internet icons">Some of the icons used on this site are provided by Icomoon.io and it's designers.</a>
                                <hr>
                                </div>
                            </div>
                        </div>
                    </div>
                    | <a href="" data-href="#moove_gdpr_cookie_modal" tabindex="1" style="bottom: 20px; left: 20px;" class="" aria-label="Change cookie settings">Cookie Settings</a> |
                    <a href="<?=$module_legal_archive_link ;?>"><?=$module_legal_archive_title;?></a>
                </div>
                <div class="col-auto text-end">
                    <a href="/data-protection">
                        <img src="https://wildapricotdev.wpengine.com/wp-content/uploads/2022/11/pci-dss-compliant-logo.png">
                    </a>
                    <?php if($agencyCredit != "none" ):?>
                    <?php include get_template_directory() . '/components/help-desk/help-desk.php' ;?>
                    <?php endif;?>
                </div>
            </div>
        </div>
    </div>
    <!-- Search Modal -->
    <div class="modal fade" id="searchModal" tabindex="-1" role="dialog"
        aria-labelledby="#searchModal" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="container p-2">
                    <form role="search" method="get" class="form search-form " action="<?php echo home_url( '/' ); ?>">
                        <div class="input-group">
                            <input name="s" type="text" class="form-control form-control-lg"
                                placeholder="Search">
                                <button type="submit" value="" name="search" id="search" class="btn btn-primary btn-lg" type="button">
                                    <span class="icon-search" aria-hidden="true"></span>&nbsp;
                                </button>
                        </div>
                    </form>
                    <small class="text-light">Hit enter to search or ESC to close</small>
                </div>
            </div>
        </div>
    </div>
</footer>
<?php wp_footer(); ?>
<!-- #page -->
</body>

</html>