<?php
$above_header = get_field('option', 'above_header');
$mobile_menu_break = get_field('mobile_menu_break', 'option')
;?>
<a class="visually-hidden-focusable" href="#content">Skip to main content</a>
<header id="header" class="border-bottom">
	<?php if(get_field('above_header', 'option')){
		include get_template_directory() . '/template-parts/'. get_field('template', 'option') . '/inc/above-header/' . get_field('above_header_type', 'option') . '.php';
	};?>
	<nav id="primary-menu" class="navbar navbar-expand navbar-light bg-white">
		<div class="container-xl container-fluid">
			<div id="logo">
				<a href="<?php echo esc_url( home_url( '/' ) ); ?>">
					<?php
					$logo = get_field('logo', 'option');
                    $logo_url = $logo['sizes']['medium'];
                    if( !empty( $logo ) ): ?>
					<div class="fixed-container">
						<img alt="<?php bloginfo('name'); ?>" class="contain"
							src="<?php echo esc_url($logo_url); ?>">
					</div>
					<?php else: ?>
					<a class="site-title navbar-item large" href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo('name'); ?></a>
					<?php endif ; ?>
				</a>
			</div>
			<div class="navbar-right d-flex">
                <div id="nav-desktop" class="menu-break-hide">
                    <div class="collapse navbar-collapse" id="navbarSupportedContent">
                        <?php
                            wp_nav_menu( array(
                                'container'         => false,
                                'items_wrap'        => '<ul id="%1$s" class="%2$s">%3$s</ul>',
                                'menu_class'        => 'navbar-nav align-items-center',
                                'menu_id'           => 'primaryMenu',
                                'theme_location'    => 'primary',
                                'walker'            => new Bootstrap_Navwalker(),
                            ) );
                        ?>
                    </div>
                </div>
                <a role="button" class="navbar-toggler navbar-burger burger menu-break-show" aria-label="Toggle navigation"
                    data-bs-toggle="offcanvas">
                    <span aria-hidden="true"></span>
                    <span aria-hidden="true"></span>
                    <span aria-hidden="true"></span>
                </a>
                
				<div id="navbar-mobile" class="navbar-collapse offcanvas-collapse overflow-visible">
					<?php include get_template_directory() . '/template-parts/'. get_field('template', 'option') . '/inc/mobile-menu.php';?>
				</div>
				<script>
					(function mainScript() {
					"use strict";
					const offcanvasToggle = document.querySelector(
						'[data-bs-toggle="offcanvas"]',
					);
					const offcanvasCollapse = document.querySelector(".offcanvas-collapse");
					offcanvasToggle.addEventListener("click", function () {
						offcanvasCollapse.classList.toggle("open");
					});
					})();
				</script>
			</div>
		</div>
	</nav>
</header>
<script>
/* Menu-1-0 */
(function(){
var h = document.getElementById('header').clientHeight;

var doc = document.documentElement;
var w = window;

var prevScroll = w.scrollY || doc.scrollTop;
var curScroll;
var direction = 0;
var prevDirection = 0;

var header = document.getElementById('header');

var checkScroll = function() {

  /*
  ** Find the direction of scroll
  ** 0 - initial, 1 - up, 2 - down
  */

  curScroll = w.scrollY || doc.scrollTop;
  if (curScroll > prevScroll) { 
	//scrolled up
	direction = 2;
  }
  else if (curScroll < prevScroll) { 
	//scrolled down
	direction = 1;
  }

  if (direction !== prevDirection) {
	toggleHeader(direction, curScroll);
  }
  
  prevScroll = curScroll;
};

var toggleHeader = function(direction, curScroll) {
  if (direction === 2 && curScroll > 52) { 
	
	//replace 52 with the height of your header in px
	document.getElementById("header").style.top = '-' + h + 'px';
	prevDirection = direction;
  }
  else if (direction === 1) {
	document.getElementById("header").style.top = '0px';
	prevDirection = direction;
  }
};

window.addEventListener('scroll', checkScroll);

})();
</script>