<?php
    $content = get_field('content');
    $author_name = get_the_author_meta('first_name') . " " . get_the_author_meta('last_name');
    $authorID = get_the_author_meta('ID');
    $avatar = get_field('avatar', 'user_' . $authorID);
    $size = "thumbnail";
    $image = wp_get_attachment_image_src( $avatar, $size );
    $date_published = strtotime(get_the_date());
    $difference = abs(round($date_published - strtotime('today'))/ 86400);
    if ($difference <= 0)
        $date = "Today";
    else if ($difference <= 1)
        $date = "Yesterday";
    else if ($difference <= 7)
        $date = "This Week";
    else
        $date = get_the_date('M j, Y');
    $count_words = str_word_count( strip_tags( $content ) );
    $read_time = ceil($count_words / 250);
;?>
<div class="col-12">
	<div class="card card-post h-100 bg-white">
        <div class="card-body">
            <div class="row">
                <div class="col-12 col-md-6">
                    <a href="<?php the_permalink(); ?>">
                        <?php if ( has_post_thumbnail() ):?>
                        <img class="card-img-top rounded" src="<?php the_post_thumbnail_url('card-post'); ?>" alt="<?php
                            $thumbnail_id = get_post_thumbnail_id( $post->ID );
                            $alt = get_post_meta($thumbnail_id, '_wp_attachment_image_alt', true);
                            if($alt){echo $alt;} else{ the_title();} ?>">
                        <?php else :?>
                        <img class="card-img-top"
                            src="https://via.placeholder.com/426x240/cccccc/424242?text=<?php echo get_bloginfo('name');?>"
                            alt="<?php the_title(); ?>">
                        <?php endif; ?>
                    </a>
                </div>
                <div class="col-12 col-md-6">
                    <div class="row align-items-center justify-content-center justify-content-md-start g-3">
                        <div class="col-12">
                            <div class="card-title text-center text-md-start">
                                <a href="<?php the_permalink(); ?>">
                                    <span class=" fs-2 text-dark text-center text-md-start"><strong><?php the_title() ;?></strong></span>
                                </a>
                            </div>
                        </div>
                        <div class="col-auto m-0">
                            <a class="text-muted" href="<?php 
                                $category = get_the_category();
                                if ( ! empty( $category ) ) {
                                    echo esc_html( get_category_link($category[0]));
                                }
                            ;?>">
                                <?php 
                                if ( ! empty( $category ) ) {
                                    echo esc_html( $category[0]->name );
                                }
                            ;?>
                            </a>
                        </div>
                        <div class="col-auto m-0">
                            <div class="vr"></div>
                        </div>
                        <div class="col-auto m-0">
                            <div class="text-muted text-center text-md-start">
                                🕑 <?php echo $read_time;?> Min Read
                            </div>
                        </div>
                        <div class="col-12 py-2">
                            <?php echo wp_trim_words($content,33);?>
                        </div>
                        <div class="col-auto">
                            <?php if($avatar):?>
                                <?php if($pageLink):?>
                                    <a href="<?php echo $pageLink ;?>">
                                        <img alt="<?php the_author();?> Avatar" class="avatar avatar-lg me-2"
                                    src="<?php echo $image[0];?>">
                                    </a>
                                <?php else:?>
                                    <img alt="<?php the_author();?> Avatar" class="avatar avatar-lg me-2" src="<?php echo $image[0];?>">
                                <?php endif;?>
                            <?php endif;?>
                            <?php echo $author_name;?>
                        </div>
                        <div class="col-auto">
                            <div class="vr"></div>
                        </div>
                        <div class="col-auto">
                            <div class="text-muted text-center text-md-start">
                                <?php echo $date ;?><br>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
	</div>
</div>
