<?php
/**
 * Template Name: Blog
 * The template for displaying the Blog.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package amp
 */

get_header();

// Get Blog Title !important
$blog_ID = get_option( 'page_for_posts' );

// Options - Theme Settings


// Post - WP
$title = get_the_title();
$featuredImage = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'header-banner' );

// Post - ACF
    // Modules
        $essentials_module = get_field('essentials_module', $blog_ID);
        $blog_module = get_field('blog_module', $blog_ID);
        // Essentials
            // Content
                $h1_source = get_field('h1_source', $blog_ID);
                    if($h1_source == "default") {
                        $h1 = get_the_title( $blog_ID );
                    }elseif($h1_source == "custom") {
                        $h1 = get_field('custom_h1', $blog_ID);
                    };
                $h2 = get_field('h2', $blog_ID);
                $content = get_field('content', $blog_ID);
            //Call To Action
                $cta_primary_source = get_field('cta_primary_source', $blog_ID);
                $cta_primary_custom = get_field('cta_primary_custom', $blog_ID);
                $secondary_cta_source = get_field('secondary_cta_source', $blog_ID);
                $cta_secondary_custom = get_field('cta_secondary_custom', $blog_ID);
        // Blog
            // General 
                // Posts Per Page - Selector
                    $posts_per_page_source = get_field('posts_per_page_source', $blog_ID);
                        if($posts_per_page_source == "default") {
                            $posts_per_page = get_option('posts_per_page') -1;
                        }else{
                            $posts_per_page = get_field('posts_per_page_custom', $blog_ID) -1;
                        };
                    // Design Fix
                        // Minus 1 on paginated pages
                            if( is_paged() ){
                                $posts_per_page = $posts_per_page - 1;
                            };
?>
<style>
    #blog-categories amp-carousel .i-amphtml-scrollable-carousel-container::-webkit-scrollbar {
        display: none
    }
    #blog-categories amp-carousel.i-amphtml-element.i-amphtml-error.i-amphtml-carousel-has-controls.i-amphtml-built.i-amphtml-layout {
        margin-right: 40px;
    }   
    #blog-categories .amp-carousel-button-next {
        right: -40px;
    }
</style>
<main>
    <?php if($essentials_module):?>
    <div class="hero position-relative bg-secondary">
        <div class="container">
            <div class="row align-items-center py-5" style="min-height:33vh">
                <div class="col-12 text-center">
                    <h1 class="lead fs-2 text-cta fw-normal"><?= $h1 ;?></h1>
<!-- 
CUSTOM CODE START
NOT FOR FINAL
-->
                    <h2 class="text-secondary-contrast display-5 fw-normal"><?= $h2;?></h2>
                    <div class="row g-3 mt-3">
                        <div class="col-12 text-center">
                            <a class="btn btn-primary btn-lg" href="#subscribe">Subscribe</a>
                        </div>
                    </div>
<!-- 
CUSTOM CODE END
NOT FOR FINAL
-->
                </div>
            </div>
        </div>
    </div>
    <?php endif;?>
    <div id="blog-categories" class="border-bottom py-3">
        <div class="container">
            <div class="row align-items-center">
                <div class="col-12 col-md-6 col-lg-4">
                    <form role="search" method="get" class="form search-form" action="<?php echo home_url( '/' ); ?>">
                        <div class="form-row align-items-center">
                            <div class="col">
                                <div class="input-group input-group">
                                    <div class="input-group-text bg-white"><span
                                            class="icon-search p-1 text-muted"></span></div>
                                    </span>
                                    <input id="search-blog" class="form-control form-control-sm ds-input" name="s"
                                        type="search" placeholder="Search Blog..." aria-label="Search Blog..."
                                        style="position: relative; vertical-align: top;">
                                    <span class="input-group-btn">
                                        <button type="submit" value="" name="search" id="search"
                                            class="btn btn-gray btn" type="button">Search</button>
                                    </span>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
                <div class="col-12 col-md-6 col-lg-8 mt-3 mt-md-0">
                    <script async custom-element="amp-carousel" src="https://cdn.ampproject.org/v0/amp-carousel-0.1.js">
                    </script>
                    <amp-carousel width="auto" height="auto" layout="responsive" type="carousel">
                        <?php
                            $array = get_categories( array(
                                'orderby' => 'name',
                                'order'   => 'ASC',
                                'exclude' => '1'
                            ) );
                            foreach( $array as $value  ): 
                                $name = $value->name;
                                $id = $value->term_id;
                                $url= get_category_link($id);
                            ?>
                        <div class="col-auto">
                            <a class="btn badge-pill btn-light" href="<?=$url;?>"><?=$name;?></a>
                        </div>
                        <?php endforeach; ?>
                        <?php 
                            // Reset the global post object so that the rest of the page works correctly.
                            wp_reset_postdata(); ?>
                    </amp-carousel>
                </div>
            </div>
        </div>
    </div>
    <article id="blog" class="bg-gray-light py-5">
        <div class="container">
            <div class="row d-flex g-4 mb-5">
                <?php if ( have_posts() ) : ?>
                    <?php 
                        $counter = 0;
                        global $wp_query;
                        $args = array_merge( $wp_query->query_vars, ['posts_per_page' => $posts_per_page ] );
                        query_posts( $args );
                        while ( have_posts() ) : the_post();
                        setup_postdata( $post ); 
                    ?>
                        <?php if ( !is_paged() & $counter == 0 ):?>
                            <?php include get_template_directory() . '/template-parts/'. get_field('template', 'option') . '/inc/posts-lg.php';?>
                        <?php elseif( !is_paged() & $counter == 3 or is_paged() & $counter == 2) :?>
                            <div class="col-12 col-md-6 col-lg-4 text-center ">
                                <?= $cta_primary_custom;?>
                            </div>
                            <?php include get_template_directory() . '/template-parts/'. get_field('template', 'option') . '/inc/posts.php';?>
                        <?php else:?>
                            <?php include get_template_directory() . '/template-parts/'. get_field('template', 'option') . '/inc/posts.php';?>
                        <?php endif;?>
                    <?php 
                        $counter++;
                    endwhile; ?>
                <?php endif;?>
            </div>
            <div class="row d-flex g-4">
                <div class="col-auto mx-auto">
                    <?php bootstrap_pagination();?>
                </div>
            </div>
            <?= $cta_secondary_custom;?>
        </div>
    </article>
</main>
<?php

get_footer();