<?php
/**
 * Template Name: Single Jobs
 * The template for displaying the Single Jobs.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package amp
 */

get_header();
$applyURL = get_field('apply_url');
?>
<style>
</style>
<main>
	<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
		<div class="container">
			<div class="row justify-content-center">
				<div class="col-12 text-center text-md-start">
					<a class="btn btn-light btn-sm" href="<?php echo get_post_type_archive_link("jobs")?>"><span class="icon-arrow-left me-2"></span> <strong class="text-uppercase">Back to  Jobs</strong></a>
				</div>
				<div class="col-12 col-md text-center text-md-start">
					<h1 class="entry-title"><?php the_title(); ?></h1>
					<span class="lead">
						<?php echo get_field('location') . ' - ' . get_field('job_type') ;?>  
					</span>
				</div>
				<div class="col-12 col-md-auto text-center text-md-start">
					<?php if($applyURL):?>
						<a class="btn btn-lg btn-primary mt-3 mt-md-0" href="<?php echo $applyURL;?>">
							Apply
						</a>
					<?php else:?>
						<a class="btn btn-lg btn-primary mt-3 mt-md-0" href="<?php echo get_post_type_archive_link("contact")?>">
							Apply
						</a>
					<?php endif;?>
				</div>
				<hr class="m-5">
				<div class="col-12 col-lg-8">
					<div id="content" class="mb-5">
						<?php
							if ( 'post' === get_post_type() ) :
								?>
						<?php endif; ?>
						<?php
						the_content( sprintf(
							wp_kses(
								/* translators: %s: Name of current post. Only visible to screen readers */
								__( 'Continue reading<span class="screen-reader-text"> "%s"</span>', 'amp' ),
								array(
									'span' => array(
										'class' => array(),
									),
								)
							),
							get_the_title()
						) );

					//	wp_link_pages( array(
					//		'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'amp' ),
					//		'after'  => '</div>',
					//	) );
					?>
					</div>
				</div>
				<div class="col-12 col-lg-4">
					<div class="card border-0">
						<?php if( have_rows('qualifications') ): ?>
							<div class="list-group">
								<li class="list-group-item text-center"><h4>Qualifications</h4></li>

								<?php while( have_rows('qualifications') ): the_row();?>
									<li class="list-group-item text-muted">
										<?php the_sub_field('qualification');?>
									</li>
								<?php endwhile; ?>
						<?php endif; ?>
					</div>
				</div>
			</div>
		</div>
	</article><!-- #post-<?php the_ID(); ?> -->
	<div id="more-jobs">
		<div class="container grid-xl py-5">
			<div class="row g-4">
				<div class="col-12">
				<?php 
				$ID = get_the_ID();
					$args = array(
						'numberposts' => 3,
						'orderby'        => 'rand',
						'post_type' => 'jobs',
						'posts_per_page' => 5,
					);
					$loop = new WP_Query( $args );?>
					<h2>Related <?php 
                        $categories = get_the_category();
                        if ( ! empty( $categories ) ) {echo esc_html( $categories[0]->name ); } ;?> Jobs</h2>
					<div id="list-<?php echo $post_name ;?>" class="list-group">
						<?php while ( $loop->have_posts() ) : $loop->the_post(); 
						$post_name = $tag->slug . $post->post_name;?>
							<a id="<?php echo get_post_field('post_name');?>" href="<?php the_permalink();?>" class="list-group-item list-group-item-action p-4">
								<span class="row align-items-center">
									<span class="col">
										<span class="h4">
											<?php the_title(); ?>
										</span>
										<br>
										<span class="text-muted">
											<?php the_field('job_type');?>
										</span>
									</span>
									<span class="col-auto">
										<?php the_field('location');?> 
									</span>
								</span>
							</a>
						<?php endwhile; ?>
					</div>
				</div>
				<?php wp_reset_postdata(); ?>
			</div>
		</div><!-- #primary -->
	</div>
</main>
<?php

get_footer();
