<?php
/**
 * Template Name: Single
 * The template for displaying the Single Posts.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package amp
 */

get_header();
$privacyPolicy = get_template_page_url('privacy-policy.php');
?>
<style>
    /* IMG */
    .type-post #content img {
        width: 110%;
        height: auto;
        margin-left: -5%;
    }
</style>
<main>
<?php
    while ( have_posts() ) :
        the_post();

        include get_template_directory() . '/template-parts/'. get_field('template', 'option') . '/content.php';

    endwhile; // End of the loop.
    ?>
    <div id="more-posts">
        <div class="container grid-xl py-5">
            <div class="row g-4">
                <div class="col-12">
                    <?php 
                        $categories = get_the_category();
                        $category_id = $categories[0]->cat_ID;
                        $category_name = get_cat_name($category_id);
                        $category_link = get_category_link($category_id);
                        $posts = get_posts(array(
                            'posts_per_page'	=> 3,
                            'post_type'			=> 'post',
                            'category'          => $category_id,
                            'exclude'           => get_the_ID(),

                        ));
                        if( $posts ): 
                    ?>
                    <h2 data-toc-skip>Related <?php 
                        $categories = get_the_category();
                        if ( ! empty( $categories ) ) {
                            echo esc_html( $categories[0]->name );
                        }
                    ;?> Articles</h2>
                </div>
                <?php foreach( $posts as $post ): 
                setup_postdata( $post ); ?>
                <?php include get_template_directory() . '/template-parts/'. get_field('template', 'option') . '/inc/posts.php';?>
                <?php endforeach; ?>
                <?php wp_reset_postdata(); ?>
                <?php endif; ?>
            </div>
        </div><!-- #primary -->
    </div>
    <div id="global-post-cta">
        <div class="container">
            <!-- 
            CUSTOM CODE START
            NOT FOR FINAL
            -->
            <div class="row">
                <div class="col-12">
                    <div class="card bg-primary-light p-relative overflow-hidden" style="background-image: url(https://wildapricotdev.wpengine.com/wp-content/uploads/2022/09/bg.png); background-position: right bottom; background-repeat: no-repeat;">
                        <div class="card-body">
                            <div class="row p-5">
                                <div class="col-12 col-md-6 text-center text-md-start mb-5 mb-md-0">
                                    <h3 data-toc-skip>The Membership Growth Report:</h3>
                                    <h4>Benchmarks &amp; Insights for Growing Revenue and Constituents</h4>
                                    <a title="Get the report now!" class="btn btn-primary px-5" href="https://resources.wildapricot.com/2020-membership-growth-report">Get
                                    the report now!</a>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- 
            CUSTOM CODE END
            NOT FOR FINAL
            -->

        </div>
    </div>
</main>
<?php

get_footer();